Welcome

Welcome to DesignSpark Electrical Help

DesignSpark Electrical is an open, intuitive and complete software package for preparing electrical schematics. It offers schematic design, wiring line diagrams, and complete management of reports. The project data is stored in an (SQLite) database and updated in real-time.

To use DesignSpark Electrical, you must have an account with a login and password. If not, you must create it.

This help program guides you through the process of creating schematics and managing your software from installation, through document set up, to process maintenance.

Conventions

XXXX | Important interface terms are highlighted in bold.
Link | Marks links to related pages and resources. To view the related information, click the link.
Green text | Marks hidden notes. To display or hide notes, click the text that appears in green italic letters.
1. Italic text | Indicates a procedure to follow to use the feature.
 | Shows a video (Internet connection required).
 | Indicates a downloadable file (Internet connection required).
 | Represents a note or tip.
 | Indicates a risky or potentially dangerous operation.

Related topics:


Help menu

Menu: Help

Help / F1: Opens the DesignSpark Electrical online help. This help is contextual and you can access it by pressing the F1 key on the keyboard. This opens the section documenting the current feature.

Tutorial panel: Opens the tutorial in the software interface in a pop-up window. The tutorial is also available online.

Documentation: Opens Windows Explorer, where you can find all of the software documentation files.

Collect information: Collects information about your computing environment to resolve potential problems.

Online content: Used to access downloads of part reference archive files from the Internet. These files include the latest part updates.

DesignSpark Electrical home page: Displays the DesignSpark Electrical web site.

About: Displays the software version.


Tutorials - 2D

Tutorials - DesignSpark Electrical

The aim of this program is to introduce you to DesignSpark Electrical through a series of simple exercises, allowing you to create a project. This will allow you to use most features of the software.

All the exercises can be individually done but it is better to follow the order. Most of exercises are based on the previous ones. If you did not do it, you can download by clicking the specific link.

Appendix

Do not hesitate to print the different appendixes, it could be easier to work on the exercise.

Videos

To help you, at the end of each exercise, you can find a video. We recommend you to watch it in full-screen mode and with a high resolution.

Exercise #1 | Unarchive environment
Exercise #2 | Creating a Project
Exercise #3 | Managing Locations Creating a Synoptic Cable List
Exercise #4 | Inserting Wires Inserting Symbols Allocating a Manufacturer Part
Exercise #5 | Handling Objects Inserting Black Boxes Creating Macros Copy/Paste Swapping Material Terminals
Exercise #6 | Multilingual Text Polarity Origin-Destination Equipotential Numbering Wiring
Exercise #7 | Manufacturer Parts
Exercise #8 | Not applicable to DesignSpark Electrical
Exercise #9 | Not applicable to DesignSpark Electrical
Exercise #10 | Not applicable to DesignSpark Electrical
Exercise #11 | Managing Revisions


Exercise #01

DesignSpark Electrical - Exercise #01

This first exercise allows you to discover the fundamentals of the DesignSpark Electrical software; how to use a specific environment, what is the differences between a simple file and a schematic drawing, and how to use the interface tools.

  • Unarchiving environment

  • Some recommendations before starting

Unarchiving environment

By this link, download the Environment archive file and unarchive it.

An environment archive file contains all the data you need in the DesignSpark Electrical, such as symbols, manufacturer parts, configurations, or projects. It is used to forward data to other companies or to another workstation. You can also use it to save data before reinstalling the software.

1. After downloading the archive file, open it with the unarchive command.

Menu: File > Unarchive environment

2. Select the EnvironmentForTraining.tewzip file.

3. In the Selection tab, you can select the objects you want to restore (Select all).

4. Click the Finish button. DesignSpark Electrical lists all the objects which are restored/imported.

Some recommendations before starting

Files/Drawings

Files and drawings are documents in which you can draw, but you must know the difference between these two types of documents. The drawings or electrical drawings are automatically saved into the database which allows the automatic processes, such as reports. Files are only simple DWG files without "intelligence". Your electrical scheme must be done into Drawings and not in DWG files.

Zooms

To zoom into the drawings, you can use the commands of the View menu or use the mouse wheel. Turn the wheel to zoom in or zoom out. Click and maintain the click on the wheel to do a real time pan. Double-clicking on the wheel makes an zoom extent on all the drawing entities.

Selection modes

During the scheme design, you will need to select objects. Here are some instructions to do it.

When you want to select one object, it is very easy; click on it. If you want to select several objects, click on them and press the [Ctrl] key and hold it down during the selection. To select several objects, you can also use the rectangle selection. Draw a rectangle (defined by its diagonal) left to right around the objects. All the objects included in the rectangle outline are selected. Another possibility, the capture selection. It's the same way of the rectangle selection but drawn right to left. All the objects that have a part of it in the rectangle outline are selected.

Related topics:

Next exercise

Contents


Exercise #02

DesignSpark Electrical - Exercise #02

The aim of this exercise in a first step, is to create a new project from a project template and to open its properties to enter the personal data. Then, you have to select the project language. You manipulate the project elements such as books or drawings. To finish, you create a new project template from your new project.

  • Creating a project

  • Editing the project properties

  • Configuring the project language

  • Managing project elements

  • Creating a project template

Creating a project

1. Open the projects manager.

Menu: File > Projects manager

2. Click on the New icon.

Projects manager > New

3. In the list of templates, select the IEC template.

4. In the Project language dialog box, select the English language.

5. Enter the project name.

The new project is automatically added to the projects manager.

Editing the project properties

1. Open the project properties.

Projects manager > Properties

2. Enter the properties of the project.

Contract number | 123456
Customer name | Trace Software
Address 1 | 76430
Address 2 | St Romain
Address 3 | France
Design office name | Your company
Address 1 | ZIP code
Address 2 | City
Address 3 | Phone number
Description Line 1 | Project for training

Configuring the project language

To open the project configuration, the project must be open and displayed in the Dockable panel, in the Documents tab. To open it, select it in the projects manager and click the Open button.

Only use the English language and remove the second language.

1. Open the Project Configuration.

Dockable panel > Documents tab > Contextual menu of Project: Configurations > Project...

2. In the General tab, Select English as the main language and select "your language" as the second language.

When you finish the configuration, the project is automatically updated.

Managing project elements

Book edition

1. Open the book properties.

Dockable panel > Documents tab > Contextual menu of book: Properties

2. Enter the properties of the book as bellow.

Description | My book
User Data 1 (Drawn by) | A.B.
User Data 2 (Date) | 07/09/2016

To change the User Data label, click the Customize... button. On the left part of the dialog box, select the User Data 1 and on the right part, enter the correct label (Drawn by) in the languages you want to use it. Repeat the operation for the User Data 2.

Create / Move / Delete a drawing.

1. Create a new drawing.

Dockable panel > Documents tab > Contextual menu of book: New > Scheme

Menu: Project > New > New scheme

The new drawing is automatically added at the end of the list of the project elements.

2. To move this drawing in the list, drag and drop it to the correct place.

3. To delete this drawing, select it and strike the [Del] key or select the Delete option in its contextual menu.

Dockable panel > Contextual menu of drawing: Delete

Add a data file.

To add an external file to the project, you have two possibilities.

1. Add a data file.

Dockable panel > Documents tab > Contextual menu of book: New > Data files

2. Select the "ExcelAutomation_EN.pdf" stored in the directory C:\Program Files\...\Documentation of the software.

The file is copied in the project. If you modify the original file, this copy is not impacted.

The other possibility consists to create a link with the original file, thus if you modify the original file, the document in the project is always updated.

1. Add a data file shortcut.

Dockable panel > Documents tab > Contextual menu of book: New > Data file shortcuts

2. Select the "ExcelAutomation_EN.pdf" stored in the directory C:\Program Files\...\Documentation of the software.

Creating a project template

A project template is used to create a new project. When you create a new project template is necessary to purge the project and to delete the element that you don't want to integrate in the project template. In this exercise you have to delete the "Drawing list" and renumber the other drawings. Then you can create the project template.

Delete the drawing

1. Delete the drawing 02 by selecting the Delete command in the drawing contextual menu.

You can also delete a drawing by selecting it and pressing the [Del] key.

2. Delete the data file or shortcut you added.

Renumber the drawings

1. To renumber the drawings in a book, open the contextual menu of the book and select the Renumber documents command.

Dockable panel > Documents tab > Contextual menu of book: Renumber documents

2. Select the Recalculate order numbers option and validate.

Create the project template

1. Open the projects manager.

Menu: File > projects manager

Note that the Save as template icon is disabled. You must first close the project.

2. Select the project from the list, click on the Close icon to close it.

Projects manager > Close

3. Select the project and click the Save as template button

Projects manager > Save as template

4. Enter the name of the new project template. Now, your project can be used to create a new project.

Related topics:

Next exercise

Contents


Exercise #03

DesignSpark Electrical - Exercise #03

This exercise allows you to learn how to manage the project locations and to design the line diagram of an electrical installation. It is based in the project you made in the Exercise #02. If you did not complete it, you can download the project file and unarchive it in DesignSpark Electrical.

Download Project

To do this exercise you need to download the PDF file of the exercise. Printing it out is recommended.

Download PDF file

  • Managing locations

  • Wiring line diagram

  • Reserving cables

  • The cable list

Managing Locations

Edit the existing L1 location to complete it.

1. Open the L1 location properties.

Dockable panel > Components tab > Contextual menu of location: Properties

2. Enter TGBT as the description of the L1 location.

Creating the other project locations

Add the following locations:

L2: Motor room

L3: Control panel

BJ: Junction box

1. Open the Locations manager.

Menu: Project > Locations

2. Click on the New location icon.

Locations manager: New location

3. Enter L2 in the location properties dialog box and enter the description Motor room.

4. Repeat the operation for the locations L3 and BJ. The BJ mark must be entered in Manual mode.

Wiring line diagram

Using the previously downloaded PDF document (Appendix 3a) create the wiring line diagram on the line diagram drawing, following the instructions below.

1. Open the Drawing 02 - Wiring line diagram by a double-click on it.

Insert symbol

Use the Insert symbol command to insert motors M1 and M2 without drawing the location outline. This will be inserted later.

2. Click on the Insert symbol icon in the Line diagram menu.

Menu: Line diagram > Insert symbol

3. DesignSpark Electrical remembers the last symbol inserted. When a symbol insertion command is executed the first time, the library may open directly. If not, click on the Other symbol button in the dockable panel.

4. Click on the Classification tab in the library. Select the Motors class. In the right-hand section, select the corresponding symbol.

5. Click on Select to validate. You can also double-click the symbol thumbnail.

6. The symbol is attached to the cursor. Simply click on its point of insertion in the graphic zone. Ensure that the Snap lock is enabled when you insert the symbol.

7. The mark M1 is suggested in the properties dialog box, as it is the first symbol inserted in the Motor class.

8. You must change the location allocated to the symbol. Click the [...] button on the +L1-TGBT cell.

9. In the Locations dialog box, select L2-motor room.

10. Validate the properties of the symbol.

11. Do the same for the motor M2.

Note that the mark shows the location mark. The location of the component is different from the location of the drawing.

Location outline

Place the L3-Control panel location outline, then insert the two H1 and H2 indicators via the side panel.

(Note the impact on the marking.)

1. Select the Location outline command in the Line diagram menu.

Menu: Line diagram > Location outline

Note that the Location outline command contains options (the arrow displayed in the icon). If you click on the upper part of the icon, you will trigger the command without using the options. If you click on the lower part of the icon, the options will be displayed.

2. For a rectangular location outline, click the first point in the graphic zone, then the second point in the diagonal of the rectangle.

3. For a polyline outline, click the first point on the outline, then a second point... To finish, you must close the outline.

Palette of symbols

Insert the indicators by using the symbol palette.

1. Open the Symbols tab in the dockable panel.

2. Open the Find group. Enter Indicator in the search field and click Find.

3. Drag the symbol to the graphic zone or double-click to insert it. Unlike motors, indicators are inserted inside a location outline. DesignSpark Electrical automatically suggests the location L3-Control panel in the mark dialog box.

4. Insert the other symbols and location outlines as they are in the appendix.

Drawing cables

1. Draw the cables using the Draw cable in the Line diagram menu.

Menu: Line diagram > Draw cable

2. Click a first point on the symbol outline. A green point indicates the connection.

3. Click the second point on the second symbol outline.

In the Command dockable panel, you can select the line/cable type to distinguish the cable type.

Reserving cables

You must use 4G-type cables to wire the M1 and M2 motors.

Use a cable with at least 7 cores to connect the XA2 terminal strip to the indicators.

1. Open the contextual menu for the wire (right-click on the wire) and select the Reserve cables and cores command.

Contextual menu of line diagram cable: Reserve cables and cores

2. Click on the New cable icon in the cable reservation dialog box.

Cables and cores reservation > New cable

3. In the cable reference search dialog box, use the Filters tab and enter the filters for the Family and the Number of conductors.

4. The new cable appears in the list. Check the box for the cable.

The mark and reference of the cable now appear on the line diagram drawing. You can use the Show/Hide cable text in the contextual menu of a cable to display or not the text.

Cable list

View the list of the cables.

1. Click on the Reports icon in the Project menu.

Menu: Project > Reports

2. Select the List of the cables report.

The right side of the Report manager dialog box displays in the real-time all the manipulations you make in the project.

Related topics:

Next exercise

Contents


Exercise #04

DesignSpark Electrical - Exercise #04

This exercise will allow you to know the basic commands managing the electrical schema. It is based in the project you made in the Exercise #03. If you did not complete it, you can download the project file and unarchive it in DesignSpark Electrical.

Download Project

To do this exercise you need to download the PDF file of the exercise. Printing it out is recommended.

Download file

  • Inserting wires

  • Inserting symbols

  • Assigning manufacturer parts

Inserting wires

Create the scheme 03. (Appendix 4a)

Inserting power wires

Start by placing the wires, using the placement options to manage bends.

Menu: Schematic > Draw multiple wires

1. If the current wire is not N L1 L2 L3, click on the [?] button to open the wire selector and select it.

2. Uncheck the box for the protection conductor.

3. Click the two points of the horizontal wire corresponding to the busbar.

4. To draw the motor circuit wires, carry out the same operation as before, unchecking the Neutral box. For the first click, place the cursor on L3. Use the [C] key to insert the bend and the [Space] key to cross or uncross the conductors.

5. To draw the wire upstream of the transformer, do not try to disconnect the phase on L2 directly. First connect it to L1, then select and disconnect it from L1 using the handle (blue square). Finally, reconnect it to L2.

Inserting control-command wires

The wire type downstream of the transformer is 48VDC.

Menu: Schematic > Draw single wire type

Remember click on the [?] button in the dockable panel to open the wire selector and select wire = 48V.

Inserting symbols

Graphics model to be produced, see Appendix 4A.

Place the symbols using either the library or the palette.

The quickest and easiest way to insert symbols is to use the palette. Even if this seems time-consuming to start with, once you create your own palette, draws and (especially) searches will go much faster.

1. Open the Symbols tab in the dockable panel.

2. Click on the Protections group header. If the symbol for the three-pole circuit breaker is not there, add it by opening the group?s contextual menu. If it is in the palette, double-click to insert it.

3. You can also use the palette and the Search group. Enter Circuit breaker in the input box and click on the Search button. DesignSpark Electrical displays the thumbnails of all the symbols in the library that meet the criteria, not only the symbols in the palette.

You can also use the Insert symbol command in the Scheme menu.

Menu: Schematic > Insert symbol

1. If the symbol you want is not shown in the dockable panel, click on the Other symbol button.

2. The symbol selector opens. Use one of the two tabs (Filters or Classification) to find the desired symbol.

Associate the M1 motor to the symbol placed in the line diagram. Add the Pump motor text.

To associate the M1 motor with the symbol in the line diagram drawing, simply give it the same mark.

1. In the mark dialog box, select the M1 mark from the list of components on the right and click on OK.

The manufacturer data is provided by the manufacturer part. The user data is entered by the user.

This data can be propagated across the symbol as long as the associated attribute is present in the definition of the symbol.

Fuse F3 is a copy of F2.

1. The Copy command is available in the Schematic menu.

Menu: Schematic > Multiple copy

The mark is automatically incremented when copying an existing symbol. The manufacturer part associated with the original symbol is also copied.

Use the placement options to insert F4 and the K1 contact.

When a symbol is inserted on a wire, it is automatically oriented according to the wire. When it is inserted outside the wire, it is up to the user to manage orientation.

Note the automatic generation of the cross references.

Complete the F4 wires and the auto-supply wires for K1.

Graphics model to be produced, see Appendix 4B.

Assigning manufacturer parts

Allocate the manufacturer parts, using the equipment report to help you (Appendix 4C).

1. Open the component properties.

Contextual menu of symbol: Component properties

2. Go into the Manufacturer part and circuits tab.

3. Click on the Search button to search for the part in the manufacturer catalog.

- Select the class.

- Select the manufacturer.

- If you know the reference, enter it in the Reference field.

- If you have not checked the Automatic refresh box, click on the Search button.

- Select the part from the list of results.

- Click on the [+] button to add it.

To add an auxiliary reference (such as a contacts block), repeat the operation, selecting Auxiliary in the Type field.

Sometimes, it's necessary to uncheck the Class criteria to find an auxiliary or an accessory. They can be stored in another class (common to several references).

Related topics:

Next exercise

Contents


Exercise #05

DesignSpark Electrical - Exercise #05

This exercise allows you to manipulate the existing objects. It is based in the project you made in the Exercise #04. If you did not complete it, you can download the project file and unarchive it in DesignSpark Electrical.

Download Project

If this is your first time, open the PDF file of the exercise to read through it. Printing it out is recommended.

Download file

  • Handling objects

  • Inserting a black box

  • Copying existing elements

  • Circuit management

  • Inserting terminals

Handling objects

Modify the M1 motor circuit so that it complies with the model (Appendix 4a).

1. Select the motor symbol and the wires vertically above it using "Capture" mode of selection. Move the set underneath the contactor symbol. Delete any superfluous wires.

Menu: Schematic > Move

Duplicate the M1 motor circuit using the Copy command.

1. Select the entire motor circuit. Click on the Multiple copy icon in the Schematic menu. Click the starting point and the destination point.

Menu: Schematic > Multiple copy

The component marks increment automatically. Manufacturer parts are retained.

Inserting a black box

Insert the EV1 variator (black box), associate it with the Miscellaneous class and modify its material terminals.

1. Click on the Insert black box icon in the Schematic menu.

Menu: Schematic > Insert black box

2. Allocate the Miscellaneous class.

3. Change the root to EV.

4. To modify the numbers of material terminals, use the command Edit symbol terminals in the black box contextual menu.

Black box contextual menu: Edit symbol terminals

5. Change the material terminal numbers in the Mark column.

Copying existing elements

If you want to move or copy part of a scheme, you can use a copy/paste ([Ctrl]+[C] - [Ctrl]+[V]) or save it as a macro. Macros should be used for repetitive elements.

Copy/Paste. Move the K1 command circuit on a new scheme (Mark: 04 - Description: Command).

1. Select the entities using the Capture or Selection mode.

2. Use the [Ctrl]+[C] keys to Copy the selected entities.

3. Create and open the drawing 04.

4. Plot the high and low polarity wires (48VDC) and the circuit with the reversing switch contact in the column 6 (Appendix 5b).

5. Use the [Ctrl]+[V] keys to Paste in the drawing 04 the copied entities.

6. In the drawing 03, delete the K1 command circuit.

6. In the drawing 04, review and adapt the symbol marks using the symbol properties.

Contextual menu of symbol: Symbol properties

7. Enlarge the assembly to obtain a close-up view of the model (Appendix 5b).

The Copy/Paste command is not the best way to move entities from one drawing to another. With this command, you need to delete the existing entities and manage component marks. It could be better to use the Cut/Paste command.

Copy/Paste special. In the drawing 04 copy the K1 command circuit in column 04 and readapt the marks.

1. Use the [Ctrl]+[C] keys to copy the entities.

2. Use the [Ctrl]+[Shift]+[V] keys for pasting the selected objects.

3. Manage the object marks to be consistent to the appendix 5b. Associate the Q2 and K2 contacts to the Q2 and K2 components of the drawing 03.

Using a macro. In the drawing 04, delete the K2 command circuit and create a macro composed of the K1 command circuit and insert it in column 04.

1. After deleting the entities, select the entities of the K1 command circuit and drag them to the Command group in the Macros tab in the dockable panel.

2. To insert the macro, drag it from the dockable panel to the graphic zone.

3. As the Paste special command, manage the component marks.

A macro is similar to a Copy/Paste special in which the graphical objects are saved in the Macros manager, to be re-used.

Circuit management

Both symbols and manufacturer parts, have got circuits. Each pole of a device is associated to a circuit and manage them is very important to have a good result for the cross references, material terminal display...

Swapping the material terminals. Modify drawing 04 so that the material terminals of the K1 NO contact are 83/84 instead of 53/54.

1. Edit the K1 component and go into the Manufacturer part and circuits tab.

Contextual menu of symbol: Symbol properties

2. In the list of circuits, drag contact (53-54) to contact (83-84).

Related topics:

Next exercise

Contents


Exercise #06

DesignSpark Electrical - Exercise #06

This exercise learns you to manage the equipotential numbering. It is based in the project you made in the Exercise #05. If you did not complete it, you can download the project file and unarchive it in DesignSpark Electrical.

Download Project

If this is your first time, open the PDF file of the exercise to read through it. Printing it out is recommended.

Download file

  • Inserting symbol from the dockable panel

  • Multilingual text

  • Polarity Origin-Destination

  • Equipotential numbering

  • Wiring

Inserting symbol from the dockable panel

Delete the Wiring line diagram drawing (02).

Create a new drawing (05), Signaling.

Draw the wires and place the indicators using the list of components in the dockable panel.

1. Open the Components tab in the dockable panel.

2. Open the L3 location.

3. In the H1 contextual menu select the Insert symbol command.

4. The symbol selector opens, letting you select the indicator symbol.

Multilingual text

On drawing 05, place the translatable texts: Motor 1 On and Motor 2 On. This text will be in blue, using the Arial font and a height of 6mm.

Using Multilingual texts is better than the basic texts. They are stored in the project database.

1. The multilingual text insertion command is available in the Draw menu.

Menu: Draw > Multilingual text

The dockable panel changes to display the drawing options. Click the point of insertion for the text in the graphic zone (you can also enter the X and Y coordinates).

2. Enter the angle of rotation for the text, or give the orientation graphically in the graphic zone.

3. Enter the text in the main language managed in the project.

The lower part of the dockable panel displays the format and justification for each text.

4. To create text across several lines, insert a carriage return code.

e.g.

Entering this text: Motor 1 \P ON

would give the following result:

Polarity origin-destination

Place the polarity origin-destinations between drawing 03 and drawing 04.

First, to avoid complicated navigation in the origin-destination interface, it is best to go into the drawing that will receive the Origin arrow before launching the command.

1. The origin-destination command is available in the Schematic menu.

Menu: Schematic > Origin - Destination arrows

2. Confirm the loading of the Origin and Destination drawings. Use the navigation icons (Previous drawing, Next drawing or Selector) if necessary, then create the first origin-destination.

Origin - Destination arrows > Single insertion

3. Click the end of the wire on the left-hand drawing (Outgoing arrow > Origin).

4. Click the end of the wire on the right-hand drawing (Incoming arrow > Destination).

Equipotential numbering

Execute a wire numbering operation.

1. As this is the first numbering, use the Number new wires command in the Process menu.

Menu: Process > Number new wires

Modify the wires upstream of F1 (N.R.S.T) on drawing 03 in column 1.

1. Open drawing 03 and zoom in on the wires upstream of the fuse disconnector in column 1.

2. In the wire contextual menu, select the Edit wire mark command and modify the number. This operation can be carried out with four conductors selected.

Contextual menu of wire: Edit wire mark

Modify the numbering formula of the 48VDC wire, including the number of the drawing.

1. Open the wire styles configuration tab.

Menu: Project > Configurations > Wire styles...

Dockable panel > Contextual menu of Project: Configurations > Wire styles...

2. Select wire =48V and click on the Properties icon.

Wire style manager > Properties

3. Click on the box corresponding to the equipotential numbering formula.

4. In the formula manager, double-click on line File mark/Equipotential counter.

Execute another numbering operation to update drawings, but without losing your manual numbering.

1. To update the equipotential numbers in the drawings, select the Renumber wires command in the Process menu.

Menu: Process > Renumber wires

2. In the wire renumbering dialog box, select the Recalculate the wire numbers option without checking the Recalculate manual numbers box.

Manage the text position

1. Use the Align texts command to align the texts on an axe.

Menu: Schematic > Align texts

2. Select the texts you want to align.

3. Draw a perpendicular axe to the wires and select the side corresponding to the text justification.

The Align texts command also allows to move the texts along the wire.

4. Use the Show / Hide wire marks command to display or to hide the texts.

Menu: Schematic > Show texts > Show / Hide wire marks

5. Select the wire on which you want to show or hide the text.

Automatic Origin-Destination from equipotential number.

1. Open the drawing 05 and edit the polarity wire number. The number of the upper wire is 03/5 and the number of the lower wire is 03/6.

2. To automatically generate the Origin-Destination arrows, select the Automatic insertion of the Origin-Destination arrows command.

Menu: Schematic > Origin - Destination arrows/Automatic insertion

3. In the dialog box, select the Connect all equipotential with the same mark option.

As the wires have the same number, they are automatically connected.

Re-launch the wire numbering to correct the equipotential numbers of the drawing 05.

Wiring

In drawing 05, place the terminals and wire them (using the cables reserved in the line diagram) in the scheme for all the cables.

1. Open drawing 05.

2. Open the contextual menu for the wire to receive the cable core and select the Associate cable cores command.

Contextual menu of wire: Associate cable cores

- Select the W4 core in the list in the upper part of the dialog box.

- Select the wire displayed in the lower part of the dialog box.

- Click on the Associate cable cores icon.

- Repeat this operation for all cables.

This operation can be performed by selecting several conductors and launching the command afterwards. This allows you to cable all the selected wires.

Related topics:

Next exercise

Contents


Exercise #07

DesignSpark Electrical - Exercise #07

The aim of this exercise is to manipulate the manufacturer parts, to assign it to a component, to create it and to use the electrical Content Portal. This exercise is based in the project you made in the Exercise #06. If you did not complete it, you can download the project file and unarchive it in DesignSpark Electrical. To do this exercise, you need to unarchive the environment, available in the Exercise #01.

Download Project

If this is your first time, open the PDF file of the exercise to read through it. Printing it out is recommended.

Download file

  • Assigning manufacturer parts

  • Manual manufacturer part

  • Creating a manufacturer part

Assigning manufacturer parts

Using the dockable panel, allocate the manufacturer parts to the non-referenced components. (See Appendix 7a)

1. Go into the dockable panel in the Components tab and select the elements you wish to reference.

2. This command is available in the contextual menu.

Contextual menu of a component: Component > Assign manufacturer parts

Caution: If the component already had a manufacturer part allocated to it, this will be deleted and replaced by the one you choose.

3. Go into the Filters tab. Uncheck the Automatic refresh box and enter the various criteria.

4. Click on the Search button.

5. The same principle will be used to reference the location and devices.

Manual manufacturer part

Enter a part manually for the EV1 component.

Part: 56356

Manufacturer: Siemens

Description: Variator

Modify the reversing switch material terminals (11, 12, 14).

The manufacturer part will not be added to the catalog.

1. Open the contextual menu for component EV1 and select the Component properties command.

Contextual menu of symbol: Component properties

2. In the properties dialog box, go into the Manufacturer part and circuits tab.

3. Click on the Add manually button and enter the requested data.

4. Click on OK. A message is displayed asking if you wish to store this part in the catalog.

5. The part will only be available for this component.

Creating a manufacturer part

Open the manufacturer catalog and create the following part:

Part: 123456

Manufacturer : Training

Class: Starters\Reversing switches

Library: USER

Type: Base

Description: Contactor circuit breaker reverser

Scheme symbol: TR-TELE006

Height: 105

Width: 203

Depth: 104

This part has 3 NO power contact circuits.

The device terminals are 1, 2, 3 ? 4, 5, 6

1. The Manufacturer parts manager is available in the Library menu.

Menu: Library > Manufacturer parts manager

2. Select the Starter class.

3. Click on the Add part icon.

Manufacturer parts manager > Add part

4. Enter the requested data.

Archive this new part (as if sending to another company).

5. To archive the part created previously, search for it and select it. Click on the Archive icon in the manufacturer part manager.

Manufacturer parts manager > Archive

Add this component to your project (dockable panel) and insert the symbol associated with it into one of the drawings. Then delete the inserted symbol.

1. Go into the Components tab in the dockable panel. In the location contextual menu, select the New > Component manufacturer part command.

Side panel: Components > Contextual menu of a location > New > Component manufacturer part

2. Select the Starters/Reversing switches class (it will give you the mark root).

3. Run a search on part 123456 from the Training manufacturer.

4. A new mark is added at the end of the list.

5. Open the contextual menu for the new component and select the Insert symbol command.

Dockable panel: Components > Insert symbol

6. The symbol associated to the manufacturer part is automatically selected. Insert it and check the manufacturer part association.

Related topics:

Next exercise

Contents


Exercise #11

DesignSpark Electrical - Exercise #11

To finalise the tutorial project, this exercise groups the commands to manage revisions, to print and to archive the project. If you did not complete Exercise #10, you can download the project file for the previous exercise. Unarchive it in DesignSpark Electrical.

Download Project

  • Managing revisions

  • Printing

  • Archiving

Managing revisions

After updating the Drawing list report, add revision A to all the drawings.

1. You can manually updating the Drawing list reports using the command available in the reports manager. The drawing report update can be done during the revision process.

Reports manager: Generate drawings

2. First, modify the configuration settings (Project configuration > General > Revision numbering).

Menu: Project > Configurations > Project... > General > Revision numbering

Set the required format.

Revision numbering: 0AB

3. Select the Revisions command in the contextual menu of the book.

Contextual menu of book: Revisions

4. In the revision index management dialog box, enter a description for index 0.

5. Click on the Validate button, then click on the Verify button. DesignSpark Electrical asks if you want to increment all the drawings in the book to this index.

6. Click on the OK button to end.

7. Cancel the other operations proposed by DesignSpark Electrical.

8. Repeat this operation to increment to index A.

Printing

Generate a PDF file containing all the project drawings.

There are two ways to generate a PDF file, using the Print command or using the Export PDF files.

1. In the Import/Export menu (recommended).

Menu: Import/Export > Export PDF files

2. Indicate the directory where the PDF file will be saved.

3. Keep the default parameters.

4. Click on the Print button to generate the PDF file.

Archiving

Archive the project.

1. Open the projects manager.

2. Select the project in the list and click on the Close button. Both the drawings and the project must be closed to archive them.

3. Click on the Archive icon.

Projects manager > Archive

4. Select the Update drawings option to be sure that all the project drawings are updated.

5. A file backup dialog box opens, allowing you to select a directory and modify the name of the file.

Related topics:

Next exercise

Contents


Settings

DesignSpark Electrical has multiple configuration levels, divided into application-level (such as application language, graphic options, databases) and project-level parameters.

Project-level configuration parameters are stored at the project level (the settings apply only to the specific project). Application-level configuration parameters apply to all projects that use the configuration.

  • Application settings

  • Interface configuration

  • Project configurations

  • Formula manager


Application settings

Menu: Tools > Application settings

These parameters allow you to configure the database access settings.

  • Databases

Related topics:

Interface configuration


Databases

Menu: Tools > Application settings > Databases

Application data folder: Displays the database storage location.

Folder containing projects: Displays the folder for storing files for the Projects.

Connection type: Displays the type of databases used: SQL Server or SQLite.

Server name: Displays the name of the server of the SQL Server database.

User name: Displays the user name to connect to the SQL Server database.

Password: Displays the password to connect to the SQL Server database.

Databases name: Shows the name and version of the databases used.

The Display query execution error log button is used to open the file containing the queries that failed when the software was being used.


Interface configuration

Menu: Tools > Interface configuration

These parameters allow you to configure the user interface language, and the graphic aspects of the software.

  • Graphic options

  • Application language

Related topics:

Application settings

Project configurations


Graphic options

Menu: Tools > Interface configuration > Graphic options

Selection cursor

Pickbox size (pixel): Expressed in pixels. Lets you set the cursor size.

Crosshair (% of screen size): Expressed as a percentage of the screen size. Lets you set the size of your cursor crosshairs.

Mouse wheel zoom

Reverse zoom direction: Reverses the direction of the zoom when you turn the mouse wheel.

Zoom speed (%): Allows you to set the zoom level parameter when you turn the mouse wheel.

Colors

Drawing background color: Allows you to define the color of the drawing background.

Marker color: Lets you set a preferred marker color.

Position and styles

Ribbon font height: Allows you to modify the font size used in the ribbons.

Options

Number of opened documents allowed: Type the number of documents that can be opened in a software session. Each document uses memory and too many open documents can cause a slowdown of your workstation. A message appears when you exceed this limit.

Selection mode: By default, when you want to select several entities, after selecting the first entity you must press the [Ctrl] key and hold it to select the second. With this option it is possible to select the entities without pressing the [Ctrl] key.

Unit system: Sets the unit mode (to Imperial or Metric) used in the software for all files generated outside a project.

Text display mode: Manage the quality of text display. For some languages, such as Chinese, it must be set in Vectorial mode.

Text print mode: Manage the quality of text printing. For some languages, such as Chinese, it must be set in Vectorial mode.

Graphical acceleration: Enable acceleration to improve performance when editing graphical entities if your graphic card is compatible. Disable or try another option if you experience troubleshooting. If you change the value, you have to close and reopen the opened documents to activate the new rendering mode.

Help: Lets you select a default help file: either the one installed on your workstation (CHM file) or the Internet help function (which needs an Internet connection).

Open recent file when opening project: DesignSpark Electrical saves the last drawing you used in the project. When you re-open the project, this drawing can be automatically re-opened. Select in the list, the option you want.

Ask to remove translated text: If this option is selected, when you change a description (available in the component properties or symbol properties, for example) in the main language, DesignSpark Electrical opens an option dialog box asking you if you want to delete the existing translations of this text.

Show welcome page at startup: If selected, it opens an information dialog box at the software startup. Even if you deselect this option, the welcome page opens after the installation of each new version.

Clicking the Reset all interfaces button clears the position and size changes for all dialog boxes in the software.


Application language

Menu: Tools > Interface configuration > Application language

This tab allows you to define the application language. You can also set the default languages you want available in the libraries and catalogs.

Interface Language

Set the software language you want. An application restart is necessary when this setting is changed.

Languages used in managers

Select the check boxes to define the languages you want to have available in the managers.


Project configurations

Menu: Project > Configurations

Dockable panel > Contextual menu of Project: Configurations

  • Project...

  • Wire Styles...

  • Line diagram line styles...

  • Report...

  • User data...

  • Palettes...

The Project configuration parameters let you personalize the drawing and make the results and processes work for you.

When a new Project is created, the configuration parameters come from the Project template. Given the large number of parameters, it is difficult to create an empty Project, where all the configuration parameters need to be set-up.

Application/Project configurations

Certain parameters are managed only at the Project level (Project, Wire styles, cross references drawing) and others can be managed either at the Project level or at the application level (such as Terminal drawings or user data).

The configurations are displayed in a dialog box divided into 2 parts. The left part of the dialog box represents the configurations saved at the application level and the right part of the dialog box represents those that are stored at the Project level.

For the types of configuration which do not use this dialog box, the parameters are only valid for the project.

When you modify the configuration parameters at the application level, they are applied on all the Projects which use this configuration. So, when you modify the configuration parameters stored at the Project level, they are valid only for that Project.

The specific icons (Add to project and Add to application) let you pass the Project configurations to the application and vice versa, from the application level to the Project.


Project settings

Menu: Project > Configurations > Project...

Dockable panel > Contextual menu of Project: Configurations > Project...

The dialog box has many tabs, which open letting you access the configuration parameters. These parameters are specific to the current Project. The parameters, amongst other things, help to define marks, the graphic options of the elements that constitute the Project. These parameters are specific to the Project.

  • General

  • Graphic

  • Text

  • Mark

  • Title blocks

  • Libraries and palettes

Related topics:

Project configuration


General

Menu: Project > Configurations > Project... > General

Dockable panel > Contextual menu of Project: Configurations > Project... > General

Project languages

Select the languages to be used in the project. Select up to three languages. If you are not using a second or third language, select <Empty> from the list.

If you work in multiple languages, the text will automatically be displayed if you change project languages.

Standard

Unit system: Defines the project units (metric or imperial). This option is used for the scheme units.

Dimension units: Select the type of units you want to use for the elements of the project (dimension of the manufacturer part).

Default cable size standard: Defines the standard used for cable measurement (section, gauge or circular mil-kcmil).

Date display format

Display format: Select the date format you want to use from the list. You can also enter your own format.

System date: Uses the Windows date format.

dd/mm/yyyy: Uses the day/month/year format.

mm/dd/yyyy: Uses the month/day/year format.

%d-%m-%y: Allows you to create your own date format (%d = day, %m = month, %y = year (2 digits) and %Y = year (4 digits)).

Available variables:

%a: Abbreviated day of the week (e.g. Mon)

%A: Full day of the week (e.g. Monday)

%b: Abbreviated month (e.g. Jan)

%B: Full name of the month (e.g. January)

%c: Date and time in local format

%d: Day of the month in decimal format (01 - 31)

%H: Current hour in 24-hour format (00 - 23)

%I: Current hour in 12-hour format (00 - 12)

%j: Day of the year in decimal format (001 – 366)

%m: Month in decimal format (01 – 12)

%M: Current minute of the hour in decimal format (00 – 59)

%p: AM / PM indicator for 12-hour format

%S: Curent second of the minute in decimal format (00 – 59)

%U: Week of the year in decimal format (Sunday used as first day of the week) (00 - 53)

%w: Day of the week in decimal (0 – 6 ; Sunday = 0)

%W: Week of the year in decimal format (Monday used as first day of the week) (00 - 53)

%x: Date in local format

%X: time in local format

%y: Year in two digits

%Y: Year in four digits

%z, %Z: Time zone

Preview: Show the result of the current display format settings.

Revision numbering

Format: Select the revision mode you want in the list, numeric or alphabetical, and with or without a leading 0. Select Custom, to use the following custom setting.

Custom formula: This is used only if the Custom item is selected in the previous setting. Access the formula manager to create a specific formula.

Fill attribute for recent revision: This option allows you to manage the display of the revision attributes when you work on Relative mode.

Always fill lower index attributes: This option forces the display of the revision index on the bottom of the revision grid, without taking account of the index number of the attributes.

Fill attributes from index: This option allows you to insert the revision index into the corresponding attributes. For example, if the attribute with the index number -0 (current revision) is inserted on the top of the revision grid, the current revision index will be inserted on the top of the revision grid.

<Default>

Book: This acts as the default book when drawings are automatically generated (such as bills of materials).

Default configuration

Cross references : Select the default cross references configuration file for all cross references in the project.

Options

Always fill attribute for location mark: Check this to propagate the location mark into the corresponding attribute (#LOC_TAG), assuming this attribute is present in the symbol definition.

Always fill attribute for function mark: Check this to propagate the function mark into the corresponding attribute (#FUN_TAG), assuming this attribute is present in the symbol definition.

Related topics:

Formula manager


Graphic

Menu: Project > Configurations > Project... > Graphic

Dockable panel > Contextual menu of Project: Configurations > Project... > Graphic

Connection dots

Symbol: Select in the list, the value (Never, Always or only when the symbol is connected to a wire) you want to display the dots placed where a wire connects to a symbol. You can also set the size and color of the dots.

Wire: The Display check box lets you display or not the dots placed on wire intersections where two wires form a connection. You can also set the size and color of the dots.

Line styles

Location: Defines the line type and color of the location outline.

Function: Defines the line type and color of the function outline.

Cable core: Defines the line type and color used in drawings to represent your cables cores.

Bridges: Sets the display parameters (color and line style) for the bridges in schematic pages (wire/bridge) .

Equipotential conflicts: An equipotential conflict occurs when you connect two different equipotentials (equipotentials with a different number). This check box updates the control. You can also choose a line type and color for the line symbol.

Cable label: Defines the type and color of the line joining the cable to the cable label.


Text

Menu: Project > Configurations > Project... > Text

Dockable panel > Contextual menu of Project: Configurations > Project... > Text

Multilingual texts

Specifies the font, height, style and color for each language used in multilingual texts.

Other texts

This interface gives you access to various parameters for texts displayed in the graphical drawings. You can edit the font, height, style and color of each type of text, along with the X and Y offset in relation to the element it belongs to.

Some of these texts have a formula to manage their mark. Click the [...] button to access to the Formula manager.

All the modifications done in the Other texts section automatically update the existing texts.

Use symbol for black box connection point

This section, if it is activated, lets you to select and edit the symbols which are used to materialize the connection points (terminals) of a black box. Using symbols allows you to propagate specific data to the attributes of the symbol.

Opens the symbol selector to select the desired symbol.

Detaches the symbol.

Opens the symbol editor in order to modify.

The symbol representing a connection point (terminal) of a black box must have an oriented connection point (to connect the wire) and attributes.


Mark

Menu: Project > Configurations > Project... > Mark

Dockable panel > Contextual menu of Project: Configurations > Project... > Mark

Lets you access the formula manager. The formula manager can also be accessed by a double-click on the cell.

Formula to generate document marks

In this section, you can enter formulas for marking books, folders and drawings. These formulas consist of variables and text strings with + separators.

For example; the formula "Bundle" + BOOK_ORDERNO returns: Bundle 1

The Row and Column fields let you select the formula to be used for marking the rows and columns (used for cross references and origin-destination).

Origin-destination and cross references

Lets you enter the formula for the polarity origin-destination texts and the cross references texts.

Marks unique by

Used to manage the type of uniqueness for a mark.

Component: The level of uniqueness for component marks can be selected from the drop-down list. For example, if you opt for the marks to be unique by Location, it will not be possible to have two identical component marks in the same location. You can have two identical marks if they do not belong to the same location.

Cable: Lets you manage the level of uniqueness for cable marks.

Wire and component numbering

Direction: This parameter is used to manage the priority, either horizontal or vertical. If you select the [image] icon, the marks of elements aligned on the same vertical axis will be processed in priority in relation to marks of elements aligned on a horizontal axis.

Unique order number: When this box is checked, the value obtained from the Order number variable used in the marking formulas is without discontinuity over the whole project. If the box is not checked, the Order number starts again at 1 as soon as the element selected in the Marks unique by manager is modified.

For example, if the level of uniqueness of the component mark is set to Location and you have placed a symbol marked Q1 in location L1, if you uncheck the Unique order number box, the second symbol will be marked Q2, whatever location it has been inserted into. However, if you check the box, it will be marked Q1, if it is inserted in a different location and Q2, if it is inserted in location L1.

Wire style manager: A button allows access to the Wire style manager to set the connection parameters numbering. The marks are calculated in relation to their geographical location in the drawing, starting at the top left-hand corner and working towards the bottom right-hand corner of the drawing.

Assign unused mark: If you select this option, the wire or equipotential number, or the order number assigned to a new component mark or a new cable mark is only a new number. The removed numbers are never reused.

Priority for component mark: Used in the Renumber marks feature, select the type of symbol used to start the numbering. For example, if you select the Multiwire symbol option, the number "1" is affected to the first schematic symbol found, even if a Line diagram symbol is found before it.

Mark

You can use the IEC61346 numbering standard (=F1+A1-KA1) or Customized mark.

If you choose a Customized mark, you must enter a formula for a variety of different marking systems, such as Location or Function. These formulas are made up of variables and text strings with + separators.

You can also select the Separator for mark path, this is used when you have cascaded components to separate the component mark and the mark of the master component. Select in the list the proposed value or enter the specific character you want.

Sort by mark

Several options are available to sort the marks of all the marked elements. The option of mark sorting is available in the Component tab of the dockable panel,, the wire cabling order, the cable, the PLC and the search managers.

Automatic mark, by root / order number then manual mark: Displays first the automatic numbers sorted by the root (if it is used in the formula) and the order number (number is unique in the root) and to finish, it displays the manual mark sorted in an alphabetical order. This is the default mode.

Natural sort, mixing automatic and manual: Sorts all the marks (manual and automatic) in an alphabetical order as you can find in a Windows Explorer, for example: A1, A2, A3, A10, A11, A20...

Related topics:

Formula manager


Title blocks

Menu: Project > Configurations > Project... > Title blocks

Dockable panel > Contextual menu of Project: Configurations > Project... > Title blocks

This tab lets you select the default title blocks you want to associate with the drawing types of assorted projects. To modify associations, click the [...] button. The title blocks selector will open, letting you select the default title block you want to apply.

Related topics:

Title blocks selector


Libraries and palettes

Menu: Project > Configurations > Project... > Libraries and palettes

Dockable panel > Contextual menu of Project: Configurations > Project... > Libraries and palettes

Displayed libraries

Lets you set library filters. Check on any of the listed libraries to make all elements contained within the library (for example, the IEC standard symbols in the case of IEC) available to you during project design.

Palettes used

Set the palettes you want to use. There are six palettes available, and you can select a specific format for each from the pop-down menus.


Wire styles

Menu: Project > Configurations > Wire styles...

Dockable panel > Contextual menu of Project: Configurations > Wire styles...

The manager can also be opened when inserting a wire, from the dockable panel by clicking the [...] button and selecting the Manager button.

Wire style manager regroups all the wires that can be used in the schematic drawings of the project. It is used to set equipotential or wire numbering.

These parameters are Project specific.

  • Managing wire style

  • Wire properties

  • Numbering configuration

  • Numbering group properties

Related topics:

Project configuration


Managing wire styles

Menu: Project > Configurations > Wire styles...

Dockable panel > Contextual menu of Project: Configurations > Wire styles...

Draw wire > [...] > [Manager]

In the manager, you can add new types of electrical wire or modify an existing type of wire.

The left part of the dialog box shows the list of wire groups, the right part shows the parameters of the different wires available.

The wires belong to a Numbering group. This is used when numbering the wires, as they will share the same counter.

There are two types of electrical wire:

  • The wire command is generally used to draw a single wire.

  • The power wires are used for drawing multiple wires simultaneously.

Configuration

The Configuration icon allows you to select the columns displayed in the right part of the dialog box.

Managing Groups

Deactivate a numbering group

You can deactivate a numbering group. This will not be excluded when numbering wires. A check box in front of the name of the group indicates its state (checked box = activated group).

Use the numbering group contextual menu to select the option you prefer.

Add a new numbering group

To add a new numbering group, click the Add a numbering group icon in the main menu. The group is automatically added after the others. Note that this new group already has a new type of connection (a group cannot exist without containing connections).

Delete a numbering group

To delete a numbering group, select it and click the Delete icon. The delete command is also available in the contextual menu of the numbering group. When a numbering group is deleted, all the wires contained in this group are automatically deleted except if they are used in schematic drawings.

Managing Wires and Conductors

Add wire(s)

There are two ways to add wires: the Add and/or Multiple add icons according to the type of wire you want to create/add, or you can use the contextual drop-down menu from the Numbering group.

The new wire is automatically added at the end of list, in the selected numbering group.

You can use the Copy, Paste and Paste special commands to duplicate an existing wire style to create a new one. Pasting a wire style on the Project level creates automatically a new wire style in a new group.

The Copy/Paste/Paste special features can be used to copy wire definitions from a project to another one.

Add conductors to a wire type

You can add conductors to an existing wire type via the wires contextual menu and select the Add a wire to a wire style option.

Down / Up

Two icons in the form of arrows allow you to organize the conductors (move them down or up).

Delete a wire style

To delete a wire style, select it and click the Delete icon or select the Delete option from the contextual menu by right-clicking the wire style you want to remove. A wire style can be deleted only if it is not currently used in a schematic.

Delete a conductor

To delete a conductor, select it and click the Delete icon, or select the Delete option in the drop-down menu for the conductor. A conductor can be deleted only if the wire type is not used in a drawing or schematic.

Related topics:

Numbering group properties

Wire properties

Numbering configuration

Number wires

Draw wires


Wire properties

Menu: Project > Configurations > Wire styles... > Properties

Dockable panel > Contextual menu of Project: Configurations > Wire styles... > Properties

Drawing wire > [...] > [Manager] > Properties

This dialog displays the common properties of all conductors using the selected wire style.

When you select multiple wire styles and then change values of properties common to all selected styles, you apply the new property values to all conductors defined by the selected styles. For example, if you select multiple wire styles that have the Line Color property, and change the property value to red, then all conductors defined by the selected wire styles change to red in the active document.

Select a wire or conductor type and click on the Properties icon, or select the Properties option from the contextual menu.

Wire properties

Wire style

Name: The name of the wire.

Numbering group: The group the wire is a part of.

General

Conductor: The type of conductor. This can be a non-electrical conductor.

Line color: Click the button [...] to select the color of the line representing the wire.

Line type: The type of line representing the wire.

Line width: Set a width to specific wire. This width is automatically applied on the wires in schemes.

Equipotential formula: Click the button [...] to access the formula manager and define a formula for the equipotential numbering.

Wire formula: Click the button [...] to access the formula manager and define a formula for the wire numbering.

Propagate: Check the box if you accept that the wires of this wire style can be updated by the Propagate data feature.

Cabling

This section is for the parameters used in wire routing. If you associate a cable reference, these fields are automatically updated by the reference. These settings will be applied to all wires of this type drawn in the schematic drawings.

Diameter: The diameter of the wire.

Section or gauge: The section of the wire.

Wire size standard: The standard used in the project.

Wire color: Click the button [...] to select the real color of the wire.

Bend radius (x Diameter): The required parameters to calculate the bend radius (parameter x diameter = bend radius).

Cable reference: Click the button [...] to associate a cable reference.

Technical data

Voltage: Electrical data not yet implemented.

Frequency: Electrical data not yet implemented.

Description

Enter the description in each of the different languages used in the project.

User data

Use this property to list data specific to your project.

Translatable data

Use this property to list data you need to translate.

Conductor properties

The dialog resembles the Wire properties dialog. However, this dialog shows properties common to all conductors that compose the wire style.

It is sometimes necessary to edit the properties of a conductor within a wire or wire style, to change its color, or to modify its equipotential and wire formula.

Related topics:

Wire style manager

Numbering parameters


Numbering configuration

Menu: Project > Configurations > Wire styles...

Dockable panel > Contextual menu of Project: Configurations > Wire styles...

Wire insertion > [...] > [Manager]

All the wire numbering settings are available on three levels:

  • Project configuration

  • Wire style manager

  • Specific settings for wires

Numbering options in Project settings

You can access project-level numbering settings from Mark tab of the Project Settings dialog box.

Available settings are:

Direction: Defines the direction of wire numbering. Available settings configure horizontal sequencing, vertical sequencing, and horizontal or vertical priority.

Wire style: Provides direct access to numbering manager options in the Wire style manager dialog box.

Numbering options in Wire style manager

Several numbering options are available from Wire Style Manager.

DesignSpark Electrical allows you to number your wires in two ways:

- Numbering of the equipotentials, all the wires connected to the same mesh (connected together) use the same number.

- Wire numbering where each physical wire is numbered individually.

Numbering (Wire/Equipotential): Select the numbering mode, either Equipotential or Wire.

Display: Used to select the mode used to display numbers; either the number is placed in the middle of the segment or the number is placed on the first and the last segments of the mesh. In wire numbering, the One number per wire mode is not available.

Numbering options in Wire styles

    • Numbering group properties

Wires are grouped in a Numbering group so that all wires that are part of a group use the same counter. This ensures numbering continuity in the wires even if they are different wire types.

The numbering group parameters can be accessed via its contextual menu Properties option.

Numbering group

The first setting is the number of the group. This number cannot be changed. Every group is associated to a "counter" that is an automatically incrementing counter. It also ensures that two wires in a numbering group cannot have the same number applied accidentally.

Wire numbering options

Numbering active: Allows you to activate or deactivate the numbering of the wires in the group.

If you deactivate the option, none of the wires in the Group will be numbered.

Start numbering at: Allows you to define the first wire number applied to the group.

For example, if you input the value 100, the first wire will be numbered 100, the second, 101 and so on.

Marks unique by: Allows you to manage the level of uniqueness of the wire marks. For example, if you set the level of uniqueness to Project, the counter will be continuous over the whole project. If you set it to Book, the counter will restart at the value of the Start numbering at parameter each time a change of book occurs.

Calculation of multiple wire order number

Allows you to define the wire numbering mode for the wires in this group.

The first mode will cause a different number for every wire conductor, the second mode will assign the same number for all wire conductors.

In this mode, it is advisable to add a prefix to the numbering formula, otherwise all the wire conductors will have the same value.

    • Wire properties

The wire numbering parameters are available in the wire style properties.

The Equipotential formula and wire formula fields allow you to enter a formula composed of variables and character strings.

The list of available variables is different for the equipotential numbering and the wire numbering.

For further information on the possibilities of the Formula generator, please refer to the chapter entitled: The formula manager.

Related topics:

Managing wire styles

Number wires

Formula manager


Numbering group properties

Menu : Project > Configurations > Wire styles... > Properties

Dockable panel > Contextual menu of Project: Configurations > Wire styles... > Properties

Drawing wire > [...] > [Manager] > Properties

In the wire style manager, the group properties are accessible through the contextual menu of the group. You can also select the group and click on the Properties icon.

Wires are grouped within a numbering group, so that all wires that are part of the group use the same counter. This ensures numbering continuity in the wires, even if they are different wire types.

General

The first setting is the number of the group. This number cannot be changed. Every group is associated with an automatically-incremented counter. This ensures that two wires in a numbering group can never have the same number applied.

Description

You can enter a name to the group in all languages managed by the software.

Wire numbering options

Numbering active: Activates or deactivates wire numbering in the group.

Deactivate this option, and none of the wires in the group will be numbered.

Start numbering at: Defines the first wire number for the group.

If you input the value 100, the first wire will be numbered 100, the second 101, and so on.

Marks unique by: Manages the level of uniqueness of the wire marks. If you set the level of uniqueness to Project, the counter will take effect across the whole project. If you set it to Book, the counter restarts at the value of the Start numbering at parameter each time a change of book occurs. The location for an equipotential is given by its first segment, as for other information, like the origin component. If there is an origin component, the equipotential location is the location of component, otherwise, it is the location of the file where this segment is drawn (or location outline if it starts in a location outline).

Calculation of multiple wires order number

Defines the wire numbering mode for the wires in the group.

Different for each wire option will assign a different number for every wire conductor;

Common for the different wires option will assign the same number for all wire conductors. In this mode, we recommend adding a prefix to the numbering formula. Otherwise, all wire conductors will have the same value.

Related topics:

Wire styles

Numbering configuration


Line diagram line styles

Menu: Project > Configurations > Line diagram line styles...

Dockable panel > Contextual menu of Project: Configurations > Line diagram line styles...

The manager can also be opened, when inserting a cable in a line diagram drawing, from the dockable panel by clicking the [...] button and selecting the Manager button.

This will open the Cable style manager dialog, where you can create/modify cable types.

Add: Allows you to create a new cable type.

Delete: Deletes the cable type selected.

Copy: Places a copy of the selected styles on the software clipboard.

Paste: Inserts the styles present on the software clipboard.

Paste special: Inserts the styles present on the software clipboard but allows you to manage their mark.

The Copy/Paste/Paste special features can be used to copy the definitions of line diagram line style from one project to another.

To edit a cable type, click the cable column you want to modify, (description, color, line type).

Related topics:

Draw cable


Report

Menu: Project > Configurations > Report...

Dockable panel > Contextual menu of Project: Configurations > Report...

The Report Configurations Manager allows you to distinguish and define the configurations attached to the Application and those attached to the project.

Configurations attached to the Application will be common to all projects that use it. A configuration attached to a project will be visible only in the current project.

DesignSpark Electrical takes project configurations as a priority; if these are unavailable the application configurations will be used.

Delete: Deletes the selected configuration file.

Properties: Edits the selected configuration file.

Duplicate: Copies a configuration file. A message asks you if you would like to open the file to modify it.

Add to project / to application: Adds configurations available at application level to your project and, in the same way, to make a configuration you have created for your project available at application level.

Archive: Creates a configuration archive file. This feature is used to exchange configuration files.

Unarchive: Recovers a configuration file that was initially archived.

Use in project / Remove from project: Adds or removes a file in the list of configurations used in the project.

Rename: Renames the selected configuration file. A dialog box opens asking you to define the new name of the file.

Change to design rule: Changes a report configuration to a design rule configuration.

Related topics:

Reports manager

Edit report settings

Add report

Scheduling reports

Generate drawing report

Excel export

Txt export

XML export


Edit report configuration

Menu: Project > Configurations > Report > Properties

Menu: Reports manager > Properties

Contextual menu of project: Configurations > Report >

Contextual menu of report drawing: Edit report configuration

This command allows you to edit the selected report configuration.

A dialog box opens displaying all the report configuration parameters.

Opens the preview windows to check the settings.

Adjusts the preview to the graphical area.

General

Name: Allows you to name the configuration file.

Type: In the list, select the report configuration type.

Description: Allows you to enter a description in all languages supported by the software.

Styles

For each type of text displayed in the table, you can manage the font, height, color and style.

Columns

Allows you to define the columns of the table and the content of the columns.

Changes the preview. When this option is active, the preview displays the table in the drawing space.

Displays a tip about ordering columns.

Allows you to select columns you want to manage in the report configuration. Check boxes corresponding to the fields you want. You can use the icons (arrows) to organize columns.

Allows you to add a new column. This icon is available only if Expert mode is activated.

Allows you to delete a column. This icon is available only if Expert mode is activated.

Header: The first line of the table. The header contains text which indicates the data type. You have to enter text in all languages supported by the project.

Content: The data field stored in the project database. Click the cell to access the column properties.

Go to: Allows you to generate a link with a data, such as the Mark Id of a component, and the element in the project (the component).

Width: Enter the width of the column.

Calculate sum: This data is optional. You can only total numeric data.

Print vertical separation: When you clear this option, the vertical line between 2 columns is removed.

Multiline: When the text is longer than the cell, if this option is active, the rest of the text is put in a second line.

Header alignment: Allows you to manage the justification of header text.

Content alignment: Allows you to manage the justification of content text.

Merge rows: Groups data if it has the same value.

Duplicate in list: When you merge rows, the next columns display all data in the same cell. If this option is active, you accept that you may have the same data several times.

Separator: This character is used to separate data when you have duplicates.

Layout

Allows you to configure the position of the table in the drawing.

Drawing space

Height: Enter the height of the area in which the table can be drawn.

Width: Enter the width of the area in which the table can be drawn.

Insertion in drawing space

X and Y coordinates: Enter the coordinates of the area corresponding with the margin (the table cannot be drawn in the grid of the title block).

Margin between tables

Horizontal and vertical: Enter the distance you want to have between each table.

Space between title and table: Enter the distance between the text displaying the table title and the table.

Options

Use '|' character as line break: Select this option when you manage line breaks in the reports. For each kind of reports (such as drawings or Excel files), the '|' (Alt 124) character is replaced by a specific line break character.

Do not cut tables: When you use breaks, it is possible that a table will not occupy the entire drawing. A second table can therefore be drawn on the same drawing. When you select this option, and if the second table cannot be fully drawn in the drawing, it will be drawn in a new drawing.

One table per page: When you use breaks and if you select this option, you cannot have two or more tables on a page.

Drawing list: A special option for drawing lists. When you launch a drawing list, this can create one or more new drawings. The report is launched several times to integrate these new drawings.

One report per book: When you use breaks on a book, you can choose to group all report drawings in one book or to distribute them in different books.

The title block associated with this report displays in this tab. It can be different from what is set in the project configuration.

You can modify it by clicking the icon [image].

Sort and break

Allows you to configure data sorting. Breaks allow you to divide the report into tables, grouping data with the same values together (break = one per table).

The table can have a title inserted in the top left of the table. Also this allows you to configure the title of the table, either automatically or using a formula.

Title formula: Allows you to access the formula manager to create a formula for the title of the table.

Automatic formula from break: This option automatically sets the title from the breaks you set up.

Sort order and break condition: Add fields for sorting. You can manage the order with the up/down arrows. The order is created based on the first field, then the second field, and so on. If you want to create a break, check the box.

Filters

Filters allow you to do an extraction in the report data, for example to display the manufacturer part of a specific manufacturer, or the drawing list of a specific book.

Allows you to add new filters.

Duplicates the selected filter.

Deletes the selected filter.

Opens the selected filter definition.

Filter name: Displays the name of the different filters used in the report.

Filter description: Displays the filter description in the main language used in the project.

Filter: Displays the filter conditions.

File data

This tab allows you to define the parameters for the automatic generation of information to be transferred into the properties of report drawing. Clicking the right-hand column allows you to open the formula manager.

Name: This formula allows you to define the drawing mark. If you leave an empty formula, the configuration parameters will be used.

Description: Allows you to define the parameters for the automatic generation of data to be transferred into the description of the report drawing.

User data/Translatable data: Allows you to set the parameters for the automatic generation of data to be transferred into the user data of the report drawing.

Activation of Expert mode

Expert mode lets you directly intervene on the SQL query used to generate the report. This mode is addressed only to people who can use SQL and who have knowledge of database structures.

Warning: changes that are not carried out correctly or completely thought can cause unwanted results or a complete loss of report configuration.

During the activation of "Expert" mode, a new SQL query tab is displayed. The left part shows the query in SQL format. The right part lists the available tables and fields.

Add / Delete a column: Allows you to add or delete a column. Note that this feature is not to be confused with the adding / deleting of the Columns tab. Adding / deleting of a column in Expert mode adds or deletes a field in the query.

Open file: Allows you to open an XML file (save the parameters of the report configuration and of the query) in a file editor.

Edit: Lets you edit the query.

Test: Lets you test the result of the query. If it is valid, a dialog box opens displaying the result. If the query is invalid, a message alerts you.

Export query: Allows you to export the query used by the report in a text file. This file automatically opens.

Related topics:

Reports manager

Add report

Scheduling reports

Generate reports drawings

Excel export

Txt export

XML export


User data

Menu: Project > Configurations > User data...

Dockable panel > Contextual menu of Project: Configurations > User data...

User data is present throughout the Project. It is used to store personal information that can be displayed in the schematic or in the reports. There are two types of user data: Translatable user data (translated during Project translation) and non-translatable user data.

The left part of the dialog box displays the configurations available at application level, in other words common to all projects. The right part of the dialog box lists all configurations only available in the current project.

New: Used to create a new configuration file.

Delete: Used to delete the selected configuration file.

Properties: Used to edit the selected configuration file.

Duplicate: Copies a configuration file. A message asks you if you would like to open the file to modify it.

Add to project / to application: Used to add configurations available at application level to your project and, in the same way, to make a configuration you have created for your project available at application level.

Archive: Used to create a configuration archive file. This feature is used to exchange configuration files.

Unarchive: Used to recover a configuration file that was initially archived.

Related topics:

User data customization


User data customization

Menu: Project > Configurations > User data... > Properties

Menu: Project > Configurations > User data... > New

Dockable panel > Contextual menu of Project: Configurations > User data... > Properties

Dockable panel > Contextual menu of Project: Configurations > User data... > New

The dialog box is divided in two tabs. The General tab allows you to set the description of the user data configuration file. The second, Edition, allows you to manage the user data

In the Edition tab, the left part of the dialog box displays the user data, the right part displays the name of the user data or the selected group.

The user data is regrouped under groups (The group names user data and translatable data can be renamed and only serve to distinguish the data types). You can create as many groups as you want, but the quantity of user data is limited for certain elements (for example for cables, the quantity of translatable user data is limited to three).

To facilitate the management of user data, each item of user data is preceded by its order number. This number is also displayed in the dialog boxes for the electrical object properties.

Insert group: Lets you insert a new user data group.

Insert user data: Lets you create new user data (non-translatable). The user data is created in the selected group.

Insert translatable data: Allows you to create new translatable data. The translatable data is created in the selected group.

Move down / Move up: Used to organize the order of user data.

Delete: Lets you delete the selected user data.

Save: Lets you save the configuration file. It can be also registered when the dialog box closes.

Cut / Copy / Paste: Allows you to duplicate existing user data.


Palettes

Menu: Project > Configurations > Palettes...

Dockable panel > Contextual menu of Project: Configurations > Palettes...

Palettes are used to store schematic or line diagram symbols, schematic macros.

The left part of the dialog box displays the configurations available at application level, in other words common to all projects. The right part of the dialog box lists all configurations available only in the current project.

Delete: Deletes the selected configuration file.

Properties: Edits the selected configuration file.

Duplicate: Copies a configuration file. A message asks you if you would like to open the file to modify it.

Add to project / to application: Adds configurations available at application level to your project and, in the same way, to make a configuration you have created for your project available at application level.

Archive: Creates a configuration archive file. This feature is used to exchange configuration files.

Unarchive: Recovers a configuration file that was initially archived.

Rename: Renames the selected configuration file. A dialog box opens asking you to define the new name of the file.

You cannot modify the configuration files in this interface. They are automatically modified when palettes are used.

Related topics:

Project configuration > Libraries and palettes

Symbol palette

Macros palette


Formula manager

Project settings > General

Project settings > Mark

Wire style manager > Wire properties

DesignSpark Electrical uses variables that send information from the database (Component marks, wire numbers...). This information can be handled via the formula manager so that it is presented according to your needs.

For example:

Equipotential number coming from the database: 5

This value is stored in the variable EQU_NO.

If you want to present this information on your drawing as 005 (displayed with three characters), you need to use the following formula: STRZ(VAL(EQU_NO), 3, 0)

Using the formula manager

DesignSpark Electrical is delivered with a large number of predefined formulas, and we recommend using them. However if your needs require the creation of your own formula, we will discuss some elements that you would need to construct your formula in a simple manner.

- A formula is made up of variables (available in the third tab) and text. The strings of text need to be placed within quotes and each variable or string of text must be separated by a + sign. For example: CHAN_TYP + ":" + COM_VAL1 + "." + CHAN_ADDR

- The variables are generally of Text type, even when they have a numeric appearance (e.g.: EQU_NO variable that sends the equipotential number).

- Certain functions are often used to work on a variable.

STRZ (VAL(FIL_NO),2,0) sends the drawing number represented by two characters. The missing character here is replaced by a 0 (e.g.: 01, 02, ...).

VAL: Converts a chain of characters into a number. As FIL_NO is a string of characters, it needs to be transformed into a number as the function STRZ handles only numeric values.

STRZ: Converts a numeric value by imposing a certain number of digits (2 in this example), and the number of decimals (0 in this example).

- You can use mathematical functions (+ - * /) to modify the result of the variables.

STRZ(VAL(EQU_NO)*2,3,0) sends the number of equipotentials represented as three characters, but only using even numbers.

STRZ((VAL(EQU_NO)*2)-1,3,0) sends the equivalent of the result of the previous formula, but only using odd numbers.

If you enter a wrong formula, a message is displayed on the bottom of the dialog box.

The dialog box has four tabs to help you to create your formula.

Predefined formulas

This tab groups all predefined formulas according to the element you want to associate with a formula. In the list, select the formula and click the Replace formula button to replace the existing formula.

If you wish, you can manually modify this formula. A message notifies you when the formula is invalid.

Recent formulas

This tab displays the old formulas you used. As in the first tab, you can replace the active formula by selecting an existing formula and clicking the Replace formula button.

Variables and simple formulas

This tab allows you to create your own formula.

Simple formula: This column displays the list of variables available and simple formulas using these variables.

Description: This column gives you a description of the selected variable.

Type: Displays the variable type to help you use specific functions such as VAL or STRZ.

Add a simple formula: To create the formula, select the variable and click the Add a simple formula button.

You can add text but it must be between quotes ("TEXT") and each text and variable must be separated by the sign +. A message notifies you when the formula is invalid.

Functions

This tab lists all the functions and operators you can use in the formula.

Function: Displays the function name. Functions are sorted by type, mathematical, text and various functions.

Description: Displays the function description (definition).

Example: Displays an example on the function use and its syntax. At the end of the example you can find the result of the function.

As the previous tab, click the Add a function button to add the function to the formula.


The dockable panels

DesignSpark Electrical uses specific panels to help you in your schematic design. These dockable panels can be placed on the right or on the left of the screen.

The dockable panels contain different tabs, associated to a specific icon. These tabs can be moved from a dockable panel to the other using the drag-and-drop method.

The tab display is managed manually for most of them, using the View menu (Dockable panels section) commands. Some of them are opened automatically such as the Command tab.

Documents: Displays the project document list.

Components: Displays the component list.

Command: Displays options of the current command.

Macros: Displays the macro palette.

Symbols: Displays the symbol palette.

Properties: Displays the properties of the selected element.

Resources: Displays shortcuts in relation with the software.

You can save the dockable panel layout (tabs and dockable panel position), restore the layout you saved or reset to load the default panel layout.


Command tab

Dockable panel: Command

The Command tab display is active when a command runs and needs options.


Properties tab

Dockable panel: Properties

Menu: Modify > Properties

The dockable panel contains a specific tab allowing you to display the properties of the selected element. The properties can be graphical properties (stored in the graphical entities) or data stored in the project database or in the software database.

This element can be:

  • A project document (in the Documents tab).

  • A component (in the Components tab).

  • Any graphical electrical objects (wire, symbol, location and function outline in the graphical area).

  • Any basic entities (line, circle, arc or texts in the graphical area).

  • A symbol (Graphical edition mode).

  • A 2D footprint (Graphical edition mode).

  • A title block (Graphical edition mode).

The object properties can be displayed in a specific dialog box.

Project elements

The project elements group all elements depending on the project, such as project documents, components or electrical entities.

When you select a project element, specific icons appears to edit its properties.

Click this button to edit the electrical properties of the selected element.

Validates the modifications done in the properties tab.

Cancels the modifications done in the properties tab.

In edition mode, several data cannot be modified because they are managed by the software or by the project configuration.

This feature accepts multi-selection but you must select elements of the same type (for example, you cannot select a symbol and a drawing). When you select several elements, such as different type of wires, only common properties are displayed.

In multi-selection mode, a grey cell indicates that the data of the selected elements are different. In edition mode, the grey color is replaced by purple.

Document elements

The Properties tab displays the properties of each project element (Project, book, folder, drawings, data files) selected in the Documents tab. If you select different types of elements (such as folders and drawings), new tabs appear to sort the elements.

For example, if you select a folder and a drawing, two tabs are displayed. You can get access to the folder properties from the Folder tab and to the drawing properties from the Drawing tab.

Component elements

As the document elements, when you select several different types of elements in the Components tab, new tabs appear in the Properties tab corresponding to each type of component (location, component, terminal strip).

Graphical entities

To edit the properties of a selected element in the graphical area, you must select one element or only elements of a same type (multi-selection). If you select several type of entities, only the Graphical properties tab appears and you cannot change the electrical properties.

The wire properties are not available when the Deferred mode is activated.

Some specific tabs appear, corresponding to the selected entity type. For example, when you select a wire, several tabs can be displayed corresponding to all settings you can find on this wire (equipotential, cable, cable core, wire style).

The Graphical properties tab displays the graphical settings of the selected elements. Some of these settings cannot be changed because they are managed by the configurations. On the top of this tab, you can find a list, grouping the selected entities, by type. On a multi-selection, the tab displays the common data.

Software elements

The Properties tab displays the settings of the basic graphical entities like lines, circles or texts. It also displays the data of elements stored in the managers (symbols, title blocks and 2D footprints).

Basic entities

On a basic entity selection, only the Graphical properties tab is available. If you select different type of entities, these are grouped in the list on the top of the tab. The settings displayed are those of the selected group or the entire selection. When you change the properties of elements, they are automatically updated in the graphical area.

Manager elements

In graphical managers, when you edit an element, like a symbol, a 2D footprint or a title block, the Properties tab displays the data of the selected level.

For a symbol, you can access to the properties of the symbol, the circuit, the connection point and the attribute. For a 2D footprint and a title block, you can also access to their properties and the attribute properties.

When the selected element has a graphical representation (basic graphical entity, attribute and connection point), the Graphical properties tab is available.


Resources tab

Dockable panel: Resources

Displays shortcuts in relation with the software.


Projects and documents

A Project is composed of documents: these could be drawings created by the user (Such as schematic diagrams or line diagrams) or drawings that are automatically generated by the software (Such as reports) or other documents (Such as PDF files or DWG files). Project documents are organized into folders and books.

All drawings created outside of DesignSpark Electrical will not be taken into account by DesignSpark Electrical and will not be included in different processes.

  • projects manager

  • Managing Books

  • Managing Folders

  • Different types of document

  • Managing project drawings

  • Title block management

  • Add a data file


Projects manager

Menu: File > projects manager

Quick access toolbar

Two tabs are available. One shows all the projects (All projects), the other shows the recently accessed projects (Recent projects).

When the project is shown in blue and bold, it is present in the Documents tab of the dockable panel and at least one drawing is open. It is the current project.

When the project is shown in blue, it means that it is present in the Documents tab of the dockable panel but that no drawing is open.

When the project is shown in black, it is absent in the Documents tab of the dockable panel and no drawing is open.

By default, the project descriptions are displayed in the software language. If you want to display them in another language, select it in the list available in the ribbon.

New: Allows you to create a new project.

Unarchive: Allows you to restore an existing archived project.

Open: Allows you to open the project selected in the project explorer (dockable panel).

Set as current: Allows to set as current the selected project. The project must be in the Documents tab of the dockable panel.

Close: Closes the selected project .

Archive: Allows you to archive the project selected. The project must be closed.

Duplicate: Copies the selected project.

Save as template: Allows you to create a new project template.

Delete: Deletes the selected project.

Properties: Opens the properties of the selected project.

Configuration: Allows you to configure the columns displayed in the projects manager.

Filters: Activates the filters to help you find a project.

These commands are also available in the contextual menu of the Project.

  • Unarchive an existing project

  • Create a new project

  • Create a project template

  • Project properties

  • Open a project

  • Set as current

  • Close a project

  • Archive a project

  • Duplicate a project

  • Delete a project

  • Filter projects


Unarchive an existing project

Projects manager > Unarchive

Unarchiving a project lets you restore a previously archived project. This consists of opening a project which had previously been archived. DesignSpark Electrical will prompt you to select the archived TEWZIP file.

The unarchiving command has 2 options. The first Unarchive option lets you unarchive the project with options. The second Unarchive and open option lets you unarchive the project and open it automatically without selecting options. The properties of the project are automatically validated and the data is not updated.

The project properties dialog box opens allowing you to modify project data. After validation, a new dialog opens, where you can define what data will be imported and how it will be handled.

If the update option is selected, the update wizard will be opened automatically, where you can manage the data to be unarchived.

A pop-up will then ask whether the project should be opened immediately or whether you want to stay in the projects manager.

Related topics:

Projects manager

Archive a Project


Create a new project

Projects manager > New

When you create a new project, you must select a template or create an empty project. If you select <Empty project> you will need to input all the configuration parameters for this project.

Some project templates allow you to select the primary language to be used in the project.

The project properties dialog will be displayed, where you can input the project specific data.

Note that at this stage you cannot modify the project configuration parameters. It is necessary to validate your settings, (this creates the new project), and you can then edit the configuration parameters.

The newly created project is automatically added to the dockable panel. When a template has been used, the project will automatically be populated with the elements (such as drawings or cover pages), that were present in the template project.

Related topics:

Projects manager

Project properties

Create a project template


Create project template

Projects manager > Save as template

Select a project in the list and click on the Save as template icon. A dialog box opens, letting you enter the name of the project template.

A project template contains all the elements (such as drawings or configurations) in the project that were used to create the project. When creating a new project with this project template, you will find all the content in the project template.

Related topics:

Project configurations

Create new project


Project Properties

Projects manager > Properties

Dockable panel > Contextual menu of project: Project Properties

Menu: Project > Properties

Allows you to access the properties of the selected project.

The input data can be displayed in the title block.

Name: The name of the project. This name will be used as file name when you archive the project. The project name cannot be empty.

General

Contract number: The contract number or a code identifying the contract. This data is optional but cannot be customized.

Customer

These data are optional and cannot be customized.

Name: The name of the customer.

Address 1/2/3: The address of the customer. Three lines are available.

Design office

These data are optional and cannot be customized.

Name: The name of the design office.

Address 1/2/3: The address of the design office. Three lines are available.

System

Displays information about the creation and the modification of the project. These data are automatic and cannot be modified.

Creator: The name of the user who created the project.

Creation date: The creation date of the project.

Modification date: The date the project was last modified.

Information

Displays information on the version of the project.

Description

The first translatable data of the project. You can enter a description in all languages managed in the project.

User data / Translatable data

The user data are available across the entire project. It is used to store personal information, which can be displayed in the drawings. There are two types of user data: translatable user data (translated during project translation), and non-translatable user data.

Statistics: You can access a project's statistics once you open the project. Click on the Statistics button to open a dialog box that shows the number of elements (such as drawings, manufacturer parts, or cables) found in the project.

Customize: Lets to access to the project's user data.

Project configuration: Lets to access to the project configuration.

Related topics:

Project settings

User data


Open a project

Projects manager > Open

Select the project in the list and click the Open icon.

The project is automatically added to the Documents tab in the dockable panel and becomes the current project.

The Open icon is gray while the project is present in the dockable panel.

The projects manager has a check box named Keep the dialog opened making the projects manager open when the project is opened.

A project can also be open if you drop (from the Projects folder of the DesignSpark Electrical data) a ".ewg" file in the DesignSpark Electrical interface. The file is open in the graphical interface and the project is added in the Documents tab of the dockable panel.

Related topics:

Projects manager


Set as current

The current project is the one you are using. To distinguish the current project in the dockable panel and in the projects manager, it is displayed in bold.

Projects manager > Set as current

Dockable panel > Contextual menu of Project: Set as current

A project is set automatically as current, when you open or activate one of its drawings (current drawing).


Close project

Projects manager > Close

Dockable panel > Contextual menu of project: Close project

Select the project from the list and click the Close icon.

Opened pages are automatically saved and closed. The project is removed from the documents tab of dockable panel, but is retained in the projects manager.

A project must be closed before archiving, before saving it as a template, before deleting it, or before copying it.

Related topics:

Projects manager


Archive project

Projects manager > Archive

The Archive command can save the project with all its documents and all data used in its design (such as symbols, title blocks, or configurations).

The archived project file extension is .PROJ.TEWZIP. Archived projects remain available in the Projects Manager.

1. Select the projects from the list.

2. Click the Archive icon.

3. A message box opens asking you to allow the user to change the project language when unarchiving it.

4. If you have Shortcuts in the project, an option dialog box opens asking you to include or not the files managed by the shortcut.

5. In the Save As window, choose the folder and name for the archive file.

Related topics:

Projects Manager

Close project

Unarchive project


Duplicate a project

Projects manager > Duplicate

Makes a copy of an existing project. All the elements of the project are duplicated.

Select the project from the list and click on the Duplicate icon.

A properties dialog box opens, letting you modify the name and properties of the new project. This project is then added to the list of projects.

Projects must be closed before duplicated.

Related topics:

Projects manager

Close project

Project properties


Delete a project

Projects manager > Delete

Deletes a project and all elements constituting the project.

Select one or several projects from the list and click on the Delete icon.

A dialog box opens displaying options:

Archive and delete: An archive file containing the selected projects is created before the deletion. This option is used if you are not sure of the definitive deletion. The projects can be restored by the unarchive feature.

Delete without backup: The projects are deleted without creation of an archive file.

Deleting a project cannot be undone, and once deleted it cannot be recovered. If in doubt, it is best to make an archive of the project before deleting it.

Projects must be closed before they can be deleted.

Related topics:

Projects manager

Close project

Archive project


Filter projects

Projects manager > Filters

This command lets you reduce the list of projects by entering criteria.

The left part of the dialog box displays a list of criteria. When criteria have been entered, the list of projects is reduced to projects corresponding to these criteria.

Related topics:

Projects manager


Managing books

A book contains all the documentation that makes up a project. A book can contain folders, drawings, and all associated documents. You can have multiple books in a single project if required.

Books are identified by their mark and description in the dockable panel.

Create a new book

Menu: Project > New > New book

Dockable panel > Contextual menu of project: New book

Opens the properties dialog box for the book, letting you assign a mark to it and enter content, or manage revisions.

Move a book

By using a drag and drop you can move the books. The moved book must be in the same project. A black line appears to define the new position.

Book Properties

Contextual menu of book: Properties

Mark

The book mark is automatically calculated according to the project settings.

Mode: If you select the Automatic mode, the mark is calculate automatically according to the configuration settings. If you select Manual mode, you must enter the mark manually in the Mark setting.

Mark: Displays the automatic mark or used to enter the manual mark.

Number: Displays the order number assigned to the book. You can change this number but you cannot used an existing number.

Hierarchy

By default, a book is associated with a location and a function. All items (drawings and components) dependent on this book are automatically associated to this location and function by default.

Location/Function: Click the button [...] to open the location (function) selector, letting you select the location (function) you want to associate with the book.

Information

Number of documents: Displays the number of documents contained in the book. This information is essential for users working with versions that limit the number of drawings.

Revisions

Current revision: Displays the revision index assigned to the book. You can manage the revisions by clicking the button [...].

Description

The first field of translatable data for the book. You can enter a description for all languages managed in the project.

User data / Translatable data

User data are present across the entire project. They are used to store personal information, which can be displayed in the drawings. There are two types of user data: translatable user data (translated during Project translation), and non-translatable user data.

The Customize... button lets you access the book's user data.

Delete a book

Contextual menu of book: Delete

Deleting a book removes all elements (folders, drawings or data files) contained in the book.

Related topics:

Managing folders

Different types of documents


Managing folders

A folder is like a directory for storing drawings or other folders. This system provides tools for classifying or grouping drawings within a project.

Folders are identified by their mark and description in the dockable panel.

Create a new folder

Menu: Project > New > New folder

Contextual menu of book: New > Folder

Opens the properties dialog box for the folder, letting you allocate a mark and enter information for its data set.

Folder properties

Contextual menu of folder: Properties

Mark

The folder mark is automatically calculated according to the project settings.

Mode: If you select the Automatic mode, the mark is calculate automatically according to the configuration settings. If you select Manual mode, you must enter the mark manually in the Mark setting.

Mark: Displays the automatic mark or used to enter the manual mark.

Number: Displays the order number assigned to the folder. You can change this number but you cannot used an existing number.

General

Define the first drawing number: If this option is selected, you can indicate the number of the first drawing in this folder. Otherwise, the number of the first drawing is derived from the previous drawing (regardless of folder).

First drawing number: This setting is available only if the previous setting is activated. Enter the number of the first drawing of the folder.

Path: Indicates the path of the book whose the folder is depending.

Description

The first translatable data of the folder. You can enter a description in all languages managed in the project.

User data / Translatable data

The user data is available across the entire project. It is used to store personal information, which can be displayed in the drawings. There are two types of user data: translatable user data (translated during project translation), and non-translatable user data.

The Customize... button lets you access the folder user data.

Delete a folder

Contextual menu of folder: Delete

Deleting a folder removes all the drawings contained in the folder.

Related topics:

Managing books

Types of documents


Different types of document

Several kinds of documents are available. All the documents editable in DesignSpark Electrical are called Drawings.

Documents created by users:

Cover page | Cover page or presentation page, no drawings.
Wiring line diagram | To draw a line diagram used to describe cabling with block diagrams.
Scheme | Scheme, electrical scheme or any kind of drawing (default type of document).

Documents generated by DesignSpark Electrical (cannot be made by users):

Report

Report made based on data extraction. List of folios, BOM, cable reports, wiring list, etc.

Data files:

Data files are external files copied to the project. They can be any files in any format.

DWG and DXF files are managed as DesignSpark Electrical documents. A preview is displayed. They can be modified and printed in DesignSpark Electrical.

All other file formats may be added to the project but it will not be possible to preview or edit them in the DesignSpark Electrical interface. If you wish to open them, the application associated with the type of file will open them.

File shortcut

This file type is not really a project document, but only a link to an external file. Its name is displayed like a project document with a specific icon.

These files can be open with the Windows associated application.

  • Cover page

  • Line diagram drawing

  • Scheme drawing

  • Report drawing

  • Data file

  • File shortcut


Cover page

The cover page is a specific drawing in which it is not possible to incorporate a schematic.

Given that you may organize your project any way you want (books, folders), you can manage as many cover pages as you wish and at any point in your project.

Related topics:

Different types of document

Create a cover page


Line diagram drawing

Line diagrams allow you to draw the cables for the installation. On opening a line diagram, the Line diagram menu activates and displays the commands necessary to create a cabling scheme.

The graphic elements used in this type of drawing, which are inserted by the commands in the Line diagram menu, are saved in the project database.

Related topics:

Different types of document

Create a drawing


Scheme drawing

Detailed schematics of the installation are made on the drawing type schematic. On opening the schematic drawing, the Schematic menu activates and displays the specific commands to create schematics.

The graphic elements used in this type of drawing, inserted by the commands in the Schematic menu, are saved in the project database.

Related topics:

Different types of document

Create a drawing


Report drawing

Reports drawings are created automatically by DesignSpark Electrical. The report drawings are automatically generated according to the stored information in the project database and the configuration parameters.

It is not possible to add the schematic or line diagram elements; only the commands of the Draw or Modify menus can be used to complete the graphical details. If you have added graphical elements, check the drawing after a report update.

Related topics:

Different types of document

Draw reports


Data files

DesignSpark Electrical lets you add different document types to a project, for example: DWG/DXF, Word or Excel files. These files are copied into the project, but cannot be opened in the graphic interface. They are opened by the application associated to the file type in Windows.

Related topics:

Types of documents

Add data file


Managing project drawings

Each drawing has a mark (number). This mark is unique in the book, two drawings cannot have the same mark.

In the Documents tab of the dockable panel, the display order of these drawings is user definable; simply drag and drop a drawing to move it according to your needs, or add books or folders. The drawings can be moved, copied or renumbered.

To open a drawing, double-click on it or use the Open command in its contextual menu. When a drawing is open in your session, it appears in blue. If it is open on another workstation, it appears in red. The current drawing appears in blue and in bold.

  • Create a cover page

  • Create a drawing

  • Open a drawing

  • Drawing properties

  • Preview

  • Rebuilding a drawing

  • Change location

  • Change function

  • Reach a drawing

  • Move a drawing

  • Renumber drawings

  • Copy / Paste a drawing

  • Browse drawings

  • Delete a drawing


Create a cover page

Menu: Project > New > Cover page

Contextual menu of book: New > Cover page

Contextual menu of folder: New > Cover page

The cover page is automatically added to the book or folder drawing list. The cover page is then automatically opened in the graphic zone and its title block is updated according to the information you have input in the project, the book or the folder properties.

Related topics:

Managing project drawings


Create a drawing

Menu: Project > New > Scheme (Wiring line diagram - Mixed scheme)

Contextual menu of book: New > Scheme (Wiring line diagram - Mixed scheme)

Contextual menu of folder: New > Scheme (Wiring line diagram - Mixed scheme)

Contextual menu of drawing: New > Scheme (Wiring line diagram - Mixed scheme)

On creation, the drawing will be added to the book or folder, depending on where the command was run.

The drawing is automatically opened in the graphic zone. Its number, as well as all the data related to it, can be modified by opening its properties.

A drawing can also be created in the last drawing on the list by clicking on the Next icon from the quick access toolbar.

Related topics:

Managing project drawings


Drawing properties

Contextual menu of drawing: Properties

Mark

The drawing mark is automatically calculated according to the project settings.

Mode: If you select the Automatic mode, the mark is calculated automatically according to the configuration settings. If you select Manual mode, you must enter the mark manually in the Mark setting.

Mark: Displays the automatic mark or is used to enter the manual mark.

Number: Displays the order number assigned to the drawing. You can change this number but you cannot use an existing number.

Hierarchy

By default, a drawing is associated with a location and a function. All components contained in this drawing will automatically be associated with this location and function by default. When you change the drawing location (or function), a message box opens allowing you to change the location (or the function) of the components inserted in this drawing.

Location: Click the button [...] to open the location selector, this lets you select the location you want to associate with the drawing.

Function: Click the button [...] to open the function selector, this lets you select the function you want to associate with the drawing.

Information

Position of drawing: Displays the position of the drawing in the list (Documents tab) and the total number of drawings contained in the project.

Revisions

Current revision: Displays the revision index assigned to the drawing. You can manage the revisions by clicking the button [...].

Properties

Drawing type: Displays the type of the drawing. This can be Cover page, Line diagram, Scheme, Mixed scheme, or Report. This setting cannot be modified, except for the schematic and line diagram drawings, which can be changed to mixed scheme drawing type.

File name: Displays the filename. Do not rename this file, or else the link with the software will be lost.

Target file (only on file shortcut): Displays the path and the filename managed in a file shortcut.

Title block: Displays the title bock name used in the drawing. Click the button [...] to change the associated title block. If you click the icon on the right (+), you have access to the title block management menu.

Description

The first translatable data of the drawing. You can enter a description in all languages managed in the project.

User data / Translatable data

The user data are available across the entire project. It is used to store personalized information, which can be displayed in the drawings. There are two types of user data: translatable user data (translated during project translation) and non-translatable user data.

The Customize... button lets you access the drawing user data.

Related topics:

Managing project drawings


Preview

Contextual menu of drawing: Preview

Opens the view window.

Zoom commands are available in the menu bar for DWG or DXF files. No modifications can be made to the drawing.

Related topics:

Managing project drawings


Rebuild a drawing

Contextual menu of drawing: Rebuild

This command allows you to update or recreate a drawing according to the data stored in the Project database.

On launching this command, a dialog box opens displaying the available options.

Rebuild: The DesignSpark Electrical entities (those that are managed in the database) are deleted and regenerated in the drawing according to the information stored in the database. The elements drawn by the commands of the Draw and Modify menus (entities which are not managed by the database) are conserved.

Delete and rebuild: The drawing is deleted and rebuilt according to the information stored in the database. The elements drawn by the commands of the Draw and Modify menus (entities which are not managed by the database) are lost.

Do nothing: Cancels the command.

Related topics:

Managing project drawings


Change location

Contextual menu of drawing: Change location

The Change location command works across multiple drawings.

Drawing properties: Location

Each drawing is associated with a location. This location is defined when the drawing is created. By default, the location is the one associated with the book.

When this command is selected, the location selection dialog box opens, allowing you to select the desired location.

The components initially associated with the drawing's original location can be associated with the new location. A dialog box opens allowing you to select the desired options.

Change component location: Components with the same location as the drawing are automatically associated with the new function. If the component was drawn on several drawings (symbols), all symbols representing the component are associated with the new function (even if the drawings are not affected by the change of function).

Change drawing location only: The drawing itself is associated with the new location, and no changes are made to the content of the drawing.

Cancel: Cancels the current command. No changes are made to the drawing and its content.

Related topics:

Managing project drawings

Locations


Change function

Contextual menu of drawing: Change function

The Change function command works across multiple drawings.

Drawing properties: Function

Each drawing is associated with a function. This function is defined when the drawing is created. By default, the function is the one associated with the book.

When this command is selected, the function selection dialog box opens, allowing you to select the desired location.

The components initially associated with the drawing's original function can be associated with the new function. A dialog box opens allowing you to select the desired options.

Change component function: Components with the same function as the drawing are automatically associated with the new function. If the component was drawn on several drawings (symbols), all symbols representing the component are associated with the new function (even if the drawings are not affected by the change of function).

Change drawing function only: The drawing itself is associated with the new function, and no changes are made to the content of the drawing.

Cancel: Cancels the current command. No changes are made to the drawing or its content.

Related topics:

Managing project drawings

Functions


Reach a drawing

Search document

This feature allows you to find a document, drawing or other, in all the documents of the project.

Dockable panel > Contextual menu of project: Reach a drawing

Dockable panel > Contextual menu of book: Reach a drawing

Dockable panel > Contextual menu of folder: Reach a drawing

Dockable panel > Contextual menu of drawing: Reach a drawing

Menu: Tools > Search > Search document

Menu: View > Search document

The left side of the dialog shows the project tree, and the right side shows the preview or the list of documents contained in the project.

List mode: Displays a list of drawings (including name, description, etc).

Thumbnail mode: Displays thumbnail previews for the drawings.

Preview: Opens the drawing in a preview dialog box. The drawing cannot be modified here.

Configuration: Manages display settings for items in the dialog box.

Properties: Opens the properties dialog box for the selected drawing.

To help you search, you can filter the results according to four filters: Mark, Description, File type, Function, Location, Book and Opened drawing. This allows you to display all the project drawings or only the drawings opened by the user or other users.

Select the drawing and click the Open button to open it.


Move a drawing

Select a drawing that you want to move using the Drag and Drop technique, move it to the final position (by keeping the left mouse key pressed).

You can move drawings from one folder to another or from book level to a folder or vice versa. This technique can be also used to move entire folders.

Related topics:

Managing project drawings


Renumber documents

Contextual menu of book: Renumber documents

Contextual menu of folder: Renumber documents

Menu: Process > Renumber documents

This command lets you renumber all the documents of the project, folders, books and drawings.

A dialog box opens letting you renumber documents based on your preferred parameters.

Selection

Whole project: Renumbers all of the project's documents.

Current book: Renumbers only the documents in the current book (the book associated with the current scheme).

Current folder: Renumbers only the documents in the current folder (the folder associated with the current scheme).

Selected documents: Click the [...] button to select the documents you want to renumber.

Renumbering mode

Update marks: Allows to update the document marks if you change the numbering formula (the ORDERNO value will not be changed).

Recalculate order numbers: Recalculates all document numbers (the ORDERNO value will be changed), except for numbers that have been modified manually. You must check the Recalculate manual marks box to recalculate all document marks.

Elements

Elements: Displays the list of available documents.

Selection: The check box allows you to select the elements you want to renumber. It also displays the number of elements to renumber.

First number: Enter the first number assigned to the element.

Step: Enter the incremental step value. For example, if "First number" = 10 and "Step" = 2, elements will be numbered: 10, 12, 14, 16...

Formula: Displays the mark formula managed in the project configuration.

Fx: The [...] button allows you to access the formula manager to modify the formula, used to renumber the elements. If you change the formula, it replaces the project configuration formula.

Mark configuration: Allows access to the Mark tab of the project configuration.

When you validate the renumbering, the concerned books, folders and drawings are renumbered. The mark formulas, if they have been modified are automatically updated in the project configuration.

Related topics:

Managing project drawings


Copy / Paste drawing

Contextual menu of book: Cut - Copy - Paste - Paste special

Contextual menu of folder: Cut - Copy - Paste - Paste special

Contextual menu of drawing: Cut - Copy - Paste - Paste special

DesignSpark Electrical has an integrated clipboard feature independent of Windows. The elements placed on the clipboard automatically replace those there previously.

Cut

Places a copy of the selected drawings (of the book or folder) on the DesignSpark Electrical clipboard and delete the originals.

Copy

Places a copy of the selected drawings (of the book or folder) on the DesignSpark Electrical clipboard and keep the originals.

Paste

Pastes the drawings present on the DesignSpark Electrical clipboard. The drawing numbers and component marks for the components which are present in these drawings are automatically recalculated (where applicable) according to the marks existing in the project.

Paste Special

Identical to the Paste command. A dialog box opens allowing you to manage marks.

Note that the Cut command is not available when right-clicking on a book.

Related topics:

Managing project drawings


Browse drawings

Menu: View > Previous drawing - Next drawing

Quick access toolbar

These commands allow access to the next/previous page. If you have reached the last page of the project, click on the Next button and DesignSpark Electrical will prompt you to create a new drawing.

Related topics:

Managing project drawings


Delete a drawing

Contextual menu of book: Delete

Contextual menu of folder: Delete

Contextual menu of drawing: Delete

Deletes one or more selected drawings. When this command is used on a book or a folder, all the drawings in the book or folder are deleted.

When a drawing is deleted, its contents are also deleted. Certain elements could remain in the databases (Such as cables or terminal).

Drawings, books or folders can be deleted by selecting the object and pressing the [Del] key.

You cannot cancel or undo deletion.

Related topics:

Managing project drawings


Title block management

Each drawing type has an associated title block (Project Configuration). Nevertheless, you can modify the title block in existing drawings.

The title block associated with the drawing can also be changed in the properties of the drawing.

Contextual menu of drawing: Title block

Update: If the definition of the title block has been modified, this command is used to update the title block for the drawing. It can be used in a multiple selection.

Replace: Used to associate a different title block with the drawing that it is associated with in the project configuration. The Title block selector opens, allowing you to select a new title block. After the replacement, DesignSpark Electrical asks you if you want to apply this title block to all drawings using the original title block. You can also, update the project configuration with this new title block.

Remove: Allows you to delete the title block inserted in the drawing.

Open: Opens the title block modification interface. If the title block has been modified and you want these modifications to be applied to the existing drawings, use the Update command.

Add to library: Adds the title block on the drawing to the library.

Related topics:

Title block selector


Title block selector

Contextual menu of book: Title block > Replace

Contextual menu of folder: Title block > Replace

Contextual menu of drawing: Title block > Replace

Each drawing type has an associated title block (project configuration). This command lets you change this default.

The title block associated with the drawing can be changed via the drawing properties.

The title block selector allows you to select the new title block you wish to associate with a drawing.

Properties: Opens the properties dialog box for the selected title block.

Preview: Opens the title block in a preview dialog box. The block cannot be modified in this view.

List mode: Displays a list of title blocks (name, description...).

Thumbnail mode: Displays title blocks as thumbnail previews.

Configuration: Manages the display settings for items in the dialog box.

Classification

This tab displays the title blocks classification in tree form.

The left part of the dialog shows the title block classifications. The right side shows the title blocks in the currently selected classification.

Display sub-class content: Check this box, and all the title blocks in the sub-class of the selected classification will be shown.

Filters

This tab lets you filter the title blocks list. All filter criteria are taken from the title block properties.

The right part of the dialog box displays the title blocks that correspond to the selected criteria.

Remove filter: Removes all filter criteria.

If this needs to be applied to all project drawings or on a particular drawing type (Such as schematic drawings), it is best to apply the new title block at the project configuration level. After changing the parameters for one drawing, you will be asked if this new title block should be applied to all drawings of the same type.

Related topics:

Managing project drawings

Title block management


Add data file

DesignSpark Electrical allows you to manage any document type (such as PDF or Excel files). The only restriction is that you need to have a program installed that can open the file type. DesignSpark Electrical automatically uses Windows associations to open these files.

Menu: Project > New > Data files

Contextual menu of book: New > Data files

Contextual menu of folder: New > Data files

DesignSpark Electrical makes a copy of the original file and places it in the project directory, the content of which will be included when archiving the project.

When the data file is added to the project, double-click on it to open it with the associated application.

Related topics:

Data files

Hyperlinks


Drawing/Folder selector

The Drawing/Folder selection dialog box allows you to select one or several drawings or a folder depending of the context. It also lets you create a new folder.

Print manager: Drawing selection

Reports manager > Report drawing destination: Destination folders

The left side of the dialog shows the project tree, and the right side shows the preview or the list of documents contained in the project.

New folder: This icon only appears when you have to select a folder. It allows you to create a new folder.

List mode: Displays a list of drawings (including name, description, etc).

Thumbnail mode: Displays thumbnail previews for the drawings.

Preview: Opens the drawing in a preview dialog box. The drawing cannot be modified here.

Configuration: Manages display settings for items in the dialog box.

Properties: Opens the properties dialog box for the selected drawing.

To help you search, you can filter the results according to filters: Mark, Description, and File type. The Opened drawing filter allows you to display all the project drawings or only the drawings opened by the user himself or other users.

According to the context, select one or several drawings or a folder and click the OK button to validate.

Related topics:

Managing project drawings


Document selector

Some of DesignSpark Electrical features require project documents (such as drawings, folders, or books) to be selected. The Document selector helps you to do so.

Print manager: Drawings selection > [...]

Export DWG files: Drawings selection > [...]

Export PDF files: Drawings selection > [...]

...

A dialog box opens allowing you to select the elements. The dialog box contents is adjusted to its environment and display the elements (such as drawings, folders, or books) you have to select.

Properties: Opens the properties dialog box for the selected element.

Preview: Opens the drawing in a preview dialog box. It cannot be modified in this view.

List mode: Displays a list of elements (name, description,...).

Thumbnail mode: Displays elements as thumbnail previews.

Configuration: Manages the display settings for items in the dialog box.

The dialog box contents also a filter area that can help you to find elements. Some other features can appear in the menu, depending of the context.

Sometimes, you can find check boxes before the element to select it. Example: In the Print command, when you select a Folder (check the box), you select all the drawings included in this folder.


Locations

Menu: Project > Locations

Dockable panel > Contextual menu of project: Project > Locations manager

The Location is a place. Different locations are generally connected by cables.

Every electrical component (such as devices or terminal) belongs to a location. It is therefore possible to include electrical components by location in order to obtain different lists based on the equipment contained in each location.

Every drawing is associated with a location, so when you place a symbol in this drawing, it will automatically be associated with this location.

A dialog box opens allowing you to manage the locations of the project.

Some of these features accept the multi-selection, such as Delete or Properties.

New location: Allows you to create a new location.

Create several locations: Allows you to create several locations in one operation.

Delete: Deletes the selected locations.

Properties: Opens the properties dialog box of the selected locations. If you select several locations, the Properties dialog box displays only the common properties.

Default location: The selected location is defined as the default location.

Tree display: Displays the locations in a tree view.

List display: Displays the locations in the form of list.

You can also manage a location hierarchy.

In the above example, location L3 is included in location L1. By a Drag and Drop, you can drop an L3 slide onto L1, or select L1 before creating L3.

  • Create a location

  • Create several locations

  • Location properties

  • Default location

  • Insert location outline


Create a location

Locations manager: New location

Dockable panel > Contextual menu of Project: New > Location

Dockable panel > Contextual menu of Location: New > Location

1. Select the project.

2. Click on the New location icon.

3. The location properties dialog box opens, letting you enter information about this location.

To create a nested location (location dependant on another), select the principal location before clicking on the New location icon.

Related topics:

Create multiple locations

Location properties

Default location

Insert location outline


Create multiple locations

Locations manager: Create several locations

1. Click on the Create several locations icon

2. A dialog opens letting you input the number of locations you want to create.

After confirmation, the locations are added to the list, with marks automatically calculated.

You can then open the properties of each location to apply any extra information you require.

Related topics:

Create a location

Location properties

Default location

Insert location outline


Location properties

Locations manager: Properties

Contextual menu of location outline: Location properties

1. Select a location.

2. Click the Properties icon to open the location properties dialog.

The dialog automatically opens during the creation of a new location.

Properties tab

Mark

The location mark is automatically calculated according to the project settings.

Mode: If you select the Automatic mode, the mark is calculate automatically according to the configuration settings. If you select Manual mode, you must enter the mark manually in the Mark setting.

Mark: Displays the automatic mark or used to enter the manual mark.

Root: Displays the root associated to the locations (L).

Number: Displays the order number assigned to the location. You can change this number but you cannot used an existing number.

hierarchy

Master: The name of the main location which a child or sub location is dependent on.

Associated book: Associates a location to a book.

Description

The first translatable data of the location. You can enter a description in all languages managed in the project.

User data / Translatable data

The user data is available across the entire project. It is used to store personal information, which can be displayed in the drawings. There are two types of user data: translatable user data (translated during project translation), and non-translatable user data.

The default location applied to drawings is taken from the location applied to the book that the drawings are created in.

The Customize... button lets you access and define the location's user data.

Manufacturer parts tab

Use this tab to assign a manufacturer part to a location.

Related topics:

Create a location

Create multiple locations

Default location

Insert location outline


Default location

Locations manager: Default location

DesignSpark Electrical defines a default location within a project. When a schematic is created, it will automatically be associated to the default location, even if it is dependent on a book another location is associated with.

1. Select the location in the list.

2. Click on the Default location icon.

The default location is shown in picture form.

It is also shown with an icon in the dockable panel.

Related topics:

Create a location

Insert multiple locations

Location properties

Insert location outline


Insert location outline

Menu: Schematic > Location outline

Menu: Line diagram > Location outline

Location outlines allow you to graphically show a (geographic) location on a drawing. The location outline can be represented as a rectangle or created with polylines, but should always be closed.

Drawing the outline

Enter coordinates: You can draw the location outline by clicking points in the graphic zone or entering coordinates. If using a rectangular outline, just click a second point for the diagonal of the rectangle. If using a polyline outline, click the second point of the line, then continue until the outline is complete. The Close button in the dockable panel lets you automatically connect the last point of the outline to the first point.

Options: The dockable panel lets you toggle between modes when the command is launched.

Choosing the location

When the location outline is closed, the Select Location dialog box opens.

1. Select the preferred location.

2. Click the Select button.

The dialog box closes, and the drawing automatically updates with the chosen location.

The components placed inside the outline can be associated with the selected location.

3. Click the desired option to change the location of components, or to keep the location originally associated.

Related topics:

Create a location

Create multiple locations

Location properties

Default location


Functions

Menu: Project > Functions

Dockable panel > Contextual menu of project: Project > Functions manager

Functions allow you to group devices constituting a feature within your installation. They should not be confused with locations, which relate to a position within an assembly.

Every electrical component (devices, Terminal) belongs to a function. So it is possible to include electrical components by function in order to obtain different lists based on the equipment contained in each function.

Each drawing is associated with a function, so when you place a symbol in a drawing, it will automatically be associated with this function.

A dialog box opens allowing you to manage the functions of the project.

Some of these features accept the multi-selection, such as Delete or Properties.

New function: Allows you to create a new function.

Create several functions: Allows you to create several functions in one operation.

Delete: Deletes the selected functions.

Properties: Opens the properties dialog box of the selected functions. If you select several functions, the Properties dialog box displays only the common properties.

Default function: The selected function is defined as the default function.

Tree display: Displays the functions in a tree view.

List display: Displays the functions in the form of list.

The functions can be shown in the form of a tree or a list (Tree display and List display icons).

You can also manage a function hierarchy.

In the example above, the F3 function is included in the F1 function. By a Drag and Drop, you can drop an F3 slide onto F1, or select F1 before creating F3.

  • Create a function

  • Create several functions

  • Function properties

  • Default function

  • Insert function outline


Create a function

Functions manager: New function

Dockable panel > Contextual menu of project: New > Function

Dockable panel > Contextual menu of function: New > Function

1. Select the project.

2. Click on the New function icon.

3. The function properties dialog box opens, letting you enter information related to this function.

To create a nested function (a function dependant on another), select the principal function before clicking on the New function icon.

Related topics:

Create multiple functions

Function properties

Default function

Insert function outline


Create multiple functions

Functions manager: Create several functions

1. Click on the Create several functions icon.

2. A dialog opens letting you input the number of functions you want to create.

After confirmation, the functions are added to the list, with marks automatically calculated.

You can then open the properties of each function to apply any extra information needed.

Related topics:

Create a function

Function properties

Default function

Insert function outline


Function properties

Functions manager: Properties

Function outline contextual menu: Function properties

1. Select a function.

2. Click on the Properties icon to open the function properties dialog box.

The properties dialog box also opens during the creation of a new function.

Mark

The function mark is automatically calculated according to the project settings.

Mode: If you select the Automatic mode, the mark is calculate automatically according to the configuration settings. If you select Manual mode, you must enter the mark manually in the Mark setting.

Mark: Displays the automatic mark or used to enter the manual mark.

Root: Displays the root associated to the functions (F).

Number: Displays the order number assigned to the function. You can change this number but you cannot used an existing number.

Hierarchy

Master: The name of the main function which child or nested functions are dependent upon.

Associated book: Associates a function to a book and all its drawings.

Description

The first translatable data of the function. You can enter a description in all languages managed in the project.

User data / Translatable data

The user data is available across the entire project. It is used to store personal information, which can be displayed in the drawings. There are two types of user data: translatable user data (translated during project translation), and non-translatable user data.

The default function applied to drawings is taken from the book the drawings were created in.

The Customize... button lets you access the user data settings displayed in the function properties.

Related topics:

Create a function

Create multiple functions

Default function

Insert function outline


Default function

Function manager: Default function

DesignSpark Electrical defines a default function within a project. When a schematic is created, it will automatically be associated with the default function, even if it is dependent on a book another function is associated with.

1. Select the function from the list.

2. Click the Default function icon.

The graphic will be updated when the default function is changed.

The default function is also shown with an icon in the dockable panel.

Related topics:

Create a function

Create multiple functions

Function properties

Insert function outline


Insert function outline

Menu: Schematic > Function outline

Menu: Line diagram > Function outline

The function outline allows you to graphically show a functional zone on a drawing. The function outline can be represented as a rectangle or created using polylines, but should always be closed.

Drawing the outline

Enter coordinates: Draw the function outline by clicking points in the graphic zone or entering coordinates. If using a rectangular outline, just click a second point for the diagonal of the rectangle. If using a polyline outline, click the second point of the line, then continue until the outline is complete. The Close button in the dockable panel lets you automatically connect the last point of the outline to the first.

Options: Once the command is launched, the dockable panel lets you toggle between modes.

Choosing the function

When the function outline is closed, the Select function dialog box opens.

1. Select the preferred function.

2. Click on the Select button.

The dialog box closes, and the drawing automatically updates with the chosen function.

The components placed inside the outline can be associated with the selected function.

3. Click the desired option to change the function of components, or to keep the function originally associated.

Related topics:

Create a function

Create multiple functions

Function properties

Default function


Allocating locations / functions

Symbol properties: Symbol edit > Location (function)

Cable properties: Upstream location (downstream location)

The location (function) of a component is automatically defined based on how it is created/inserted. For example, when a symbol is inserted into a scheme, it automatically adopts the location and function of the drawing or location/function outline it is inserted into. If there is no location/function for the component to adopt, it will use the project's default location/function.

1. Click on the line for the desired location or function.

2. In the Location/Function selector that opens, select the required location or function.

3. Click on the Select button to apply the new location or function.

Related topics:

Managing locations

Managing functions


Managing components

A component represents an electrical device or a terminal. It is represented by a symbol and has a mark. A component can be present in your project without having a graphical representation (no symbol needs to be inserted into the drawings).

Components are listed in a specific tab on the dockable panel.

A double-click on a symbol of a component allows you to open the drawing in which this symbol is inserted.

Displaying Components

If you need, you can use the [F5] key or the Refresh command, in the contextual menu of the project, to refresh the component list.

Several modes to display the component list are available in the contextual menu of the Project, in the View sub-menu.

Location view / Function view: This mode allows you to display the components grouped by location or by function.

Child components by hierarchy / Child components in real location (function): This option allows you to display a child component under its parent, or under its real location (function) when the location (function) of the child component is different from that its parent.

Sort by function (location) / Sort by mark: Allows you to sort the components by mark or by location (function).

Hide accessory terminals: Allows you to hide the accessories terminals.

Add a new component

A component can be added from a location contextual menu, or from existing components (where one component is dependent on another).

Create a new component

Component: If you select the Component option, only one mark will be added (if you have not selected a manufacturer part).

The component properties dialog box is displayed, letting you manage the component mark and if you want to assign it to a manufacturer part.

Create a new component from a manufacturer part

Component manufacturer part: Selecting the Manufacturer part option opens a dialog box where you can select a manufacturer part.

Refer to the Allocating a manufacturer part section for more information about this dialog box.

According to the equipment chosen and (especially) the classification it relates to, a mark is automatically generated and added to the components list.

You can also manage the quantity of components you want to create. At the Manufacturer part selection dialog box closure, enter the number of components and validate.

To create a new component, you can click OK (Continue), the Manufacturer part selection dialog box re-opens to search a new manufacturer part.

Delete component

The delete command is available through the component contextual menu.

A component inserted into a drawing cannot be deleted.

Component properties

A component can be modified by using the contextual menu Properties command or the Properties of the component for a symbol.

It gives you access to the component properties dialog, where you can modify the mark and associate manufacturer parts.

Related topics:

Component properties


Component properties

Contextual menu of component: Properties

Contextual menu of symbol: Component properties

Opens the component properties dialog box, displaying information about the component.

Mark and data

Mark

The component mark is automatically calculated according to the project settings.

Mode: If you select the Automatic mode, the mark is calculate automatically according to the configuration settings. If you select Manual mode, you must enter the mark manually in the Mark setting.

Mark: Displays the automatic mark or used to enter the manual mark.

Root: Displays the root associated to the component depending the component class.

Number: Displays the order number assigned to the component. You can change this number but you cannot used an existing number.

hierarchy

Class: Allows you to change the component classification. This is used when applying a manufacturer part. It also allows you to define the root used during automatic marking.

Master: Displays the name of the main component which a child or sub component is dependent on (such as a PLC card and its rack).

Location / Function: During symbol insertion, the location (function) is automatically taken from the drawing, or the location (function) outline if the symbol was inserted inside one. You can assign a different location (function) by clicking the button [...] and selecting the location (function) you want.

Manufacturer data

This data comes from the manufacturer part, but can be manually modified. The data types are specified in the definition of the class.

Description

The first translatable data field of the component. You can enter a description in all languages managed in the project.

User data / Translatable data

The user data fields can be used to enter all information that you would like to manage for the component. Click on the Customize... button to edit names.

Manufacturer part and circuits

1. 1. Click on the Manufacturer part and circuits tab to allocate a manufacturer part.

2. 2. See Assign manufacturer part for more information.


Assign component

This command allows you to associate several symbols to assign them to a component.

Contextual menu of symbols: Assign Component

The side panel displays options.

Pins the command, ensuring that the command remains active after it is first used.

Stops the command after it is first used.

Ends the command.

Validates the selection.

Selection: Displays the list of the selected symbols. You can complete the list by clicking other symbols in the graphics area.

Component: Select in the list the component you want to associate with the selected symbols.

Delete: Removes of the list, the selected symbol.

If you select different types of symbol (symbol and terminal for example) when you validate the association, a message box is opened to confirm your choice.

When you validate, the selected symbols are automatically associated to the existing component. The symbol marks are updated with the component mark.


Search component

Dockable panel: Components > Contextual menu > Search component

Menu: Tools > Search > Search component

Insert connector: Select existing component

This command allows you to find a component in the list of components for the project by using filters.

1. Enter the criteria corresponding to the component you are looking for.

2. The search starts automatically.

3. The result is displayed in the left-hand part of the dialog box. The right-hand part displays a preview of the selected element.

List of criteria

Mark: Launches the search based on the component mark.

Description: Launches the search based on the description of the component.

Master: Launches the search based on the parent mark of the component, in the case of cascaded marking.

Location: Launches the search based on the location of the component.

Function: Launches the search based on the function of the component.

Destination: Launches the search only in the selected book or folder.

Class: Launches the search based on the class of the component.

Manufacturer part: Launches the search based on the manufacturer part associated with the component.

Component type: Launches the search based on the type of component.

Meaning of the icons

Launches the Search manager.

Resets all the filters.

Opens the drawing of the selected element.

Allows you to find the component in the list of components in the dockable panel.


Add circuits

Detailed cabling: Add virtual circuit(s)

Edit symbol graphics: Multiple connection points

Properties of a manufacturer part: Add Multiple

Component properties > Circuits: Add virtual circuits...

This feature allows you to add new circuits on a component.

Add: Allows you to add a new circuit to the list. The circuit is initialized by default values. You can directly change them in the list.

Delete: Deletes the selected circuits.

Initialize from manufacturer part: Opens the manufacturer parts selector. The circuits of the selected manufacturer part are automatically added in the circuit list.

When you have added the circuit types, modify their type and quantity.

Number: Indicates the order number of the circuit.

Circuit type: Select in the list, the circuit type corresponding to the component, the symbol or the manufacturer part.

Number of circuits: Enter the number of circuits you want to add.

Number of terminals per circuit: Enter the number of terminals in the circuit.

Information transmission: Select the transmission mode of the circuit.

Related topics:

Detailed cabling

Edit symbol graphics


Modify terminal numbers

Symbol contextual menu: Edit symbol terminals

Component properties > Manufacturer part and circuits > Contextual menu of circuit: Edit terminals

Circuit: Indicates the circuit number.

Index: Indicates the order number in the circuit.

Mark: Used to enter the number of the material terminal. By default, the number of the material terminal is provided by the manufacturer part associated with the component.

Orientation: Allows you to specify the orientation of the connection point, specifically for the terminals.

Max wire number: Used to enter the number of wires or cable cores that can be connected to the material terminal.

Utilization: Allows you to enter free text. This can be propagated in a specific attribute of the connection point.

Maximum wire section (mm²) / Minimum wire section (mm²): Used to enter the section on the terminal device.


Component selector

The Component selector groups all project components. This dialog box allows you to select a component.

Insert printed circuit board: Select existing printed circuit board

Paste special: Associate component

The components are grouped by location.

1. Double-click the location icon to show the components.

Sometimes, the component list displays only component types (such as connectors or PCB), depending on the context.

2. Select the component you want.

3. Validate by clicking the Select button.


Line diagram

The line diagram is a simplified but complete representation of the cabling of your installation. The line diagram allows you to generate a list of cabling without having to realize all the electrical schematics. The line diagram consists of drawings that represent connections (cables) between various locations, terminal strips and devices. It allows you to reserve the cable cores that can then be used in the schematics.

Related topics:

Draw a cable

Line diagram symbols

Macros


Draw cable

You can draw a cable in a Line diagram or mixed scheme drawing.

Menu: Line diagram > Draw cable

You can now draw your cable in the graphic zone.

1. Click the first point of the cable.

2. Click the second point of the cable.

The dockable panel displays the possible options.

Pins the command, ensuring that the command continues to remain active after it is first used.

Stops the command after it is used to draw the first cable.

Ends the command.

Undoes the last action.

Cable style

Select one of the cable types defined in the project (cable style manager).

Action after insertion

Do nothing: Ends the command when the cable has been drawn.

Ask me: Opens an option dialog box with two choices, choose a cable reference or display the detailed cabling dialog box.

When you draw a cable connected to a symbol, note that the first point corresponds to the symbol marker (green snap, by default).

Related topics:

Cable style manager

Origin - destination arrows

Cable reservation

Detailed cabling

Add a cable

Cable label

Display cable marks


Origin - Destination arrows

Menu: Line diagram > Origin - Destination arrows

Menu: Schematic > Origin - Destination arrows

The origin-destination arrows let you create a continuity link between wires in different schematic drawings, or in the same drawing if required. It could be for cables in line diagrams or wires in schematics.

The origin-destination arrows generated by this command are considered as manual origin - destination arrows.

When this command is selected, the management dialog box will be displayed. It is divided into two parts; the upper half contains the Origin (Drawing 1) schematic and the lower half contains the Destination (Drawing 2) drawing. You can zoom in on any part of the drawing using your mouse wheel; this helps you ensure you select only the wires you want to link.

At the beginning of this command, the Drawing 1, is the one that is active in the graphic zone.

The following commands are available for both Drawing 1 and Drawing 2.

Previous: Lets you see the preceding drawing in the project drawing list.

Next: Lets you see the next drawing in the project drawing list.

Selector: Allows you to open the drawing selector to select the drawing you want.

Previous drawing and next drawing: These options allow you to scroll through the project drawings one by one, either backward (previous) or forward (next). It will go to the previous/next drawing for both the origin and destination drawings.

Origin symbol: Lets you select the symbol to be used to represent the origin arrow. If you choose a bad symbol (for example a destination symbol) a message prevents you.

Destination symbol: Lets you select the symbol to be used to represent the destination arrow. If you choose a bad symbol (for example an origin symbol) a message prevents you.

Origin and destination symbols display the cross references between wires. They have specific attributes that propagate information like the drawing mark, the bundle mark the row and the column of the drawing or the equipotential number.

Horizontal and Vertical Tile allow you to manage the display mode.

Single Insertion

Lets you manage a link from one wire to another wire.

1. Click the Single insertion icon.

2. Click at the end of a schematic wire / cable.

3. Select the end of another schematic wire / cable.

This will cause the arrows to be inserted and to automatically cross references to one another.

Multiple Insertion

Lets you manage a link from one set of multiple wires to another set of multiple wires.

1. Click the Multiple insertion icon.

2. On the origin drawing, click on the first wire and the last wire of the starting set of multi wires.

3. On the destination drawing, click on the first wire and finish with the last wire of the terminating set of multi wires.

Delete

Delete: Allows you to delete an existing origin - destination arrow. Select the arrow to delete it.

Multiple delete: Allows you to delete several existing origin - destination arrows. Like the multiple insertion, select the first wire and the last wire and validate the deletion.

While deleting a link, all the constituent elements of the link (origin and destination arrows, symbol and text) are deleted.

Related topics:

Draw cables (Line diagram)

Draw wires (schematic)


Cable reservation

Menu: Line diagram > Cable reservation

Contextual menu of line diagram cable: Reserve cables and cores

You can manage currently existing cables or create new cables by selecting the New cable icon.

New cable: Opens the cable catalog, where you can select references to add to the project.

Delete: Deletes the selected cables. A cable cannot be deleted if its cores are in use.

Properties: Shows the properties of the selected cable.

Duplicate: Copies individual or multiple, cables including all their associated properties such as part, function path, etc. The numbering is automatically incremented.

Replace: Replaces the selected cable with another from the catalog. The new cable must have at least as many cores as the cable being replaced.

Switch: Switches the origin and destination of the cable.

Dissociate cable core: Disconnects the selected cable cores.

Tree view: Manages the type of display for the cables list. The cables can be grouped by function or origin/destination.

Filters: Filters the listed cables by mark, part reference, or origin/destination locations.

Pre-reserved cables: Automatically hides all cables except those that have been reserved. Click on this icon again to remove the filter.

To reserve cable cores:

1. Check the boxes corresponding to the cores.

2. Check the box beside the cable to reserve all of its cores.

Two icons (Automatic and Manual) are at your disposal in the Cable core selection section of the menu to help you select cores.

3. Click OK to quit the dialog box and save your selection.

Warning: These actions only reserve cable cores. They do not actually cable your installation.

A text corresponding to the selected cable is automatically placed on the line. This text can be customized (style and content) in the project properties (Font tab).

Related topics:

Cables manager

Add a cable

Detailed cabling


Detailed cabling

Menu: Line diagram > Detailed cabling

Contextual menu of line diagram cable: Detailed cabling

This dialog box is divided into 3 parts. The center shows cables, and the left and right sides show the source and the destination, along with terminal strips.

You can drag and drop cores onto the origin or destination pins. The connections will then be indicated by the green zones showing the core numbers on the origin or destination.

When cabling is finished, the Origin and Destination green zones will be filled with the connection information.

Edits the component.

Adds virtual circuits to the component.

Adds terminals to the terminal strip

Icons

Add a cable: Adds a new cable.

Core reservation: Opens the cable and core reservation dialog box.

Replace: Select a new cable in the cable catalog to replace the selected cable. The new cable must have at least as many cores as the one being replaced.

Connect: Connects a cable core when both a device and core are selected.

Associate wires: Connects automatically cable core when the selected cable is consistent with the cable-less wires.

Uncable this end: Disconnects the selected cable cores.

Disconnect cores: Disconnects the selected cores on either side.

Switch: Switch the cable core between the origin and the destination.

Wire style: Displays the wire style associated with the selected cable core.

See sub-components: Displays only the components cascaded marks.

See only components: Shows only the components (Hides sub-components).

Preview: Displays or hides the Origin and Destination viewing windows.

Reserved cores only: Shows only reserved cores.

Cable core linking components: Shows only cable cores that currently form a link.

All cores: Shows all the cores.

Related topics:

Cables manager

Reserve cables and cores

Wiring within schematic


Add a cable

Cables manager: New cable

Menu: Line diagram > Add a cable

Contextual menu of line diagram cable: Add a cable

Cable reservation: New cable

Cabling details: Add a cable

This opens the cable reference search dialog box, letting you select the cable references you need to add to the project.

Classification / Filter

In the Classification tab, the left side of the dialog shows a list of cable families. The right side shows the selected family cables.

In the Filters tab, several filters can be edited to find the reference you want.

Adds the selected reference.

Deletes the selected reference in the lower part of the dialog.

Quantity: Input the number of cables that you want to add.

After validation, the cables are automatically added to the project. Each cable has a mark that is calculated automatically according to the marking formula defined in the project configuration. If you wish to modify these marks, select them in the cables manager and click on the Properties icon.

Related topics:

Cables manager


Display cable marks

This feature allows you to show or to hide the texts displaying the cable mark.

Menu: Line diagram > Display cable marks

1. Select in the graphic area, the cables you want to hide or to show the marks.

A shown text is hidden and a hidden text is shown.


Texts alignment

This feature lets you to align the texts; equipotential numbers, wire numbers or cable texts.

Menu: Line diagram > Texts alignment

Menu: Schematic > Texts alignment

1. In the graphic area, select the available texts you want to align.

2. Draw a vertical or horizontal axis line corresponding to the insertion point of the texts.

3. Click the side (up, down, right or left).

All the selected texts are moved and aligned on this axis (The text justification does not change).

The available texts are equipotential numbers, wire numbers, cable marks (schematic), location and function labels and texts inserted by the command Add text.


Line diagram symbols

A device is also called a component and is represented by one or more project symbols. Only a symbol from the library may be taken into account to be managed by DesignSpark Electrical.

Line diagrams have specific devices that can only be inserted into line diagram or mixed scheme drawings.

You have three methods to select the symbols to be inserted.

  • Insert symbol

  • Symbol palette

  • The dockable panel


Insert symbol

Menu: Line diagram > Insert symbol

On first use, the symbol selector opens allowing you to select the symbol you want to insert. This symbol is then memorized and will be suggested next time the command is used.

The dockable panel displays available options.

Ensures command continuity, the command remains active after insertion of a symbol.

Ends the commands after the symbol is positioned.

Ends the command.

Specify the symbol to insert

Other symbol: Opens the symbol selector where another symbol can be chosen.

Options

Automatic marks: The Symbol dialog box does not open and the mark is automatically calculated and applied according to the project settings.

Adjust size to drawing unit: Allows to manage dimension unit conflict. For example to insert an IEC symbol into a drawing with a title block with imperial units.

1. Click a point to insert the symbol.

Related topics:

Symbol selector

Symbol properties


Symbol selector

Insert symbol command: Other symbol

Can be used for all symbol types: schematics, line diagrams

The symbols in the selector are stored in the symbols library.

Properties: Opens the selected symbol properties dialog box.

Preview: Opens the selected symbol preview window.

List mode: Displays the list of symbols (name, description, classification).

Thumbnail mode: Displays symbols in the form of thumbnail previews.

Configuration: Manages display settings for items in the dialog box.

1. Select the symbol you want.

2. Click Select button to validate.

The selected symbol is automatically added to the Symbol insertion side panel.

Classification

This tab displays the symbols classification in tree form.

The left side of the dialog box shows the symbol classifications; the right side shows the symbols in the currently selected classification.

Display sub-class content: Check this box to display all symbols contained in the sub-class of the selected classification.

Filters

This tab lets you filter the symbols list. Filter criteria from the symbol properties are shown.

The right side of the dialog box shows the symbols corresponding to the selected criteria.

Remove filter: Remove all filter criteria.

Related topics:

Symbols manager

Insert line diagram symbol

Insert schematic symbol

Insert black box

Insert terminal


Palette of symbols

Symbol Palette

Dockable panel: Symbols

Valid for symbol types: Schematic and Wiring diagram

Each drawing type, (schematic / wiring diagram / mixed scheme), has its own symbol palette. It includes frequently used symbols as well as access to all symbols available in the project libraries.

The palettes are fully customizable: you can add or remove groups of symbols and add or remove symbols.

You can configure the use of symbol palettes in the project configuration libraries and palettes tab, and in the palette configuration.

To insert a symbol:

1. Double-click on this symbol or use a Drag and Drop.

2. Click a point in the drawing to insert the symbol.

Group management

To optimize the search symbols, they are grouped by category. Palettes have a contextual menu to manage these groups.

Add symbols: Adds symbols to the selected group. symbol selector opens where the symbol to be added can be selected.

Edit this symbol: Opens the symbol in the symbol editor to modify it.

Delete this symbol: Deletes the selected symbol.

New group: Allows a new group to be created. The group properties dialog box opens where the name and thumbnails can be configured.

Group properties: Allows the editing of the Group name and to set the size of the thumbnails.

Delete Group: Allows the group to be deleted. The symbols contained in the group are not removed from the library.

Activate Group: Opens a sub-menu listing all groups. Select the desired group.

Searching for symbols

The palettes have an option to search for a specific symbol. This search is not restricted to the symbols palette, but can search across the whole symbol library.

In the box,

1. Enter the desired text.

2. Click the Find button.

All symbols containing the text entered in the description field will appear in the search results.

Adding a symbol to the palette

Like the macros, you can add a symbol inserted in the graphical area to the palette.

1. Open the group of the palette to which you want to add the symbol.

2. Select the symbol in the graphical area

3. Drag and drop it in the group of the palette

Related topics:

Symbol selector

Symbol properties

Terminal properties


The dockable panel

Dockable panel: Components > Contextual menu of component > Insert symbol

Valid for all types of symbol: Schematic and line diagram

On launching this command, the symbol selector opens, letting you choose the symbol to insert.

The symbol type proposed depends on the current type of drawing. For example, if you have opened a line diagram folio, the selector displays only the line diagram symbols.

1. Select the symbol.

2. Click the Select button.

3. Click a point in the drawing to insert the symbol.

When the manufacturer part is associated with several symbols (associated on each circuit), a message box opens.

Insert symbol from manufacturer part circuits: Opens the Manufacturer part circuit selector dialog box where you can select the symbol you want to insert.

Cancel: Inserts the symbol associated to the manufacturer part. If there is not associated symbol, the Symbol selector dialog box opens allowing you to select the symbol you want to insert.

Related topics:

Symbol selector

Symbol properties

Terminal properties


Symbol properties

The symbol properties dialog box is identical to the one used for schematic and line diagram symbols.

Contextual menu of symbol: Symbol properties

The symbol properties dialog box opens automatically any time you insert a symbol (unless you checked the Automatic mark option). You can also access the dialog box with the symbol Properties command in the symbols contextual menu.

According to the selected symbol, several properties can be disabled. If you select several symbols, only the common properties are enabled.

Associate with an existing mark

If you want to associate a symbol with an existing mark, select it in the list on the right, or manually give it the same mark and use the [= >] button to create an association.

At the top of the dialog box, filters can help you find an existing component.

Edit symbol

Mark

The symbol mark is automatically calculated according to the project settings.

Mode: If you select the Automatic mode, the mark is calculate automatically according to the configuration settings. If you select Manual mode, you must enter the mark manually in the Mark setting.

Mark: Displays the automatic mark or used to enter the manual mark.

Root: Displays the root associated to the symbol depending the symbol class.

Number: Displays the order number assigned to the symbol. You can change this number but you cannot used an existing number.

Permanent component: When the last symbol representing the component is deleted, the component is also deleted. If you check this box, the component is not deleted.

To delete a permanent component, use the command Delete component in its contextual menu in the Components tab (dockable panel).

Hierarchy

Class: Allows you to change the symbol classification. This is used when assigning a manufacturer part. It also allows you to define the root used during automatic marking.

Master: Displays the name of the main component which a child or sub component is dependent on (such as a PLC card and its rack).

Location / Function: During symbol insertion, the location (function) is automatically taken from the drawing, or the location (function) outline if the symbol was inserted inside one. You can assign a different location (function) by clicking the button [...] and selecting the location (function) you want.

Manufacturer data

This data comes from the manufacturer part, but can be manually modified. The data types are specified in the definition of the class.

Description

The first translatable data field of the component. You can enter a description in all languages managed in the project.

User data / Translatable data

The user data fields can be used to enter all information that you would like to manage for the component.

Symbol data

Cross references type: Select the cross references level for the symbol currently being edited. By default the value displayed is that configured in the properties for the symbol (see chapter: Symbol properties)


Schematic

Detailed schematics represent, with the help of graphic symbols, the different parts of a network, installation or equipment that are connected or related functionally. A detailed scheme is aimed at explaining the functioning of the equipment, to provide the basis for mounting and help with trials and maintenance.

A specific menu, dedicated to scheme creation, displays the related commands as soon as a drawing of Schematic type is opened in the graphic interface.

Related topics:

Draw wires

Schematic symbols

Black boxes

Terminals

Macros


Draw wires

There are two types of wires, a single wire (Command wire type) and multiple wire (Power type). These two types of wire are created with different commands.

Each wire requires a wire style. The number of wire styles is infinite, you can create as many wire styles as you want. These are managed in the Wire style manager. Wire styles are project specific.

The wires allow you to connect different equipment, they can be numbered and can represent cable cores.

Related topics:

Wire style manager

Draw multiple wires

Draw single wire

Origin - Destination arrows

Number wires


Wire style selector

Dockable panel: Draw wire command > [...]

You can change the wire type by clicking the [...] button to the right of the wire name.

The wire style selector dialog box will be displayed, letting you select a wire type from the ones available within the project.

If you want to create new wires or modify an existing wire/group, click the Manager button to open the wire style manager.

Related topics:

Wire style manager

Draw multiple wires

Draw single wire


Draw single wire

Menu: Schematic > Draw single wire type

When you launch the command, the dockable panel updates to show the selected wire parameters. You can then start drawing in the current view.

1. Click on the graphic zone where you want the wire to start.

2. Click the second point to indicate where you want the wire to end.

The dockable panel displays the possible options.

Pins the command, ensuring that the command remains active after it is first used.

Stops the command after it is first used to draw a single wire.

Ends the command.

Returns to the previous interface.

Undoes the last action.

Wire style selection

Name: You can change the wire style by clicking on the [...] button to the right of the wire name. The Wire style selector dialog opens to select the wire style you want.

Space between lines: You can also modify the distance between the wires. The value is in millimeters or inches, depending on your project settings (see unit system in the project configuration settings).

Number of lines: If the wire is composed of multiple (identical) conductors, specify the number to draw.

Options

Draw bend (C key): Press the [C] key on the keyboard to insert bend.

Draw non ortho (F8): Press the [F8] key on the keyboard of the to deactivate the lock allowing you to insert the wires on an orthogonal axis.

Related topics:

Wire style manager

Draw multiple wires

Manage origin / destination arrows


Draw multiple wires

Menu: Schematic > Draw multiple wires

When you launch the command, the dockable panel updates to show the selected wire parameters. You can then start drawing in the current view.

1. Click on the graphic zone where you want the wire to start.

2. Click the second point to indicate where you want the wire to end.

The dockable panel displays the possible options.

Pins the command, ensuring that the command remains active after it is first used.

Stops the command after it is first used to draw a single wire.

Ends the command.

Returns to the previous interface.

Undoes the last action.

Wire style selection

Name: Modifies the name of the numbering group in the dockable panel by clicking on the [...] button to the right of the group name. This will open the Wire style selector dialog box, letting you access the manager and choose the group name.

Space between lines: Modifies the distance between the wires. The value is in either millimeters or inches, depending on your project settings (see unit system in the project configuration settings).

Available wires: Lists the wires which make up the currently selected wire style. Check the conductor boxes you want to draw.

Options

Invert phase (Space): Press the [Space] bar on the keyboard to invert the conductors.

Draw bend (C key): Press the [C] key on the keyboard to insert bend.

Draw non ortho (F8): Press the [F8] key on the keyboard of the to deactivate the lock allowing you to insert the wires on an orthogonal axis.

Related topics:

Wire style manager

Draw single wire

Manage origin / destination arrows


Equipotential properties

Wire contextual menu: Equipotential properties

Opens the equipotential properties dialog box, letting you edit common data for the wires belonging to this equipotential.

This data comes from the wire style properties.

If you modify the properties of the wire style, the changes will automatically be passed on to the properties of the equipotential and thus to the properties of the wires of this equipotential.

Modifying the mark and/or properties of the equipotential only affects the equipotential for which the command was launched.

Mark

The equipotential mark is calculated automatically by the wire numbering or entered manually via the wire mark editor.

Mode: If you select the Automatic mode, the mark is calculated automatically according to the configuration settings. If you select Manual mode, you must enter the mark manually in the Mark setting.

Mark: Displays the automatic mark or is used to enter the manual mark.

Number: Displays the order number assigned to the equipotential. You can change this number but you cannot use an existing number.

General

Diameter: Lets you enter the diameter of the wire.

Section or gauge: Lets you enter the section of the wire.

Wire size standard: Allows to select the standard used in the project.

Color: Allows to select the real color of the wire.

Bend radius (x Diameter): Lets you enter the parameter required to calculate the bend radius (parameter x diameter = bend radius).

Signal: Lets you enter the signal conveyed by the wire.

Associated data

Wire style: Displays the wire style associated to the equipotential.

Number of wire: Indicates the number of wires represented by this equipotential (number of lines in the wire cabling order).

File: Displays the drawing mark in which the equipotential starts.

Row: Displays the row number in which the equipotential starts.

Column: Displays the column number in which the equipotential starts.

User data

The user data fields can be used to enter all information that you would like to manage regarding the equipotential.

The Customize... button lets you access user data management.

Related topics:

Wire style properties

Wire properties


Wire properties

Wire contextual menu: Wire properties

Opens the wire properties dialog box, letting you edit information specific to the wire.

This data comes from the equipotential properties the wire belongs to, which is generated by the wire style properties.

If you modify the wire style or equipotential properties, these will automatically be passed on to the wire properties.

Modifying the mark and/or properties of the wire only affects the wire the command was used on.

Mark

The wire mark is calculated automatically by the wire numbering or entered manually via the wire mark editor.

Mode: If you select the Automatic mode, the mark is automatically calculated according to the configuration settings. If you select Manual mode, you must enter the mark manually in the Mark setting.

Mark: Displays the automatic mark or is used to enter the manual mark.

Number: Displays the order number assigned to the wire. You can change this number but you cannot use an existing number.

General

Diameter (mm): Lets you enter the diameter of the wire.

Section or gauge: Lets you enter the section of the wire.

Wire size standard: Allows you to select the standard used in the project.

Color: Allows you to select the real color of the wire.

Bend radius (x Diameter): Lets you enter the parameter required to calculate the bend radius (parameter x diameter = bend radius).

Signal: Lets you enter the signal conveyed by the wire.

Associated data

Wire style: Displays the wire style.

Equipotential:Indicates the equipotential number associated to this wire.

Cabling order: Displays the wire cabling order line number.

Origin: Displays the mark of the component connected to the wire (origin).

Destination: Displays the mark of the component connected to the wire (destination).

Cable core: If the wire is associated to a cable core, this field indicates the cable mark and the cable core mark. If this wire represents a bridge, the icon is changed, representing the bridge.

User data

The user data fields can be used to enter all information you would like to manage regarding the equipotential.

The Customize... button gives access to user data management.

Related topics:

Wire style properties

Equipotential properties


Solve equipotential conflicts

Wire contextual menu: Solve equipotential conflicts

When designing or modifying a scheme, connecting wires which do not have the same equipotential sometimes leads to numbering conflicts. Equipotential conflict management is activated in the project configuration in the Graphic tab.

When the command is launched, a dialog box opens asking you to solve the conflict manually.

1. Select the wire number you want on the scheme.


Propagate wire style

Wire contextual menu: Wire style > Propagate

Pins the command, ensuring that the command remains active.

Stops the command after it is first used.

Ends the command.

Returns to the previous interface.

This command lets you propagate the wire style for the selected segment to connected segments. The dockable panel displays the propagation options.

Propagation

To equipotential: Allows propagation across connections with the same equipotential number.

Through circuits: Propagates the wire style across symbols, only where the wire style is identical upstream and downstream of the symbol.


Replace wire style

Wire contextual menu: Wire style > Replace

Pins the command, ensuring that the command remains active.

Stops the command after it is first used.

Ends the command.

Returns to the previous interface.

This command allows you to replace a wire style used in the project with another wire style. The dockable panel displays the options for selecting wires.

Replacement range

Whole project: All wires in the project.

Current book: Only the book the current drawing is located in.

Current folder: Only the folder the current drawing is located in.

Current scheme: Only the current drawing.

Choose schemes: Opens the drawing selector, letting you select the drawings to handle.

Selected items in scheme: Only the wires selected in the scheme.

Propagation to equipotential: Wires that have the same equipotential.

Propagation through circuits: Replaces the wire style across symbols, only where the wire style is identical upstream and downstream of the symbol.


Managing schematic texts

Several commands allows you to manage the texts automatically inserted by the software, such as equipotential numbers or cable marks.

  • Texts alignment

  • Display wire marks

  • Display cable marks


Display wire marks

This feature allows you to show or to hide the text displaying the equipotential or wire marks.

Menu: Schematic > Show texts > Show / hide wire marks

1. Select the wires you want to show or to hide texts.

A shown text is hidden and a hidden text is shown.


Display cable marks

This feature allows you to show or to hide the texts displaying the cable mark.

Menu: Schematic > Show texts > Show / hide cable marks

1. Select in the graphic area, the cables you want to hide or to show the marks.

A shown text is hidden and a hidden text is shown.


Schematic symbols

A symbol is a whole or partial representation of an electrical device.

The symbols are classified within the library, which you can populate with your own symbols. The symbols are also classified and grouped in palettes that are displayed in the dockable panel.

Symbol insertion is done in a Schematic or Mixed scheme drawing.

Many methods of symbol insertion are available:

  • Insert symbol

  • Symbol palette

  • The dockable panel


Insert symbol

Menu: Schematic > Insert symbol

When this command is used for the first time, the symbol selector dialog opens, letting you select the symbol you want to insert. This symbol is then saved, and it will be available for insertion when you use the command the next time.

The dockable panel displays available options.

Pins the command, ensuring that the command continues to remain active after first being used to insert a symbol.

Stops the command after it is first used to insert a symbol.

Ends the command.

Specify the symbol to insert

Shows the last symbol that was inserted. If no symbol was save, the symbol selector opens automatically.

If you do not want to insert the presented symbol, click on the Other symbol button. The symbol selector opens, letting you choose another symbol.

Symbol orientation

This option lets you rotate the symbol prior to insertion. You can also select the angle of rotation by right-clicking with the mouse.

Options

Manual mark: If this option is selected, the Symbol dialog box opens and the mark is automatically displayed in manual mode.

Ask for properties: If this option is not selected, the Symbol dialog box does not open and the mark is automatically calculated and applied according to the project settings.

Adjust size to drawing unit: Allows to manage dimension unit conflict. For example to insert an IEC symbol into a drawing with a title block with imperial units.

1. Click a point on the drawing to insert the symbol.

Related topics:

Symbol selector

Symbol properties


Manufacturer part circuit selector

The Select circuit from manufacturer part dialog box opens when you insert a symbol from the component tree (dockable panel), and when several symbols are associated to the manufacturer part.

Dockable panel: Components > Contextual menu of component > Insert symbol > Insert symbol from manufacturer part circuits

Valid for all types of symbol: Schematic and line diagram

The dialog box displays the manufacturer part circuits. When you select a circuit, the right part of the dialog box displays a preview of the associated symbol. Several circuits can be associated to one symbol.

1. Click OK to validate and insert the symbol.


Edit symbol attributes

Allows you to add, delete, or edit the attributes associated with the symbol. This command accepts multi-selection.

Symbol contextual menu: Attributes > Edit attributes

Terminal contextual menu: Attributes > Edit attributes

Black box contextual menu: Attributes > Edit attributes

A dialog box opens showing the list of the existing attributes. All that start with the # are attributes managed by DesignSpark Electrical, others are attributes managed by the user.

The dialog box also displays the settings of each attribute.

Number: Attribute index (cannot be changed).

Name: Attribute name. Only the user attribute names can be changed.

Prompt: Attribute description, available only on the DesignSpark Electrical attributes.

Value: The text (attribute value) displayed in the graphics area.

Position X: X Coordinate of the attribute position.

Position Y: Y Coordinate of the attribute position.

Height: Height of the text displayed in the graphics area.

Text style: Text style used to display the text in the graphics area.

Invisible: Allows to show/hide the text.

Color: Color of the text displayed in the graphics area.

Angle: Orientation of the text.

Justification: Select in the list the text justification you want to use on the text.

Oblique ang: Allows to create an italic text.

Width factor: Allows to compress the text width.

User attribute: A new attribute is added to the list. Modify its settings.

Predefined attribute: The Attribute management dialog box opens allowing you to select the attributes to add. The new selected attributes are added to the list. Modify their settings.

Delete: Delete the selected attribute. This attribute will be removed in the graphics area.

Symbols: Lists the symbols selected in the graphics area. If you select <All>, the modifications will be done on all selected symbols. If you want to modify only one symbol, select it in the list.

1. Click OK to validate.

2. The symbol is automatically updated with the attributes you added, deleted or changed.


Black boxes

A black box is a generic symbol that can be used to represent any device, acting as a time-saving feature where a new unique symbol is not required or there is no time to create one. Black boxes are rectangular and can have editable pins associated to them.

Black boxes are inserted in Schematic or Mixed scheme drawing types.

Connection points of the black box

On each intersection between a wire and the black box outline, a connection point is inserted, it represents the device terminal. According to the configuration settings, you can have a basic connection point (the terminal number is a text) or an oriented connection point with attributes.

There are two ways to insert a black box.

  • Insert black box

  • Dockable panel

  • Update black box

  • Add connection point


Insert black box

Menu: Schematic > Insert black box

When used for the first time, the symbol selector opens to lets you add the symbols you want to insert. This symbol is then saved, and you then can select this symbol when you run the symbol insertion command a second time.

The dockable panel displays available options.

Pinned the command. You can continue using the command as long as it is pinned.

Stops the command after one symbol is inserted.

Stops the command.

Specify symbol to insert

Shows the last symbol that was inserted. If no symbol is saved, the symbol selector opens automatically.

If you do not want to insert the symbol shown, click on the Other symbol button. The symbol selector opens, letting you choose another one.

Options

Manual mark: If this option is selected, the Symbol dialog box opens and the mark is automatically displayed in manual mode.

Ask for properties: If this option is not selected, the Symbol dialog box does not open and the mark is automatically calculated and applied according to the project settings.

Adjust size to drawing unit: Allows you to manage dimension unit conflict. For example to insert an IEC symbol into a drawing with a title block with imperial units.

1. In the graphic interface, click on the insertion point.

2. Click the point that marks the dimensions of the black box.

Related topics:

Update black box

Add connection point


Update black box

Black box contextual menu: Update black box

This command lets you adjust the wires connected to the black box. The connections will be placed on the outline of the box, where the pins will be automatically placed.

Related topics:

Insert black box

Add connection point


Add connection point

Contextual menu of black box: Add connection point

Inserts connection points on the black box outline.

1. Click one or several points on the black box outline.

According to the configuration settings, you can insert a specific symbol to materialize the connection point, or the default connection point.

These connection points can be edited by the command Edit symbol terminals in the contextual menu of the black box.

Related topics:

Insert black box

Update black box


Terminals

A terminal is represented by a specific symbol belonging to the Terminal strips, terminal class, which gives it a special status, as compared to a classic symbol, so that a specific process can be performed on it. The terminal must be attached to a terminal strip.

Terminal symbol insertion is done in a Schematic or Mixed scheme drawing.

Many methods of terminal symbol insertion are available:

  • Insert terminal

  • Palette of symbols

  • Dockable panel


Insert terminal

Menu: Schematic > Insert terminal

When using this command for the first time, the symbol selector dialog opens to let you select the symbol you want to insert. This symbol is then saved, and it will be available for insertion when you use the command next time.

The dockable panel displays available options.

Pins the command, ensuring it remains active after it is first used.

Stops the command after it is first used to insert a symbol.

Ends the command.

Select the symbol representing your terminals

If the default symbol is not the one you want, click on the Other symbol button.

The symbol selector will be displayed with a filtered list of terminals, where you can select the terminal symbol you need.

Symbol orientation

This option lets you rotate the symbol prior to insertion. You can also select the angle of rotation by right-clicking with the mouse.

1. Click on the drawing to insert the terminal.

2. If the terminal is inserted on a wire, you will be prompted to define its orientation with respect to cables.

3. The terminal properties dialog box will then be displayed.

Insert multiple terminals

Menu: Schematic > Insert 'n' terminals

4. Click two points corresponding to the endpoints of a line perpendicular to the wires.

5. At each intersection between this line and a wire, a terminal will be inserted.

6. Define the orientation of the terminals.

The dockable panel displays available options.

Pins the command, ensuring it remains active after it is first used.

Stops the command after it is first used to insert a symbol.

Ends the command.

Select the symbol representing your terminals

If the default symbol is not the one you want, click on the Other symbol button.

The symbol selector will be displayed with a filtered list of terminals, where you can select the terminal symbol you need.

Options

Draw axis line: Axis drawing is optional. Uncheck the box if you don't need the axis lines.

The terminal properties dialog box will then be displayed.

Related topics:

Symbol selector

Terminal properties


Terminal properties

Contextual menu of terminal: Symbol properties

The terminal edition is automatically displayed after insertion.

Associate with an existing mark

If you want to associate a Terminal strip or a terminal with an existing mark, select it in the list on the right, or manually give it the same mark and use the [= >] button to create an association.

At the top of the dialog box, filters can help you find an existing component.

For a multi-level terminal, you can associate only the level you want, by selecting the circuit in the list.

Terminal Strip

Mark

The terminal strip mark is automatically calculated according to the project settings.

Mode: If you select the Automatic mode, the mark is automatically calculate according to the configuration settings. If you select Manual mode, you must enter the mark manually in the Mark setting.

Mark: Displays the automatic mark or used to enter the manual mark.

Root: Displays the root associated to the terminal strip depending on the terminal strip class.

Number: Displays the order number assigned to the terminal strip. You can change this number but you cannot use an existing number.

Permanent component: When the last symbol representing the terminal strip is deleted, the terminal strip is also deleted. If you check this box, the terminal strip is not deleted.

To delete a permanent terminal strip, use the command Delete component in its contextual menu in the Components tab (dockable panel).

Hierarchy

Class : Allows you to change the terminal strip classification. This is used when applying a manufacturer part. It also allows you to define the root used during automatic marking.

Master: Displays the name of the main terminal strip which a child or sub component is dependent on.

Location / Function: During symbol insertion, the location (function) is automatically taken from the drawing, or the location (function) outline if the symbol was inserted inside one. You can assign a different location (function) by clicking the button [...] and selecting the location (function) you want.

Terminal

Mark

The terminal mark is automatically calculated according to the project settings.

Mode: If you select the Automatic mode, the mark is calculate automatically according to the configuration settings. If you select Manual mode, you must enter the mark manually in the Mark setting.

Mark: Displays the automatic mark or used to enter the manual mark.

Root: Displays the root associated to the terminal depending on the terminal class.

Number: Displays the order number assigned to the terminal. You can change this number but you cannot use an existing number.

Permanent component: When the last symbol representing the terminal is deleted, the component is also deleted. If you check this box, the terminal is not deleted.

To delete a permanent component, use the command Delete component in its contextual menu in the Components tab (dockable panel).

hierarchy

Class : Allows to change the terminal classification. This is used when applying a manufacturer part. It also allows you to define the root used during automatic marking.

Master: Displays the name of the main component (terminal strip) which a child or sub component is dependent on.

Location / Function: During symbol insertion, the location (function) is automatically taken from the drawing, or the location (function) outline if the symbol was inserted inside one. You can assign a different location (function) by clicking the button [...] and selecting the location (function) you want.

Manufacturer data

This data comes from the manufacturer part, but can be manually modified. The data types are specified in the definition of the class.

Description

The first translatable data field of the component. You can enter a description in all languages managed in the project.

User data / Translatable data

The user data fields can be used to enter all information that you would like to manage for the component.


Managing multi-level terminals

Multi-level terminals are specific terminals on which you can connect several wires or cable cores. They have several circuits unlike the single terminals that have one and only one circuit. To identify multi-level terminals, you can set a special marking by indicating the level number.

Multi-level terminal mark

The multi-level terminal marking is not set in the project configuration as the other elements. Each terminal can have its own mark style. You can use the same mark style than the symbols or use a specific marking in which you have the terminal number, a separator character (a dot) and the level number; for example 1.3 represents the terminal 1, level 3.

The Component properties dialog box allows you to affect the multi-level terminal mark as the others components. In the Mark section, select the Use level marks option to activate this previous mark style. If you prefer to mark the multi-level terminals as the other components, use the traditional marking mode (Automatic or Manual).

Create or edit multi-level terminals

To create a multi-level terminal, you must become to create single terminals. Then, you have to group several terminals to generate a multi-level terminal.

Renumber multi-level terminals

The Renumber terminal strip terminals dialog box has a section, specific to the multi-level terminals. To help you to understand the result, a graphic displays it according to the selected options.

See the Renumber terminals chapter for more information about this feature.


Undo / Redo

Most of the graphical features can be undone even if the project is open in several workstations.

Some features, principally process features cannot be undone because their impact into the database is very important and cannot be canceled.

Menu: Edit > Undo

Menu: Edit > Redo

The Undo command cancels the last command used. The Redo command cancels the result of the last Undo command used.

The Undo and Redo icons have an arrow to display the last commands used. If you select one of these entries, all the previous actions are undone or redone at one time.

Into some interfaces, you can use the [Ctrl]+[Z] shortcut to undo the last action.


Macros

A macro is a part of scheme that you have already drawn and you want to re-use in another drawing or in another project. Macros are stored in a library.

  • Scheme macros

  • Macros selector


Scheme macros

A scheme macro is a part of scheme, line diagram, mixed scheme that you have already drawn and you want to re-use in other drawing or in other project.

Macros are grouped together within a library and are thus available for use by all projects.

The dockable panel has a Macros tab, allowing you to store your preferred scheme macros. You can manage your own palettes.

When you create a new scheme macro in your palette, it is automatically added to the Macro library.

  • Create a scheme macro

  • Insert a scheme macro

Related topics:

Palette configuration


Create a scheme macro

Dockable panel: Macros

To create a macro,

1. Open the drawing that contains the elements you want to store in the library.

2. In the dockable panel, activate the Macros tab.

3. In the graphical zone, select the entities you want to save

At this step, you have several possibilities to create the macro:

4. Drag and Drop them into one of the sections of the palette.

Or,

4. Use the Save into macros command of the contextual menu of a macro group.

Or,

4. Use the Copy with insertion point command of the Edit menu.

5. Use the Paste as new macro command of the contextual menu of a macro group.

A dialog box opens allowing you to fill in the data relating to the macro.

This macro is automatically added to the macros manager and will be available for insertion into other projects.

In the dockable panel, a drop-down menu allows you to access to the specific commands.

Add existing macros: Lets you select a macro stored in the library and add it to the list of macros in the palettes.

Save selection into macros: Allows you to save the selected elements into a macro. The macro is created in the group where the command is launched.

Paste as new macro: If you have used the Copy with insertion point command, the selected graphical elements in the clipboard can be pasted as a new macro.

Edit this macro: Opens the macro in the graphical interface for modification. The macro is viewed as a project. It appears in the Documents tab in the dockable panel.

Delete this macro: Deletes the selected macro from the palette (it is not deleted from the library).

New group: Creates a new macro group.

Group properties: Accesses the selected group’s properties.

Delete group: Deletes the selected group

Activate group: Activates the group that is selected from the contextual menu.

Related topics:

Insert a scheme macro

Macros manager

Palette configuration


Insert a scheme macro

Insert the macro from the ribbon menus

Menu: Schematic > Insert macro

Menu: Line diagram> Insert macro

When this command is used for the first time, the Macro selector dialog opens, letting you select the macro you want to insert. This macro is then saved, and it will be available for insertion when you use the command the next time.

The dockable panel displays available options.

Pins the command, ensuring that the command continues to remain active after first being used to insert a macro.

Stops the command after it is first used to insert a symbol.

Ends the command.

Specify the macro to insert

Shows the last macro that was inserted. If no symbol was save, the macro selector opens automatically.

If you do not want to insert the presented macro, click on the Other macro button. The macro selector opens, letting you choose another macro.

Insert a macro from the palette

Dockable panel: Macros

1. Open the drawing in which you want to insert the macro.

2. Drag the macro from the dockable panel.

3. Drop it into the graphics area.

Searching for macros

The palettes have an option to search for a specific macro. This search is not restricted to the macro palette, but searches in the entire macro library.

In the box, type the text you want to search and click the Find button. All macros containing the text entered in the description field will appear in the search results.

Managing marks

When the macro is inserted, the mark management dialog box opens, allowing you to either calculate new marks or keep the existing marks.

The way this dialog box works is described in the Paste Special chapter.

Related topics:

Create a scheme macro

Macros manager

Palette configuration


Macro selector

Contextual menu of macro group: Add existing macros

Symbol properties: Associated Macro

The macros presented in the macro selector are the ones that are stored in the macro library.

The left part of the dialog box displays the classification of macros; the right part displays the list of macros within the selected class.

Properties: Opens the properties dialog of the macro selected.

View: Opens the selected macro preview window.

List mode: Lets you display the list of macros (Name, Description, class).

Thumbnail mode: Shows the macros in the form of thumbnails (Previews).

Configuration: Allows you to manage the display parameters of the elements contained in the dialog box.

1. Select the macro you want.

2. Click Select button to validate.

Related topics:

Macros manager


Copy/Paste

The Copy command allows you to place the selected elements in the DesignSpark Electrical clipboard. The Paste command allows you to extract these elements. The Copy/Paste commands can be used to duplicate or to move existing elements.

The Copy/Paste commands are available at various places in the software and the type of objects on which Copy/Cut can be used depends on the environment the command was launched from.

  • Cut

  • Copy

  • Copy with insertion point

  • Paste

  • Paste special


Cut

The Cut command allows you to place the selected elements in the DesignSpark Electrical clipboard. It is used to move several types of elements and it is available at various places of the software.

The elements on the clipboard can be inserted or created by the Paste or Paste special commands.

Graphical area

Menu: Edit > Cut

Contextual menu of graphical elements: Cut

1. Click the command.

2. Select the entities in the graphical area.

3. Validate the selection.

The elements are highlighted and they can be inserted in the same or another drawing from the Paste or Paste special commands. At the insertion (Paste command) the original elements are deleted.

Managers

Managers > Cut

1. Select the elements you want to cut.

2. Click the command.

The original elements are kept and they can be pasted to another class. At the creation of the new elements, the original elements are removed.

Project documents

Contextual menu of project, book, folder or drawings: Cut

1. Select the elements you want to cut.

2. In the contextual menu, click the command.

The original elements are kept and they can be pasted to a consistent place (for example, a book cannot be pasted in a folder). At the creation of the new elements, the original elements are removed.

Related topics:

Copy

Copy with insertion point

Paste

Paste special


Copy

The Copy command allows you to place the selected elements in the DesignSpark Electrical clipboard. It is used to copy several types of elements and it is available at various places of the software.

The elements on the clipboard can be inserted or created by the Paste or Paste special commands.

Graphical area

Menu: Edit > Copy

Contextual menu of graphical elements: Copy

1. Click the command.

2. Select the entities in the graphical area.

3. Validate the selection.

The elements can be inserted in the same or another drawing from the Paste or Paste special commands. The original elements are conserved.

Managers

Managers > Copy

1. Select the elements you want to copy.

2. Click the command.

The original elements are kept and they can be pasted to the same class or to another.

Project documents

Contextual menu of project, book, folder or drawings: Copy

1. Select the elements you want to copy.

2. In the contextual menu, click the command.

The original elements are kept and they can be pasted to a consistent place (for example, a book cannot be pasted in a folder).

Related topics:

Cut

Copy with insertion point

Paste

Paste special


Copy with insertion point

The Copy with insertion point command allows you to place the selected elements in the DesignSpark Electrical clipboard. It is used to copy several types of elements and it is only available in the graphical area.

The elements on the clipboard can be inserted or created by the Paste or Paste special commands.

Menu: Edit > Copy

Contextual menu of graphical elements: Copy

1. Click the command.

2. Select the entities in the graphical area.

3. Validate the selection.

4. In the graphical area, click the insertion point

The insertion point is used when you insert the entities (Paste or Paste special commands).

The elements can be inserted in the same or another drawing from the Paste or Paste special commands. The original elements are preserved.

Related topics:

Cut

Copy

Paste

Paste special


Paste

The Paste command is used to insert objects from the DesignSpark Electrical clipboard. It is available at various places in the software and the type of object inserted depends on the environment in which the command is launched. If the clipboard is empty, the paste is canceled.

Graphical area

Menu: Edit > Paste

Contextual menu of graphical elements: Paste

1. Click the command.

2. In the graphical area, click the insertion point.

If the objects in the DesignSpark Electrical clipboard have a mark (such as a symbol, wire or a drawing), when the Paste command is used, the mark is automatically recalculated in relation to the existing objects in the project. If you wish to manage the marks yourself, you should use the Paste Special command.

Managers

Managers > Paste

1. Click the command.

The objects in the managers (for example: symbols, cables, or manufacturer parts) can also be Copied/Pasted. A new object is created and a suffix +n (n = order number) is added to the name of the new object.

Project documents

Contextual menu of project, book, folder or drawings: Paste

1. Select the elements you want to cut.

2. In the contextual menu, click the command.

If a scheme or line diagram is the object of a Copy/Paste command, a new drawing is created and its content is automatically duplicated. You can copy projects (project content), books, folders, or drawings in the same project or in another project.

Related topics:

Cut

Copy

Copy with insertion point

Paste special


Paste Special

Menu: Edit > Paste special

Contextual menu of graphical elements: Paste special

Contextual menu of project, book, folder or drawings: Paste special

Like the Paste command, the Paste Special command is used to insert objects from the DesignSpark Electrical clipboard. It is available at various places in the software and the type of object inserted depends on the environment in which the command was launched.

The Paste special interface also opens when you insert a macro.

A dialog box opens allowing you to either create new marks or keep the existing marks.

Remember that identical marks are automatically associated except if one is an Automatic mark and the other is a Manual mark.

Options for pasting tab

The dialog box displays all objects contained in the clipboard. On each object type, select the desired action.

Object type: The list of the different objects contained in the clipboard.

Object count: Number of objects found.

Actions

All the actions listed bellow are actions by default for all the categories of elements. You can individually change them in the other tabs.

Create new mark: The mark of the pasted element will be automatically recalculated according to the existing elements.

Keep existing mark: The mark is the same in the copied element and the pasted element.

Remove number: This action is specific for the equipotential numbers. It allows you to recalculate them.

Keep existing number: This action is specific for the equipotential numbers. It allows you to keep them.

Select in the list, the action you want (Create new mark or Keep existing mark). Note that on certain objects, actions are disabled. Each individual object settings can be changed in the other tabs. New marks are not calculated, they will be when you will click on Finish button.

Reset manual mark: Only Automatic marks are used by the Paste special command. If you also want to manage the Manual marks, check the Reset manual mark box.

If you had managed the other tabs and you change an option in the Option for pasting tab, a dialog box opens to confirm your choice (you can lost the settings you have done).

Object tabs

The dialog box displays several tabs corresponding to the copied objects. In each tab, you can individually manage the object mark.

Associate: The copied object is associated with an existing object. The selector opens allowing you to select an existing object.

Rename: Opens a dialog box allowing you to change the mark. The new mark is created as a Manual mark.

New mark: If you select Keep existing mark in the first tab, you can enter a new mark on each object.

List display: Displays the element in a list.

Tree view: Displays the elements in a tree view.

These commands are also available in the contextual menu of each object.

A search feature allows you to find an existing mark. Enter the mark and click the arrows to find it.

A color code allows you to identify the mark status.

Green: New mark.

Orange: Existing mark.

Blue: New and renamed mark.

Ready to paste tab

The last tab displays the result corresponding to the previous options.

1. Click Finish button to launch the copy.

New marks are automatically calculated according to the existing marks.

Related topics:

Cut

Copy

Copy with insertion point

Paste


Multilingual text

Multilingual text is special in that they can be entered in all languages specified in the project. It can be distinguished from classic text, as it is stored in the database. When the project language is changed, the multilingual text automatically switches languages. This interface is the same to Multilingual text insertion and edition.

Menu: Draw > Multilingual text

The dockable panel changes to displays options for text positioning.

Ends the command.

Returns to the previous interface.

Enter coordinates

1. Click on the graphic zone and enter the insertion point coordinates for the text.

Text

2. Enter the text in the different displayed languages .

Format

3. Click on the checkbox to use the project settings parameters, or use specific parameters for the text. In the latter case, choose the font name, height, style and color of the text.

Justification

4. Set the justification of the text.

Rotation angle

5. Enter the text rotation angle.


Hyperlink

Menu: Draw > Hyperlink

Contextual menu of scheme, line diagram, or report entities.

The Hyperlink allows you to link an external file or a project drawing to a graphical element. It can also be used to link to items such as image files, PDF files.

A dialog box opens allowing you to create a hyperlink.

Text to display: Enter the text for the hyperlink. This text appears in the context menu of the entity where the hyperlink has been created.

Relative path: Select this option to display the file path in relative mode.

Hyperlink of drawing: Click the [...] button to select the linked file.

Absolute file path: Indicates the file path in absolute mode.

Current folder: Indicates the folder of the current project.

Hyperlink to project drawing: Click the [...] button to select a drawing of the current project.

Remove link: Allows you to delete the link.

Target: Allows you to open the file with the application to which it is associated. If the target is a project drawing, it is open in the graphical area.

In the contextual menu of the entity that has a hyperlink, commands allow you to manage the hyperlink.

Modify: Allows to modify the hyperlink.

Delete: Allows to remove the hyperlink.

Attention: Files associated with hyperlinks are not integrated into the archive file, when archiving the project. If you want these to be available in the archive, add them as data file to the project.

Related topics:

Data files


Process

The process (such as edit cables or reports) is made possible because of the information stored in the project database. This database is filled out automatically as and when the schematic is designed.

All the processes are grouped in the specific menu (Process), but certain commands are also under the Project menu.

  • Cross references

  • Assign manufacturer part

  • Wiring cabling order

  • Wiring cables

  • Number wires

  • Renumber marks

  • Update project data

  • Translate project texts

  • Revisions

  • Reports manager

  • Add to basket

  • Print manager

  • Drawing export


Contextual menus of scheme elements

Contextual menu of scheme elements

Items in a scheme (Such as symbols, terminals or wires) each have a contextual menu with a number of commands relevant to the selected item.

Many commands are available as multiple selections. The command will be grayed out if multiple selection is not possible.

  • Contextual menu of wire

  • Contextual menu of symbol

  • Contextual menu of black box

  • Contextual menu of terminal


Wire (Contextual menu)

Wire style ►

Properties: Opens the wire style properties dialog box. Any changes made will affect all wires in the project.

Propagate: Used to propagate the wire style of the selected segments to the connected segments. The dockable panel displays the propagation options. The To equipotential option is used to propagate to wires with the same equipotential number. The Through circuits option propagates the wire style through the symbols, only if the wire style is the same upstream and downstream of the symbol.

Replace: Used to replace the wires used in the project, depending on a wire style, with another wire style. The dockable panel displays the wire selection options.

Cable properties: Shown only if you select a wire/cable. Opens the Project cable properties dialog box to edit the cable properties.

Wire properties: Opens the wire properties dialog box to manage its marking and the technical data associated with the wire.

Equipotential properties: Opens the properties dialog box for the wires common to this equipotential. Allows you to manage the equipotential number and the technical data associated with this equipotential.

Edit wire mark: Used to edit the number (wire or equipotential) assigned to the wire.

Align texts: Used to align the wire mark texts. Select the texts to align and draw an axis perpendicular to the wires. The texts will be aligned to this axis.

Show / hide wire marks: Used to display or hide the wire or equipotential numbers assigned to the wire. This command can also be used on a multi-selection.

Associate cable cores: Used to create the cabling of the wire.

Dissociate cable core: Dissociates the cable core associated to the selected wire.

Wire Cabling order: Used to manage the cabling order for the wire.

Create / delete bridges: Allows you to create a bridge between two or more components (or terminals). When you run this command, select the wires representing a bridge and validate. The wires will automatically take up the graphic characteristics defined in the project configuration. This command also lets you delete a bridge. Select the wires in the graphic interface, shown as bridges, and use the Delete bridges option.

Show / hide cable cores texts: Used to display or hide the texts relating to the cable core when the wire is cabled.

Move: Used to move the selected wire or wires.

Copy: Used to place the selected wire(s) in the DesignSpark Electrical clipboard.

Copy with insertion point: Copies the symbol to the DesignSpark Electrical Clipboard and defines the insertion point.

Cut: Identical to the Copy command, the selected wires are then removed.

Hyperlink: Creates/Edits a link to an external document.

Delete: Deletes the selected wire(s).


Symbol (contextual menu)

This chapter concerns all symbol types, such as Line diagram, schematic, origin-destination symbols. The contextual menu can be different depending on the selected symbol.

Symbol properties: Opens the symbol properties dialog box.

Assign component: Assigns the selected symbols to an existing component.

Attributes ►

Edit attributes: Allows you to modify the symbol attributes.

Manages the display of symbol attributes.

Edit cross references style: Opens the cross references configuration dialog box.

Edit symbol terminals: Opens the dialog box to edit the material terminals of the component.

Symbol ►

Four commands are available in the contextual menu for the symbol, allowing you to edit the symbol in whatever contextual menu has been opened.

Update: Allows the inserted symbol to be updated in relation to its definition in the symbols library.

Replace: Replaces the inserted symbol with another symbol in the library.

Open symbol: Opens the symbol in the modification interface to change its graphics, attributes or connection points.

Add to library: Adds the inserted symbol to the symbols library.

Component properties: Opens the dialog box allowing you to edit the component and allocate the mark, location and function, enter data specific to the component and allocate a manufacturer part.

Component ►

Change location: Changes the location associated with the symbol.

Change function: Changes the function associated with the symbol.

Assign manufacturer parts: Assigns one or more manufacturer parts to the symbol.

Delete manufacturer parts: Removes manufacturer parts associated with the symbol.

Insert symbol: Allows you to insert a symbol for this component.

Go to ►

Go to browser: Displays in the Components tab, the list of symbols associated to the selected component. This feature will be used if the component is defined by a very large number of symbols

The other items allows you to navigate between the different symbols with the same component using cross references.

Cabling ►

Manages cabling and cabling order.

Wire cabling order: Used to produce the cabling order upstream or downstream of the symbol.

Cable core association: Used to produce the cabling upstream or downstream of the symbol.

Orientation ►

Changes the direction of the symbol.

Specific angles (0° / 90° / 180° / 270°)

Free rotation: Use the mouse to turn the symbol.

Invert: Makes a mirror image of the symbol.

Move: Allows you to move the symbol.

Cut: Copies the symbol to the DesignSpark Electrical Clipboard. The symbol is deleted.

Copy: Copies the symbol to the DesignSpark Electrical Clipboard.

Copy with insertion point: Copies the symbol to the DesignSpark Electrical Clipboard and defines the insertion point.

Hyperlink: Creates/Edits a link to an external document.

Delete: Deletes the symbol from the drawing.


Black box (contextual menu)

Symbol properties: Opens the symbol properties dialog box.

Edit cross references style: Opens the cross references configuration dialog box.

Assign component: Assigns the selected symbols to an existing component.

Attributes ►

Manages the display of symbol attributes.

Edit attributes: Allows you to modify the symbol attributes.

Edit symbol terminals: Opens the dialog box to edit the material terminals of the component.

Symbol ►

Four commands are available in the contextual menu, allowing you to edit the symbol in whatever contextual menu has been opened.

Update: Allows the inserted symbol to be updated in relation to its definition in the symbols library.

Replace: Replaces the inserted symbol with another symbol in the library.

Open symbol: Opens the symbol in the modification interface to change its graphics, attributes or connection points.

Add to library: Adds the inserted symbol to the symbols library.

Component properties: Opens the dialog box to edit the component and allocate the mark, location and function, enter data specific to the component, and allocate a manufacturer part.

Component ►

Change location: Changes the location associated with the symbol.

Change function: Changes the function associated with the symbol.

Assign manufacturer parts: Assigns one or more manufacturer parts with the symbol.

Remove manufacturer parts: Removes manufacturer parts associated with the symbol.

Insert symbol: Inserts a symbol of this component.

Go to ►

Navigates between the different symbols with the same part using cross references.

Update black box: Updates the black box.

Add connection point: Adds connection points around the edge of the black box.

Delete connection point: Deletes connection points on the black box.

Cabling ►

Manage cabling and cabling order.

Wire cabling order: Produces the cabling order upstream or downstream of the symbol.

Cable core association: Produces the cabling upstream or downstream of the symbol.

Move: Moves the symbol.

Copy: Copies the symbol into the DesignSpark Electrical Clipboard.

Copy with insertion point: Copies the symbol into the DesignSpark Electrical Clipboard and asks you to specify the insertion point.

Cut: Copies the symbol into the DesignSpark Electrical Clipboard. The symbol is deleted.

Hyperlink : Creates/edits a link to an external document.

Delete: Deletes the symbol from the drawing.


Terminal (contextual menu)

Symbol properties: Opens the symbol properties dialog box.

Assign component: Assigns the selected symbols to an existing component.

Attributes ►

Edit attributes: Allows you to modify the symbol attributes.

Manages the display of symbol attributes.

Edit symbol terminals: Opens the dialog box to edit the material terminals of the component.

Symbol ►

Four commands are available in the contextual menu for the symbol, allowing you to edit the symbol in whatever contextual menu has been opened.

Update: Allows the inserted symbol to be updated in relation to its definition in the symbols library.

Replace: Replaces the inserted symbol with another symbol in the library.

Open symbol: Opens the symbol in the modification interface to change its graphics, attributes or connection points.

Add to library: Adds the inserted symbol to the symbols library.

Component properties: Opens the dialog box allowing you to edit the component and allocate the mark, location and function, enter data specific to the component and allocate a manufacturer part.

Component ►

Change function: Changes the function associated with the symbol.

Assign manufacturer parts: Assigns one or more manufacturer parts to the symbol.

Remove manufacturer parts: Removes manufacturer parts associated with the symbol.

Insert symbol: Allows you to insert a symbol for this component.

Define level: Allows you to define the number of levels on the selected terminals. A dialog box opens to help you enter the number of levels.

Change terminal strip: Allows you to move the selected terminals to another terminal strip.

Go to ►

Allows you to navigate between the different symbols with the same part using cross references.

Terminal strip properties: Opens the properties of the terminal strip on which the terminal is located.

Cabling ►

Manages cabling and cabling order.

Wire cabling order: Used to produce the cabling order upstream or downstream of the symbol.

Cable core association: Used to produce the cabling upstream or downstream of the symbol.

Orientation ►

Changes the direction of the symbol.

Specific angles (0° / 90° / 180° / 270°)

Free rotation: Use the mouse to rotate the symbol.

Invert: Makes a mirror image of the symbol.

Move: Allows you to move the symbol.

Cut: Copies the symbol to the DesignSpark Electrical Clipboard. The symbol is deleted.

Copy: Copies the symbol to the DesignSpark Electrical Clipboard.

Copy with insertion point: Copies the symbol to the DesignSpark Electrical Clipboard and defines the insertion point.

Hyperlink: Creates/Edits a link to an external document.

Delete: Deletes the symbol from the drawing.


Cross references

A device can be represented by one or more symbols. When it is represented by several symbols, these can be inserted into different drawings. The cross references represent the links between these different symbols.

There are several levels of cross reference, according to the standard used and the type of symbol.

- Parent in line-type symbols (for example a circuit breaker)

- Parent in table-type symbols (for example a coil)

- Child-type symbols (for example a contact)

- Same level-type symbols (for example a push button)

- Without cross reference (for example a power supply)

The cross references are calculated in real time, with each action (movement, deletion...) related to the linked symbols updating the cross references.

Automatic generation of cross references thumbnails is based on the definition of the symbols (circuits) and on configuration parameters.

  • Circuit management

  • Levels of cross references

  • Navigation by cross references


Circuit management

The circuits in a device correspond to what one could call a device "poles". These circuits are used in the symbol definition, and also in the manufacturer part definition. Cross references are generated, and terminals are shown by comparing the circuits of the symbol and the circuits of the manufacturer part.

Circuit definition

The software manages several types of circuit, corresponding to the nature of the electrical component.

For example, a three-pole circuit breaker consists of three Circuit breaker, Switch circuits.

The circuits of a component are the sum of the circuits of all the symbols representing this component.

The above example shows the definition of reference LC1D09006B7 from Schneider in circuit terms. It consists of a coil, a 3-pole power contactor, NO and NC contacts.

When a manufacturer part is assigned, the softwarecompares the circuits of the manufacturer part and the circuits of the various symbols representing the component. If they match, the numbers of the material terminals are automatically propagated to the symbol circuits and displayed in the scheme. If there are any differences between the circuits of the manufacturer part and the circuits of the symbols, the circuits are added together and reserved. The numbers of the material terminals are not displayed on the scheme.

Role of circuits in cross references

As seen in Configuration of cross references, some types of circuits are associated with a cross references thumbnail (graphic symbol). These are circuits associated with a Child or Same level symbol (Parent symbols do not generate cross references thumbnails).

When cross references thumbnails are generated, the softwarelists all circuits associated with the component, filters them to retain only the Child or Same level circuits, and uses the cross references thumbnail associated with the type of circuit to generate the graphics. The numbers of the material terminals are automatically added, as is the position of the symbols in the project and drawings.

In the above example, there are 3 NO power contact type circuits in column 4 of drawing 10 and one NO contact in column 4 of drawing 04. The NC contact belonging to the manufacturer part is not used in the drawing (it is placed in reserve instead). The second NO contact (column 6 of drawing 04) is not part of the manufacturer part.

Circuits and groups

To associate circuits, enter a number (or a name) on each circuit. To associate circuits, they must have the same number.

For example, a reversing contactor uses the circuit groups, on which you can find one coil associated to one contactor and a second coil associated to a second contactor.

The manufacturer part data stores the group number. When you insert the symbol component, the cross references are automatically updated with the group number.

Related topics:

Cross references configuration

Levels of cross references

Navigation by cross reference


Levels of cross references

There are several levels of cross references, according to the standard used and the type of symbol.

- Parent in line-type symbols (for example a circuit breaker)

- Parent in table-type symbols (for example a coil)

- Child-type symbols (for example a contact)

- Same level-type symbols (for example a push button)

- Without cross references (for example a power supply)

- Default representation standard ANSI symbols

Each level of cross references gives a different representation of the associated symbols.

Parent in table: A block including the graphical representation of the circuits and location information (drawing / column) is automatically generated in the Parent in table type symbol alignment in the lower part of the drawing.

Parent in line: A block including the graphical representation of the circuits and location information (drawing / column) is automatically generated near the Parent in line type symbol.

Child or Same level: The cross references information is propagated in the form of text in the #CROSS_REF attribute for the symbol.

Without: Does not generate cross references.

Default representation: A block including the graphical representation of the circuits and location information (drawing / column) is automatically generated in the Parent in table type symbol alignment to the right of the column the symbol was inserted into.

The level of cross references is defined in the parameters of the symbol (see Symbols library).

Related topics:

Circuit management

Navigation by cross reference


Navigation by cross references

A device may be represented by several symbols, which may be inserted into different drawings. DesignSpark Electrical automatically generates cross references information to ensure better understanding of the scheme. This can be in the form of graphics (thumbnails) or text displayed below the symbol mark.

You can navigate among the symbols making up this device

Select the Go to option available in the contextual menu for the component symbol (also available for the cross references thumbnails).

Related topics:

Circuit management

Cross references configuration

Levels of cross references


Manufacturer parts and circuits

Symbol properties: Manufacturer part and circuits

Terminal properties: Manufacturer part and circuits

Black box properties: Manufacturer part and circuits

Location properties: Manufacturer Part

This tab shows the manufacturer parts assigned to a component, as well as its circuit definition.

Manufacturer parts

Search: Opens a dialog box allowing you to search a manufacturer part in the library.

Add manufacturer part: Opens a dialog box to create a new manufacturer part.

Add Electrical assembly: Opens the dialog box allowing you to create a new Electrical assembly.

Delete: Deletes the selected manufacturer part references.

Properties: Opens the selected manufacturer part properties dialog box.

Move up / Move down: Allows you to organize the list of manufacturer parts.

Circuits

The circuit definition is not available in the location properties dialog box.

When you select a part from the list, DesignSpark Electrical compares the circuits that make up the component (symbols) with the circuits contained in the manufacturer part.

The green color indicates consistency between the symbol's circuits and the manufacturer part's circuits.

The Red color indicates an inconsistency. Certain circuit symbols are not present in manufacturer parts. You will have to add auxiliaries or modify your component to add the symbols within the manufacturer part.

The blue color indicates that the manufacturer part contains circuits not represented in the symbol (reserved circuits).

The Yellow color indicates the presence of virtual circuits, which appear neither as symbols nor as manufacturer part references (added manually).

Edit terminals: Allows you to edit the terminal number of the selected circuits.

Add virtual circuits: Allows you to add a new circuit. A virtual circuit is not present in the manufacturer part and in the symbols.

Delete virtual circuit: Allows you to delete the selected virtual circuits.

Switch symbol circuit: Allows you to switch two circuits selected in the circuit list.

Dissociate symbol circuit: Only the green circuits must be dissociated. When you dissociate a circuit, it is automatically set in reserve (blue) and the circuit of the symbol is set in red.

Up / Down: Allows you to organize the virtual circuits.

These commands are also available in the contextual menu of the circuits.

Related topics:

Assign manufacturer part

Manufacturer part properties

Circuit management


Assign manufacturer part

Manufacturer parts are managed within a catalog, which you can add to as needed. Every component managed within DesignSpark Electrical can have one or more manufacturer parts associated with it. Manufacturer parts have several applications in the software, according to element type.

  • Assign manufacturer part to component

  • Assign manufacturer part to symbol

  • Assign manufacturer part to location

  • Assign manufacturer part to terminal

  • Assign manufacturer part to terminal strip

  • Manual referencing

When a manufacturer part is associated with an element, the drawing is automatically updated, including the cross references and device terminal numbers on the symbol.

In the specific tab of each component type, click the Search button to access to the manufacturer part selection dialog box.

There are two options for searching manufacturer parts. Check the Automatic refresh box to automatically display a list of manufacturer parts.

If this box is unchecked, the list of manufacturer parts is only updated when you click the Search button.

Classification

This tab displays manufacturer part classifications in tree form.

The left side of the dialog box shows the manufacturer part classifications. The right shows the manufacturer parts in the currently selected classification.

Filters

Filter the manufacturer parts list. All filter criteria are present in the manufacturer part properties.

The right side of the dialog box displays the manufacturer parts corresponding to the selected criteria.

Remove filters: Removes all filter criteria.

Classification: The Classification is the first search criteria. You can use the class of the object on which you want to assign a manufacturer part, the same base class or all the classes.

To change the default class, click the button [...] and the select the class or the sub-class you want.

All the other criteria are those of the manufacturer part properties.

Manages the quantity you want to add.

Adds the selected manufacturer part.

Replaces the previously allocated manufacturer part with the part selected in the list.

Deletes all the manufacturer parts which you have associated.

Used to order the manufacturer part.

Assign manufacturer part to component

A component is an electrical device that has a manufacturer part associated with it.

When you create a component, DesignSpark Electrical automatically prompts you to associate a manufacturer part with it.

Assign manufacturer part to symbol

Symbol properties: Manufacturer part and circuits

The lower part of the dialog box shows a list of circuits that constitute the component (all symbols composing the device).

Click the Search button to search for a manufacturer part or the Add manufacturer part to create a new one.

The contextual menu for the manufacturer part lets you access its properties and activate or deactivate circuit testing.

When testing is activated, DesignSpark Electrical compares the circuits of the component (symbols) with the circuits contained in the manufacturer part.

The green color indicates consistency between the symbol's circuits and the circuits in the manufacturer part.

The red color indicates an inconsistency. Certain circuit symbols are not present in manufacturer parts. You will have to add auxiliaries or modify your symbols within the manufacturer part.

The blue color indicates that the manufacturer part contains circuits which are not represented in the symbol (reserved circuits).

Assign manufacturer part to location

Location properties: Manufacturer parts

Click the Search button in the manufacturer parts tab to search for a manufacturer part.

Assign manufacturer part to terminal

Terminal properties: Manufacturer parts and circuits

Select the terminals you want to apply a manufacturer part to and click the Manufacturer parts icon.

Assign manufacturer part to terminal strip

Terminal strip properties: Manufacturer parts and circuits

Click the Search button in the Manufacturer parts tab to search for a manufacturer part. The selected manufacturer part is assigned to the terminal strip, not to the terminal. This feature can be used to select accessories of the terminal (not be confused with a component).

Manual referencing

In all the previous cases, the manufacturer part is taken from a manufacturer catalog. You may also enter a manufacturer part manually, for example when the manufacturer part you need is absent in the catalog and does not need to be permanently entered.

Properties dialog boxes: Manufacturer part > Add manually

Enter the parameters and confirm the data by pressing the OK button.

When the part and name of the manufacturer is entered and the part already exists in the catalog, a message appears asking if you wish to retrieve the properties from the existing manufacturer part or simply continue entering its properties.

If the manufacturer part is already in the catalog, click the OK button. If the properties of the new manufacturer part are different from the properties of the existing part, a message appears asking you if you want to update the catalog with the new data or simply apply the data to the component.

When entering a new manufacturer part, DesignSpark Electrical then asks if you wish to add this manufacturer part to the manufacturer catalog.

Related topics:

Manufacturer parts catalog

Cross references


Wire cabling order

There are two types of equipotentials:

  • The simple equipotentials. These connect only two devices.

  • The complex equipotentials. These connect three or more devices.

The wiring order lets you define how these devices are connected.

Only complex equipotentials are affected by the cabling order.

It allows you to optimize the wire and cable lengths and to orient the cabling order (From/To), making it easier to read in the list of connections and list of cables.

There are two different types of cabling order: the Automatic cabling order (automatically generated by DesignSpark Electrical) and the Manual cabling order (manually generated by the user).

  • Manage cabling order

Related topics:

Number wires

Cabling


Manage cabling order

The cabling order can be performed globally across the project or on a single wire.

Menu: Project > Wire cabling order (handles all wires in the project)

Dockable panel > Contextual menu of project: Project > Wire cabling order manager (handles all wires in the project)

Contextual menu of a wire: Wire cabling order (handles only selected wires)

The left part of the dialog shows the list of the project complex equipotentials. The upper half shows the various symbols connected to the wire.

The lower part shows the from/to results of the wiring order.

The wiring order also lets you manage cabling cores (see the Cabling section).

Equipotentials

Automatically add wires: Manages the cabling order across all of the project's complex equipotentials. The order of devices that are connected will depend on their mark (alphanumeric sort). The cabling order which this operation generates is referred to as Automatic cabling order.

Delete wires: Lets you delete the wiring order for the whole project.

Automatically add wires for selection: Has the same behavior than the Automatically add wires feature but only on the selected equipotentials.

Delete wire for selection: Has the same behavior as the Delete wires feature but only on the selected equipotentials.

If this command is launched from the wire contextual menu, only the selected equipotential appears in the list. If it was launched from the Project menu, select the equipotentials you want to adjust from the list on the left.

Components connected to equipotential

The cabling order generated by the following commands is referred to as Manual cabling order.

Add wire from point: Select a mark in the list and click on the Add wire from point button. The mark is automatically added to the Origin column.

Replace origin with point: Changes the origin.

Add wire to point: Select a mark in the list and click on the Add wire to point button. The mark is automatically added to the Destination column.

Replace destination with point: Changes the destination.

A Go to command is available in the contextual menu of a component to open the drawing in which the symbol is inserted. You can also double-click the component.

You can also drag and drop marks from the origin to the destination (and vice versa), or drag and drop marks from the upper left into either the source or destination on any of the connections.

Equipotential wires

The Automatically add wires button lets you generate the wiring order automatically on a complex wire.

The Delete wires button lets you erase the selected connection lines.

The Switch origin and destination button lets you reverse the origin and destination component marks.

The Associate cable cores and Dissociate cable cores buttons affect the cabling.


Wiring cables

Cables used in the project are grouped within the cables manager.

A catalog of cables is at your disposal, containing a large number of references, you can also create your own references.

Cabling for your installation can be done at several levels: in the line diagram, and in the schematic.

The line diagram lets you reserve cables, which can then be used in the schematic.

  • Cables manager

  • Wiring within schematic

  • Detailed cabling


Cables manager

The Cables manager groups all the cables used in your project

Menu: Project > cables

Dockable panel > Contextual menu of project: Project > Cables manager

Cables appear in a list that can be filtered according to your needs. You can arrange information on the cable Source / Destination and using reservations made in the line diagram.

Some of these features accept the multi-selection, such as Delete or Properties.

New cable: Opens the cable catalog where you can select the references you need to add to the project.

Delete: Allows you to delete the selected cables. A cable cannot be deleted if its cores are already in use.

Properties: Shows the properties of the selected cables. If you select several cables, the Properties dialog box displays only the common properties.

Duplicate: Copies individual or multiple cables including all their associated properties such as reference or path. The mark are automatically incremented.

Replace: Lets you replace the selected cables with other cables from the catalog. The new cable must have at least as many cores as the cables being replaced.

Switch: Allows you to swap the Origin and Destination and vice versa of the selected cables.

Disassociate cable core: Allows you to free up (disconnect), the selected cables cores.

Tree mode: Manages the type of display for the cables list. The cables can be grouped by Function or by Origin/Destination.

Several filters allow you to show the cables filtered by name, part number or origin/destination locations.

Pre-reserved cables: Automatically hides all cables except those that have been reserved. Select this icon again to remove the filter.

Related topics:

Cable references manager

Add a cable

Cable properties


Project cable properties

Cables manager: Properties

Contextual menu of wire (Schematic): Cable properties

Contextual menu of cable (Wiring line diagram): Cable properties

The cable properties dialog box lets you modify the cable mark, which is automatically created when a cable is added to a project. The mark is calculated according to the configuration parameters.

Mark

Mode: If you select the Automatic mode, the mark is calculated automatically according to the configuration settings. If you select Manual mode, you must enter the mark manually in the Mark setting.

Mark: Displays the automatic mark or is used to enter the manual mark.

Root: Displays the root associated to the cables.

Number: Displays the order number assigned to the cable. You can change this number but you cannot used an existing number.

Hierarchy

Upstream location: The "From" Location of the cable.

Downstream location: The "To" Location of the cable.

Function: The function the cable is serving.

Cable Reference

Cable reference properties: Click the button [...] to open the cable reference properties dialog box (data cannot be modified).

The other parameters of this section relate to data coming from cable references.

Characteristics

Data from the 3D routing software.

Calculation

Data lets you calculate the voltage drop for the cable.

Description

The first translatable data field is for the cable. You can enter a description for all languages managed in the project.

User data / Translatable data

User data is present across the entire project. It is used to store personalized information, which can be displayed in the drawings. There are two types of user data: translatable user data (translated during Project translation) and non-translatable user data.

The Customize... button lets you access the cable user data.

Related topics:

Cables manager


Wiring within schematics

Every wire placed on the schematic can be cabled, provided that it is connected to a symbol or terminal. The cabling command is accessible from the wire contextual menu.

Contextual menu of wire: Associate cable cores

The cabling command can be activated on a multi-selection of wires.

This interface is similar to the cables manager, but allows you to manage the core cabling.

Associate cable cores: Select the cores you want to use in the upper half of the dialog box, then select the wire you want to cable in the lower section.

The cable cores are associated in order of appearance. The first core on the list will be allocated to the first wire on the list, the second core with the second wire, and so on. We recommend organizing the list of wires according to the list of cores.

Blue cable core (bold): Associated with a wire.

Green cable core (bold): Assigned to one of the selected wires.

Bold means that the cable core is in a scheme; non-bolded blue cable cores are only in the line diagram.

Dissociate cable cores: Deletes the cabling of the selected cores.

After confirming your changes, the schematic is updated automatically. A text corresponding to the cable is automatically placed on the line. This text can be customized (style and content) in the project properties (Font tab).

Related topics:

Cables manager

Wiring within line diagrams


Number wires

Every wire that you draw in a schematic can have numbering applied to it. A mark is applied to it that lets you manage and optimize installation cabling. This numbering is optional, and you can choose to number only certain sets of wire types.

You can also have two numbering modes: an equipotential numbering mode (all wires connected on the same potential), and a wire numbering mode (physical wires connecting the devices).

Wire numbering follows a simple rule: the numbering starts in the first drawing and continues through the drawings, based on their order as displayed in the dockable panel. In the drawing, the actual position of the wires is also taken into account. The numbering starts in the upper left and increases toward the lower-right hand side.

Numbering parameters are defined in the wire type manager and in the project configuration. You can start numbering your wires at any time during project development. You can also manually apply wire numbering, or modify any previously-numbered wire.

  • Number new wires

  • Renumber wires

  • Edit wire mark

Related topics:

Numbering settings


Number new wires

Menu: Process > Number new wires

This command only affects wires that have not been numbered. Numbered wires will not be affected by this command.

When numbering wires, it is essential that the wires are connected to symbols or terminals. Unconnected wires will not be numbered.

Related topics:

Numbering settings

Renumber wires

Edit wire mark


Renumber wires

Menu: Process > Renumber wires

This command can be applied to all wires of the project, depending on user defined options.

Selection

Whole project: Renumbers all of the project's wires.

Current book: Renumbers only the wires in the current book (the book associated with the current scheme).

Current folder: Renumbers only the wires in the current folder (the folder associated with the current scheme).

Current scheme: Renumbers only the wires in the current scheme.

Wires selected in the scheme: Renumbers only the wires selected in the scheme.

Choose schemes: Opens the scheme selector to select schemes to process. Only wires within these schemes will be renumbered.

Number wires

Remove wire numbers: Removes existing wire numbers. Performs a new numbering operation to display the numbers again. You must check the Recalculate manual numbers box to recalculate all numbering.

Number new wires and recalculate existing wire marks: Numbers new wires and renumber wires with existing numbers, for example when numbering parameters have been changed. The counter value is not affected by this renumbering, unless the formula has been changed to specifically affect it.

Recalculate wire numbers: Recalculates all wire numbers, except for numbers that have been modified manually. You must check the Recalculate manual numbers box to recalculate all numbering.

Wire style manager: This button allows you to open the Wire style manager to edit the wire styles.

Related topics:

Numbering settings

Number new wires

Edit wire mark


Edit wire mark

Contextual menu of wire: Edit wire mark

This option can be run on individual or multiple wires.

The command opens a dialog box letting you modify wire numbering.

The dialog indicates whether numbers were generated automatically or manually. The left side of the dialog box displays the equipotential numbers, and the right side shows the wire numbers.

1. Edit the text in the New column to change the numbering.

If the number you enter already exists in the project, a warning message will appear.

Related topics:

Numbering settings

Number new wires

Renumber wires


Renumber marks

If modifications are made to the mark settings in the project configuration, the marks for existing elements in the project must be updated (Such as components or locations).

Menu: Process > Renumber marks

Selection

Whole project: Handles all of the project elements.

Current book: Handles only elements contained in the current book (book associated with the current scheme).

Renumbering mode

Update marks: Lets you renumber the elements selected in the list in the Elements section, after modification of the marking formula. The order number is maintained and the manual marks are also maintained.

Recalculate order numbers: Lets you renumber the elements selected in the list in the Elements section. The order numbers are recalculated in relation to their position in the drawings and if you check Recalculate manual marks, the manual marks are also renumbered.

Elements

Check the boxes for the elements to be processed by the renumbering command.

Click the Mark configuration... button to access the mark settings.

Related topics:

Mark settings


Propagate data to connected objects

This feature allows you to propagate data through connected objects, for example if you want to assign a channel address of a PLC to the number of the wire connected to this channel. The first step is to select the source of the data. This can be the whole project, a part of project or object selected in a drawing. The second step consists to create a propagation rule and the last step is to select the objects to update.

Menu: Process > Propagate data to connected objects

Selection

Whole project: Propagates the data on all the objects of the project.

Current book: Propagates the data only on the objects of the current book (the book associated with the current scheme).

Current folder: Propagates the data only on the objects of the current folder (the folder associated with the current scheme).

Current scheme: Propagates the data only on the objects of the current scheme.

Objects selected in the scheme: Propagates the data only on the objects selected in the current scheme.

Choose schemes: Opens the scheme selector to select schemes to process. Only objects within these schemes will be processed.

Information to propagate

Add propagation: Allows you to create a new propagation rule.

Delete: Deletes the selected propagation rule.

When you create a new propagation rule, a new line is added in the table. Select the values in the different columns to create the rule. To organize the rule chronology, use the Up and Down icons to manage the order in which the rules will be processed. A check box lets you to activate or deactivate the propagation rule.

Copy from object: Select in the list, the object that you want to use to propagate the data.

Data to propagate: Select in the list, the data type you want to propagate. This data is specific to the selected object.

Destination object: Select in the list the object in which you want to propagate the previously selected data.

Destination data: Select in the list the data type in which the propagated data will be copied.

Update object properties

Even if the objects are automatically updated with the propagated data, it's necessary to activate the update check boxes to propagate the data using formula.


Update data

Where changes have been made to DesignSpark Electrical data, (symbols, manufacturer parts, etc.), it may be necessary to update project data to reflect the latest changes.

Menu: Process > Update data

This command automatically displays the update project data wizard.

Step 1. Update project data

Unlike other Wizards in DesignSpark Electrical, the command to update the data does not have an option to save/load configuration files. All the data are processed by default and the Finish button can be clicked to automatically update all the managed project data.

In order to selectively update project data, select the Next button.

Step 2. Selection

The second screen in the wizard lists the data that can be included in the update.

Where a data type has been selected for update but none is required, an alert will be shown.

Step 3. Manufacturer parts

State: The State column indicates the validity of the selected reference. Double clicking a State field displays a pop-up dialog with information relating to why the reference replacement is not valid.

The state field is for information purposes only; all references will be replaced regardless of whether the data is considered incompatible.

Manufacturer: Shows the manufacturer names located within the project.

Reference: Shows the project manufacturer part.

Existing instance: Indicates the number of instances located throughout the project.

Different instance: Indicates the number of instances to be updated.

Select: Check the boxes of the manufacturer parts to be included in the data update.

Step 4. Cable references

State: The State column indicates the validity of the selected reference. Double clicking a State field displays a pop-up dialog with information relating to why the reference replacement is not valid.

The state field is for information purposes only; all references will be replaced regardless of whether the data is considered incompatible.

Manufacturer: Shows the manufacturer names located within the project.

Reference: Shows the project reference.

Existing instance: Indicates the number of instances located throughout the project.

Different instance: Indicates the number of instances to be updated.

Select: Check the boxes of the reference to be included in the data update.

Step 5. Symbols

State: The State column indicates the validity of the selected symbol. Double clicking a State field displays a pop-up dialog with information relating to why the symbol replacement is not valid.

The State field is for information purposes only; all symbols will be replaced regardless of whether the data is considered incompatible.

Name: Shows the symbol names located within the project.

Existing instance: Indicates the number of instances located throughout the project.

Different instance: Indicates the number of instances to be updated.

Select: Check the boxes of the symbols to be included in the data update.

The previews on the right of the dialog show the current/existing symbol and the symbol it will be updated by.

Step 6. Title blocks

State: The State column indicates the validity of the selected title block. Double clicking a State field displays a pop-up dialog with information relating to why the title block replacement is not valid.

The State field is for information purposes only; all title blocks will be replaced regardless of whether the data is considered incompatible.

Name: Shows the title block names located within the project.

Existing instance: Indicates the number of instances located throughout the project.

Different instance: Indicates the number of instances to be updated.

Select: Check the boxes of the title blocks to be included in the data update.

The previews on the right of the dialog show the current/existing title block and the title block it will be replaced by.

Step 7. Update project data

Selecting the Finish button will update the project drawings and database with the items that have been selected for updating.

Attention: this command cannot be reversed. It is recommended that the project is archived prior to running the command if the user is unsure about any aspect of the data to be updated.

Related topics:

Manufacturer parts catalog

Cables catalog

Managing symbols

Managing title blocks


Translate project texts

DesignSpark Electrical lets you input data in several languages. All these translations can be reviewed in a single interface.

Menu: Process > Translate

Dockable panel > Contextual menu of project: Translate

A dialog box opens, letting you enter or modify the translations for different component properties and multilingual texts within the project.

Click on the corresponding text to edit the translation.

Export/Import: Manages the translation in another application (Excel, Access, SQLite formats). Only one occurrence of the text is exported.

In the Language selector dialog box, select the base language for the translation. A message box opens asking you if you want to open the file.

Don't modify the file structure, otherwise you cannot import your translations.

Add/Remove languages: Allows to select the languages you want to use and translate in your project. The Language selector dialog box opens, check the boxes corresponding to the languages. Only the languages that are not present in the project are displayed. If you remove an existing language, a message box opens asking you to confirm your choice.

Delete translations: For the selected text, deletes all the translations except the main language used in the project properties.

Find/Replace: Allows you to s earch for and replace text.

You can enter text in the filter zone. The list will then only display text with the entered character string.

Configuration: Allows you to manage the display settings for items in the dialog box.

Hide empty texts: Hides the empty texts in the main language.

Hide already translated texts: Hides the texts that are already translated in all languages.

Related topics:

Language configuration

User data


Find/Replace text

Project translation: Find/Replace

This command lets you search and/or replace a translatable text in the project.

Language: Select the language in which you wish to launch the search.

Find what: Enter the text to be searched and click the Find next button. The line where the text is found is selected. If you click the Find next button again, DesignSpark Electrical will search for another occurrence of the text in the remainder of the list.

Replace: Enter the text to be inserted in place of the text searched. Click the Replace button to replace the first occurrence of the text found. Click the Replace all button if you wish to replace all occurrences of the text searched.

Match case: This option performs the search taking into account upper and lower case letters.

Begin with: This option searches for occurrences of text starting with the text entered.

Whole word: This option searches for occurrences of text in which the entered word is present and surrounded by a space.

Find next: Launches a search in the list for the next occurrences of the text searched.

Replace: Launches replacement of the first occurrence of the existing text with the text entered.

Replace all: Launches replacement of all occurrences of the existing text with the text entered.


Language selector

The Language selector dialog box has a multiple usage. It is used in the managers to select the language in the Description field and it is used in the project translation to select languages in various features.

Symbols manager > Symbol properties: Description

Title blocks manager > Title block properties: Description

Cable references manager > Cable properties: Description

Manufacturer parts manager > Manufacturer part properties: Description

In the managers, the Language selector dialog box allows you to select the languages you want to manage in the element description. The selected languages are automatically added in the element properties.

Translation dialog box: Add

In the Translation dialog box, the Language selector dialog box can have two appearances: with check boxes when you must select one or more languages or without check box if you must select only one language.


Revisions

Only books, cover pages and drawings are assigned revision numbers. Revision numbers are managed individually, rather than on a project level. Revision numbers are formatted according to the project configuration parameters.

You can set the revision index during drawing creation.

Contextual menu of book: Revisions

Contextual menu of drawing: Revisions

The revision index is managed in three steps. The first is the index creation, in the second step the index is validated and then the index is verified.

When a revision index is managed on a book, you can propagate this index to all the drawings within this book.

New revision: Creates a new revision index. The current revision must first be validated before creating a new revision.

Validate: Inputs the "Validated" status to the last revision index. This records the date and user name with which the revision was validated.

Verify: Inputs the "Verified" status to the last revision index. This records the date and user name with which the revision was verified.

Remove validation: Removes the last statues to the last revision index.

Delete: Deletes the last revision index.

Properties: Edit: Opens the revision properties dialog box to edit data associated with the revision index.

The Customize... button lets you access user data parameters specifically related to revision indexes.

After a new revision index creation, different dialog boxes open to let you to print the book documents, to export the book documents to PDF file and to create a snapshot.


Revision properties

Contextual menu of book: Revisions > Properties

Contextual menu of drawing: Revisions > Properties

The dialog box lists the revision index properties.

Only the user name and the user data can be changed.


Reports and design rules managers

Reports

A report is a list which is useful for production or manufacturing (such as list of equipment or cables).

Menu: Project > Reports

Dockable panel > Contextual menu of project: Project > Reports manager

Reports retrieve data stored in the project database. The data can be generated in the form of drawings or exported to different file formats such as Excel or text files. that can be accessed outside DesignSpark Electrical.

The reports are based on report configurations that provide layout and formatting data.

The Reports manager allows you to manage the reports you wish to use in the project. The left-hand side of the dialog box displays the list of report configurations used in the project. The right-hand side displays the results of the selected report.

Add: Allows you to add a new report configuration in the project.

Delete: Deletes the selected reports.

Schedule: Allows you to manage the order in which the reports will be generated.

Update: Updates data of reports when the software is used in Client/Server mode (data can be modified by another user).

Generate drawings: Generates or updates the report drawings.

Excel export: Exports to a Microsoft Excel file the project data using the report configurations.

Txt export: Exports to a text file the project data using the report configurations.

XML export: Exports to an XML file the project data using the report configurations.

Using links

The report preview can include links to navigate to the project elements, such as symbols, location properties or manufacturer parts. A link is materialized by an underline blue text. To use the links, click the text (default link) or use the contextual menu to select the element (if several objects are associated to the object).

To create links in the reports, use the Go To setting in the Report configuration.

The action done when you click the link, depends on the linked object.

Object

Action

Document

Goes to the drawing

Component

Shows the component in the dockable panel (component tab).

Shows all symbols associated with the component (goes to the symbol in the drawings), including 2D footprint.

Circuit

Shows the symbols associated to that circuit.

Symbol

Goes to the symbol in drawing, zooming around it.

Cable

Shows the line diagram where the cable is reserved (Goes to the first component connected to the cable).

Shows the cable core in the scheme drawing (Goes to the first component connected to the cable core).

Equipotential

Shows the equipotential in the scheme drawing.

Wire/Cable core

Shows the wire in the scheme drawing (Goes to the first component connected to the wire).

Manufacturer part

Shows the symbol associated to this reference and goes to this symbol (2D footprint, wiring label, 3D component).

Location

Opens the location properties dialog box.

Function

Opens the function properties dialog box.


Add report

Reports manager: Add

Adds or removes report configurations in the project.

The top part of the dialog box displays a series of filters to make it easier to search for report configurations.

Check the boxes for the report configurations you want to use and click the OK button.

The reports manager updates and displays a preview of the extracted data.

Related topics:

Reports manager

Scheduling reports

Generate report drawings

Excel export

TXT export

XML export


Schedule reports

Reports manager: Schedule

Manages the order in which reports are launched.

Use the Down and Up icons to manage the order in which reports are launched.

The reports are generated in the order they are placed in the list.

Related topics:

Reports manager

Add reports

Generate report drawings

Excel export

Txt export

XML export


Generate report drawings

This command lets you generate or update report drawings.

Reports manager: Generate drawings

The reports are generated at the book level. If the project contains folders, click the [...] button on the right side of the report and select the preferred destination folder (Multi-selection is available).

Check the boxes next to the reports you want to generate and click on OK to create the reports.

Contextual menu of book or folder: Draw reports here

Select configurations... : Opens a dialog to manage which reports will be generated as drawings.

All reports of the project: Generates all project reports as drawings.

Update selected reports: This option is active when the book or folder already contains reports. Use this option to update these drawings.

Related topics:

Reports manager

Add reports

Scheduling reports

Excel export

Txt export

XML export


Excel export

Reports manager: Excel export

Exports the project data to an Excel file using the report configurations.

First, a wizard asks you to select the reports you wish to export.

Step 1. Excel Export

Export all reports: Select this to export all project reports. Otherwise, use the list to select the reports you want to export.

Step 2

One sheet by break: Creates one drawing by break as defined in the report.

Add created file to project: When this option is activated, the XLS files are created in the project storage directory and added to the project as data files (or updated if they already exist). If not activated, the text files are generated in the defined directory.

Target folder: Enter the target directory for the files. Click on the [...] button. If you activated the Add created files to project option, you must select a folder or book in the project. If not, you will be asked to select a directory.

Open file: Opens the file generated in the application associated with XLS files.

Step 3. Finish

Click on Finish to begin generating the Excel files.

Exported XLS files, if they are in the project documents, are automatically updated when you run some commands, such as printing, exporting to PDF files, or new revision creation. They can also be updated using the Update exported report in their contextual menu.

Related topics:

Reports manager

Add report

Scheduling reports

Generate report drawings

TXT export

XML export


TXT Export

Reports manager: TXT export

Generates data in the form of TXT files.

Add created files to project: Creates TXT files in the storage directory for the project and adds them to the project as data files (or updates them if they already exist). If this option is not activated, the TXT files are generated in your defined directory.

Target folder: Enter the target folder for the files. Click on the [...] button. If the Add created files to project option is activated, you must select a folder or a book in the project. If not, you will be asked to select a directory on your disk.

Export all reports: Select this to export all project reports. You can also select the reports you want to export in the list.

Include column header the first row: Generates the names of the database fields on the first line of the file.

Text identifier, Text separator and File type are text formatting parameters. They should be selected according to the requirements of the software into which the files will be imported.

Check the Open file box to open the generated files after creation.

Exported TXT files, if they are in the project documents, are automatically updated when you run some commands, such as printing, exporting to PDF files, or new revision creation. They can also be updated using the Update exported report in their contextual menu.

Related topics:

Reports manager

Add report

Scheduling reports

Generate report drawings

Excel export

XML export


XML Export

Reports manager: XML export

XML Export lets you generate data in the form of text files.

Add created files to project: Creates XML files in the storage directory for the project and adds them to the project as data files (or updates them if they already exist). If this option is not activated, the XML files are generated in your defined directory.

Target folder: Enter the target folder for the files. Click on the [...] button. If the Add created files to project option is activated, you must select a folder or a book in the project. If not, you will be asked to select a directory on your disk.

Export all reports: Select this to export all project reports. You can also select the reports you want to export in the list.

Open file: Opens the generated file in the application associated with XML files.

Exported XML files, if they are in the project documents, are automatically updated when you run some commands, such as printing, exporting to PDF files, or new revision creation. They can also be updated using the Update exported report in their contextual menu.

Related topics:

Reports manager

Add report

Scheduling reports

Generate report drawings

Excel export


Add to basket

To help you to manage material quotation, a specific report configuration allows you to export material list to Excel, TXT or XML file.

Menu: Process > Add to basket

You can export the material list for each location or for the project. Select the location for which you want to export the material list.

Select all: Select all the project locations.

Excel export: Exports the list to an Excel file.

Txt export: Exports the list to a TXT file.

XML export: Exports the list to an XML file.

Update product details: Updates the Price and Stock status columns of the manufacturer parts from the Web service.

The Add to basket command uses the report features to export data in Excel, TXT or XML files (Refer to these chapters for more information).


Verify project

During the DesignSpark Electrical used, it is possible that the software generates wrong data, such as a drawing assigned to a folder that does not exist or a component assigned to a location that has been deleted. The Verify project feature does not check the electrical design errors.

To fix the database errors, you can used the Verify project feature.

Menu: Tools > Verify project

Before to use this feature, it is recommended to archive the project.

Into the drawings, inconsistent entities are corrected or removed. The errors on the drawing files are automatically fixed.

At the end of the process, a dialog box opens displaying the result of the correction operations. It is recommended that you check the corrections to adapt the project as you want (moved drawings, deleted wires or components...).


Print Manager

Menu: Project > Print

Dockable panel > Contextual menu of Project: Print

Dockable panel > Contextual menu of book: Print

When you run this command from the contextual menu of the book, only the drawings of that book are selected for printing.

Print settings can be saved to a configuration file for future use. You can create as many configuration files as you like.

Print preview: Opens a print preview window for the selected drawing.

Remove from selection: Removes the selected drawing from the selection.

Print several configurations: Prints drawings using several different configurations.

List mode: Displays a list of drawings.

Thumbnail mode: Displays thumbnail previews for the drawings.

Configuration: Manages display settings for items in the dialog box.

Print configuration

Allows to select a previously created print configuration file to load preferred print settings. Click the [...] button to access the print configuration file manager.

Page settings

Defines the printer and page size. The Properties button lets you access printer settings.

Export PDF files

Check this box to generate the selected drawings in PDF format.

Orientation

Defines the page orientation.

Drawings

Allows you to access a dialog box letting you select the drawings to be printed.

Copies

Defines the number of copies to be printed and the assembly mode.

Scale

Allows to select a preferred scaling factor (the Fit to format option is recommended).

Plot with style

Allows you to select a plot style. All colors used in DesignSpark Electrical can have a print color and line thickness. It lets you use a plot style to set colors and thicknesses to be used while printing. If no style changes are made, the same colors used in the program will be applied. The grayscale style will print in monochrome.

If you have several different configurations for printing project drawings, select the configuration file from the list. Next, select the drawings to print with this configuration. Repeat this operation as needed with other configuration files. Click the Print several configurations icon and check the configurations you want to print with.

Related topics:

Manage print configuration files

PDF export


Manage print configuration files

Print manager: Print configuration > [...]

Manages the print configuration files. These files contain the print parameters and drawing selection sets.

Use the buttons on the right to create, copy or delete configuration files.

Related topics:

Print manager


Drawing export

The drawings can be exported in either DWG or PDF formats.

All exported drawings will not be reinstated to DesignSpark Electrical as drawings but as data files.

  • Export DWG files

  • Export PDF files


Export DWG files

All drawings created in DesignSpark Electrical are stored in the EWG format. They can be exported to a range of DWG/DXF versions, allowing data to be shared for example between other companies even if they do not own DesignSpark Electrical.

EWG names are automatically generated by DesignSpark Electrical and do not relate to the names of the project drawings. Never rename the EWG files within the project directory. This will cause the DesignSpark Electrical file integrity to be lost.

Menu: Import/Export > Export DWG files

A dialog box opens, letting you select a directory for the DWG files.

The drawings are exported in a tree structure that reflects the way the project is structured, just as they are shown in the dockable panel.

Folders and files

Base folder path: Lets you select the folder / directory drawings you want to export.

Formula for folder name: Formats the name of the main folder / directory with the formula manager.

Formula for file name: Formats the name of the generated files with the formula manager.

Open folder after exporting: When this option is selected, the file explorer opens in the defined base folder / directory at the end of the export process.

Export all drawings to a single file: Groups all drawings selected for export into one file. Each drawing is placed in a DWG presentation mode (Paper space).

Format and version

Select the format of the generated files (DXF or DWG) and the file version.

Drawings to export

Select the drawings to export. The [...] button opens the drawing selector and the All option selects all drawings of the project.

Drawing style: The Drawing style button allows you to change the settings of texts and color objects. If you did not assign a Drawing style configuration file to the project, a message informs you.

Related topics:

PDF export

Data files


Export PDF files

Generate drawings for the project in Acrobat (PDF) format.

Menu: Import/Export > Export PDF files

Dockable panel > Contextual menu of project: Export PDF files

Dockable panel > Contextual menu of book: Export PDF files

When you run this command from the contextual menu of a book, only the drawings that belong to this book are selected for export.

Exporting in PDF format uses an internal program and it is not necessary to install a PDF printer as PDF Creator or other.

The PDF export function uses the print manager.

First, select the directory to which the PDF file is to be saved. Consult the Print Manager chapter to see how to use this dialog box.

Create bookmarks and hyperlinks: Creates navigation links in the pages within the PDF file. You can also create a list of bookmarks using the content in the Documents and Components tabs in the dockable panel. The Reports can also integrate links if they are managed in the report configurations.

Export one PDF per book: If the project has several books, select this option to open a file explorer in the file creation directory at the end of the export. If the project only has one book, the PDF file is opened at the end of the export.

Related topics:

Print manager


Manage Data

DesignSpark Electrical is constantly connected to the database. Certain data are specific to the current project, other data are specific to the application, such as the manufacturer Catalogs or the Library manager.

Project data are updated automatically while creating schematics and during use of the different processes.

The application data (libraries or catalogs) is used to create schematic designs. It is also used to add project data.

Modifying these data outside DesignSpark Electrical using different database editing software is not recommended. DesignSpark Electrical has tools that add information to databases (such as data import or symbol creation). Each new version of DesignSpark Electrical may contain new data which are automatically added to the existing data.

  • Search manager

  • Data installation

  • Library manager

  • Graphical data

  • Catalogs


Search manager

Menu: Tools > Search

This command allows you to search for specific project elements, such as components or drawings.

When you run this command, a dialog box opens.

Object type to search: Check the box corresponding to the elements you want to find.

Mark: Enter the mark of the element you want to find.

Description: Enter the description of the element you want to find.

1. Click the Search button to launch the search.

The list of marks corresponding to the search criteria that you have entered displays in the center part of the dialog box.

The right part of the dialog box shows a preview zone for the selected element.

Opens the drawing of the selected element.

Allows you to find the component in the list of components in the dockable panel.

Opens the Properties dialog box of the selected element.

A contextual menu on the element lets you either view it in the component tree, or open the drawing where the element is found.


Data installation

Running a complete install or a reinstallation creates a temporary directory called UPDATE where all libraries, manufacturer catalogs, report configurations, configuration files will be placed. The user can then choose how data will be updated.

On launching DesignSpark Electrical, as long as the temporary UPDATE folder exists, a wizard will be displayed to help the user manage the data update process.

If the update is canceled, the next time DesignSpark Electrical is launched, the option will automatically be displayed.

Data type selection

The second screen in the wizard allows you to select the type of data that are to be updated.

Check the data types you want to include in the update process.

It is strongly recommended that all data types are selected the first time.

Click Next to continue, or uncheck any data types that should be excluded from the update process.

The update wizard compares the current data against the latest installation data.

Select the action to be taken for each data type.

Action definition

The Shift - Ctrl - Ctrl+A... keys can be employed to make multiple selections of the listed data.

Add: This data does not exist in the current installation and will be added.

Replace: The existing data will be overwritten with the latest version.

Do nothing: The new data will not be installed and the existing information will be retained.

Keep both: The existing information will be retained and the new information installed with a new name.

Update: This option relates only to manufacturer catalogs (cables and materials). The catalog references will be automatically updated.

A default action type will be suggested; this is defined based on the following rules.

- New data will be added.

- If existing data has been modified it will automatically be marked as do nothing.

- If data exists and has not been changed by the user but any new files have been marked as updated by the software publisher, it will be marked as to be replaced.

- Catalogs of cables and equipment are always marked as to be updated.

Data types

Symbols - title blocks: The assistant displays the element names, descriptions, modification date, and the name of the user that created/modified the current elements. Where users want to retain an existing element and install the latest version of the same elements, a different name should be assigned to the new element.

Cables and manufacturer catalogs: The catalogs are managed in their entirety (all of the manufacturer catalog references). When a reference is not present, it is automatically added. When a reference exists and has been modified by the user, the new reference is not installed. When the reference exists, has not been modified by the user, but has been updated by the software publisher, the new reference is automatically installed, overwriting the existing reference.

Project templates: Only new models and models that have been modified by the software publisher (different modification dates), are installed. Models created by the user are retained.

Configuration files: Only new configuration files and those that have been modified by the publisher (different modification dates) are installed. Configuration files created by the user are retained.

Palettes: Only new palettes and those that have been changed by the software publisher (different modification dates) are installed. Palettes created by the user are retained.

Launch data installation

The last tab of the wizard shows a summary of the data types to be managed.

Click the Finish button to launch the install. This process can take some time depending on the amount of data that is to be processed.

On completion of the setup process, the UPDATE directory will be automatically removed.

Related topics:

Installation


Libraries properties

Libraries manager

Menu: Library > Libraries manager

The Libraries manager allows you to manage all of the application's libraries. It is not specific to the current project.

New: Allows you to add a new library.

Delete: Select the library you want to delete in the list and click the Delete icon. Only the library is deleted. Its contents (such as symbols, title blocks, and references) is not deleted.

Properties: Allows you to edit the characteristics of a library, its name, description, and the type of objects it contains.

Configuration: Allows you to manage the display settings for items in the dialog box.

Related topics:

Library properties

Libraries

Library configurations


Library properties

Libraries manager: Properties

Libraries manager: New

Opens the selected library properties dialog box to name the library, apply a description, and assigns it to a library type.

Enter the name and description for the library, then select options corresponding to the type of objects the library contains.

Related topics:

Libraries manager


Graphic Data

Graphic data is stored in libraries that are grouped in the Manager. Graphic data managers (such as symbols manager) allow the editing of existing elements and the addition of new data.

These managers have common features, such as importing DWG files or the ability to archive/unarchive files.

  • Graphical commands

  • Multiple attribute

  • Managers configuration

  • Class selector

  • Import DWG file

  • Archive / Unarchive

  • Title Blocks manager

  • Symbols manager

  • Macros manager


Graphical commands

There are five groups of commands:

  • The commands to manage files

  • The commands to create graphical entities

  • The dimension commands

  • The commands to edit graphical entities

  • The managers

Related topics:

Title blocks

Symbols

2D footprints


File management commands

The file management commands allow you to manage external files and DesignSpark Electrical files.

  • New

  • Open

  • Save as

  • Close

  • Print

  • Page setup

  • Print preview

  • Quit

  • Save


New

Menu: File > New

Creates a new DWG file and opens it in a new tab in the graphics area.


Open

Menu: File > Open

Opens a dialog box for selecting an existing DWG file.

When opened, the file appears on a new tab in the graphics area.


Page setup

Menu: File > Page setup

Launches the Print Setup dialog box for setting the print parameters of the active DWG file or DesignSpark Electrical file.

Printer

Name: Select the printer you want to use. Click the Properties button if you want to access to the Windows printer parameters.

State: Displays the state of the printer selected.

Type: Displays the printer type (this information comes from the printer parameters).

Placement: Displays the port in which the printer is connected.

Comment: Displays the comment associated to the printer (this information comes from the printer parameters).

Paper

Size: In the list, select the pre-defined paper format managed by the printer.

Source: In the list, select the paper source to use.

Inches/mm: Select the unit used to manage the printed file.

Print area: Displays the dimensions of the print area in the units selected.

Plot offset

Center plot: Check the box to center on the printed page.

X: Enter the horizontal offset value.

Y: Enter the vertical offset value.

Page orientation

Portrait/Landscape: Select the page orientation.

Plot with vertical symmetry: Check the box if you want to print the graphical entities with symmetry.

Plot scale

In the list, select a pre-defined scale ratios or type a specific ratio (Unit printed = File unit). The setting Adjust to format scales the graphical entities to fit into the selected paper size.

Plot area

Select one of these options:

Display: Entities are printed like they appear on screen.

Extent: All file entities are printed in the page defined in the Paper section.

Limits: All entities included in the file limits are printed.

Plot style table

Each screen color used on the graphical entities corresponds to a color and a thickness on the paper. If you do not use a Plot style table, the screen colors and line thickness will be the same on the paper.

You can define a personal correspondence using plot style tables.

In the list, select the plot style table you want to use.

You can edit the plot style table selected by clicking Modify plot style table file. A dialog box opens in which you can associate each screen color, a printed color and thickness.

In the plot style table list, if you select None, you can check the box Plot with line thickness, where the colors and line thicknesses will be the same on the screen and on the paper.

Network: Allows you to access a network printer.

Preview: Displays the graphical entities as they appear after being printed on the page.


Print preview

Menu: File > Print preview

Displays the image of the active DWG file or DesignSpark Electrical file using the options set with page setup.

You can use Print preview on a DWG file or a DesignSpark Electrical drawing.

Print: Prints the current file.

Pages: Not yet implemented.

Zoom: Selects the page display zoom.

Number of pages: Lets you display one or several pages.

Parameters: Opens the page setup to modify the print parameters.

Close preview: Quits the preview window without printing the file.


Print

Menu: File > Print

Prints the active DWG file or DesignSpark Electrical file.

The print setup dialog box opens to adjust the print parameters.

When you click OK, the file is sent to the printer.


Save

Menu: File > Save

Saves the active document.

If the current file is a DWG file and if the file has never been saved, a dialog box opens to save the active document with a new name, a new file format, or in a new folder.

If the current file is a DesignSpark Electrical drawing, it is not necessary to use the Save command. The file will be automatically saved when you close it.


Save as

Menu: File > Save as

Saves the active document with a new name, a new file format, or in a new folder.

Do not use Save as (File menu) for DesignSpark Electrical drawings.


Close

Menu: File > Close

Closes the active document.

Note: You can click Close in the top right corner of either the File menu or the graphics area.

If you open and modify a DWG file and then click Close, the Save to... dialog box will ask if you want to save the file before closing it.

When closing DesignSpark Electrical drawings, the application automatically saves the documents before closing.


Quit

Menu: File > Quit

Exits the software.

If you open and modify DWG files and then click Quit, the Save as... dialog box will ask if you want to save each open file before exiting.

If you open and modify DesignSpark Electrical drawings and then click Quit, the application automatically will save the documents before exiting.


Drawing parameters

The Drawing parameters dialog box groups all settings specific to the current file. This can be a DWG file or a schematic drawing.

Menu: View > Drawing options

Right-click the status bar

Object snap-on modes

Each graphical entity has specific points which can be used to edit or to place other entities. For example, a line has two endpoints and a midpoint, a circle has its center and four quadrant points.

The green icon represents the marker form of each mode.

Select the modes to use in the list.

Activate object snap-on: Activates or deactivates the use of specific points. You can also click OSNAP on the status bar or press F11.

Drawing

You can turn parameters such as Ortho and Grid on or off by clicking them in the status bar or using keyboard shortcuts.

Snap On (F9): Makes your cursor snaps to the preferred location and must not be confused with the grid settings.

Grid On (F7): Shows or hides the grid in the drawing.

Ortho On (F8): Turns the ortho trap on or off; this fixes pointer movement on the X or Y axis.

Line Weight Active (F10): Turns the line weight on or off; this shows or hides the various line thicknesses.

Show wipeout frames: Shows or hides the wipeout outlines.

Snap spacing: Defines the space between two virtual snap points.

Grid spacing: Defines the space between two grid points.

Line type scale: Lets you modify the line aspect based on the units used in the current file. Only complex line types (such as axes and discontinuous) are impacted by this parameter. A scale factor is used on them to enlarge or reduce spaces and lines.

Measurement system: Defines the unit system for measurement.

Grid zone: Defines the coordinates of the zone in which the grid is displayed. You can also click the button to graphically define this zone.


Draw commands

Using commands in the Creation group of the Draw menu, you can create 2D graphic entities.

The graphic placed with these commands are for graphical purposes only. As they are not managed by the project database, no data processing commands affect them.

You can use them for creation of title blocks, symbols, 2D footprints, and more. However, do not use drawing commands for generating electrical schematics.

  • Line

  • Polyline

  • Arc

  • Circle

  • Ellipse

  • Elliptical arc

  • Rectangle

  • Cloud

  • Hatch

  • Wipeout

  • Attach image

  • Insert image

  • Add text

  • Multiline text

  • Hyperlink

  • Attribute

  • Create block

  • Insert block


Line

Menu: Draw > Line

Creates a series of line segments in the currently active document.

Because line segments are not managed by the project database, do not use lines or line series for generating electrical schematics.

Each line segment has two movable end points. When creating a line, define its end points:

*either dynamically by clicking on the document,

*or manually by specifying the end coordinates.

After creating a series of lines, you can edit or move each line segment separately. When editing or moving a line, you can only dynamically reposition the line and its endpoints.

When a new line entity appears on the document, the dockable panel displays available options.

Ends the command.

Undoes the last action.

Keyboard inputs: Allows you to enter X and Y coordinates separated by a comma (Example: 150,125), a distance and an angle separate by "<" (Example: 150<45), or relative coordinates from the previous point (Example: @10,150).

Close: The last point of the last segment corresponds to the first point of the first segment and creates a closed area.


Polyline

Menu: Draw > Polyline

Draws a succession of line segments or arcs to define a polyline. The entire set of lines or arcs form one single entity. A polyline can have a specified thickness. The first point of the second entity corresponds to the second point of the first entity.

When a new polyline appears on the document, the dockable panel displays the available options.

Ends the command.

Undoes the last action.

Keyboard inputs: Allows you to enter X and Y coordinates separated by a comma (Example: 150,125), a distance and an angle separate by "<" (Example: 150<45), or relative coordinates from the previous point (Example: @10,150).

Line: Allows you to draw a line segment based on the last point of the last entity drawn.

Arc: Allows you to draw an arc based on the last point of the last entity drawn. Select the arc placement Options in the bottom of the panel.

Width: Allows you to set a specific thickness for the next entity. This thickness will be used on all of the next entities.

Close: The last point of the last entity corresponds to the first point of the first entity and creates a closed area.

This entity type should not be used to generate an electrical scheme. The graphical entities placed with this command are not managed in the project database.


Arc

Menu: Draw > Arc

Draws an arc.

For new arcs, define the position by specifying three points.

Ends the command.

Keyboard inputs: Allows you to enter X and Y coordinates separated by a comma (Example: 150,125), a distance and an angle separated by "<"(Example: 150<45), or relative coordinates from the previous point (Example: @10,150).

Options: Select the arc placement option in the bottom of the panel.

This entity type should not be used to generate an electrical scheme. The graphical entities placed with this command are not managed in the project database.


Circle

Menu: Draw > Circle

Draws a circle. To place a circle, define the center point and a point on the circumference.

When a new circle appears on the document, the dockable panel displays available options.

Ends the command.

Enter coordinates: Enter a value for the X and Y coordinates. These coordinates must be separated by a comma (Example: 150,125).

Radius: Enter the circle radius length or click a second point in the graphics area.

This entity type should not be used to generate an electrical scheme. The graphical entities placed with this command are not managed in the project database.


Ellipse

Menu: Draw > Ellipse

Draws an ellipse. To position an ellipse in the active document, define the center point, and both axes of the entity.

The dockable panel displays available options.

Ends the command.

Enter coordinates: Enter a value for the X and Y coordinates. The coordinates must be separated by a comma (Example: 150,125).

Distance: Enter the length of the first and the second ellipse axes.

This entity type should not be used to generate an electrical scheme. The graphical entities placed with this command are not managed in the project database.


Elliptical arc

Menu: Draw > Elliptical arc

To position an elliptical arc on the active document, define the center-point, both axes of the ellipse, and the two end-points of the arc.

The dockable panel displays available options.

Ends the command.

Enter coordinates: Enter a value for the X and Y coordinates. These two coordinates must be separated by a comma (Example: 150,125).

Distance: Enter the length of the first and second ellipse axes.

This entity type should not be used to generate an electrical scheme. The graphical entities placed with this command are not managed in the project database.


Rectangle

Menu: Draw > Rectangle

Draws a rectangle.

To position a rectangle on the active document, define the length of the diagonal dimension, or specify its length and width on the dockable panel.

Ends the command.

Enter coordinates: Enter a value for the X and Y coordinates. These two coordinates must be separated by a comma (Example: 150,125).

Dimension: Enter the values corresponding to its length and width.

Rotation: Enter the value corresponding to the angle (in degrees).

This entity type should not be used to generate an electrical scheme. The graphical entities placed with this command are not managed in the project database.


Cloud

Menu: Draw > Cloud

Draws a specific form that consist of sequential arcs. For example, they are used to call attention on a graphical representation during a revision step. Use multilingual texts to comment the revision cloud.

Three different forms can be used to represent the cloud; rectangular, elliptical or freehand. These forms can be directly selected in the ribbon, or in the dockable panel during the insertion.

Ends the command.

Undoes the last action.

Shape: Select the form you want to use. The command options are different depending the form you choice.

Enter coordinates: Enter a value for the X and Y coordinates. These two coordinates must be separated by a comma (Example: 150,125).

Cloud radius: Specify the radius of the sequential arc segments.

Specific options to the Rectangular mode

Dimension: Enter the values corresponding to its length and width (Available only in Rectangular mode).

Rotation: Enter the value corresponding to the angle, in degrees (Available only in Rectangular mode).

Specific options to the Elliptical mode

Distance: Enter the length of the first and the second ellipse axes (Available only in Elliptical mode).

Specific options to the freehand mode

Arc / Line: Select the entity type you want to draw. The Arc mode displays other placement option in the bottom of the dockable panel.

Width: Enter the line/arc width.

Close: Closes the form. The end point has the same coordinates that the start point.

This entity type should not be used to generate an electrical scheme. The graphical entities placed with this command are not managed in the project database.


Hatch

Menu: Draw > Hatch

Opens the Hatches dialog box to provide options for filling the area between or inside drawing entities with selected hatch patterns.

You can select the entities in the document that define the hatch area before clicking Hatch. Or, you can select the entities after clicking Select objects in the Hatches dialog box.

Select objects: Lets you select the objects materializing the area outline to be hatched.

Type: Select a Pre-defined pattern or Defined by the user.

Pattern: This option is available only if Pre-defined is selected. Select the pattern type.

Color: Select the pattern color.

Angle: Select the pattern angle.

Scale: This option is available only if Pre-defined is selected. Select the pattern scale.

Spacing: This option is available only if Defined by the user is selected. Enter the distance between two lines.

Double: This option is available only if Defined by the user is selected. Select if you want to add perpendicular hatches.

When you click OK, the hatches are automatically generated.

You should not use this entity type to generate an electrical scheme. The graphical entities placed with this command are not managed in the project database.


Wipeout

Menu: Draw > Wipeout

Defines a multilateral area that covers, or hides other entities.

To position a wipeout, define a starting point, and then define each subsequent point of the shape.

Ends the command.

Returns to the previous interface.

Undoes the last action.

Click the zone vertex in the graphics area or enter the coordinates. Graphical elements placed behind this zone are hidden (not deleted). Use the command Order (in the Modify menu) to manage the entities position relative to the wipeout.

Enter coordinates: Enter a value for the X and Y coordinates. These coordinates must be separated by a comma (Example: 150,125).


Attach image

Menu: Draw > Attach image

Opens the first of a series of dialog boxes for linking images stored on the workstation to the active document. Once attached, previews of linked images appear in the document.

A dialog box opens lets you to manage the attached images.

Attach: Allows you to attach an image file. After selecting the file, a dialog box opens to define insertion parameters.

Remove: Deletes a selected image file reference from the list and removes the preview image from the active document.

To archive projects with attached images, add the attached image files to the project using the data files command.


Insert image

Menu: Draw > Insert image

Opens the first of a series of dialog boxes for inserting images stored on the workstation into the document. Inserted images become part of the document file.

Insertion point: Sets the coordinates of the insertion point. Select Specify later to set the insertion point when you insert the image in the graphics area.

Scale: Sets the scale factor. Select Specify later to set the scale factor when you insert the image in the graphics area.

Rotation: Sets the rotation angle. Select Specify later to set the rotation angle when you insert the image in the graphics area.


Add text

Menu: Draw > Add text

Opens the Create text dialog box for inserting a single line of text into the document.

Text: Enter the text string to insert in the current file. The text must not be empty.

Text option

Justify: Defines the text justification.

Text style: Defines the text style. Click Text style manager to access the text style definition.

Rotation: Sets the rotation angle. Select Specify later to set the rotation angle when you insert text in the graphics area.

Height: Sets the text height. Select Specify later to set the text height when you insert text in the graphics area.

Oblique angle: Defines the angle value (in degrees) for oblique text.

Width factor: Maintains the text height if you enlarge the text.

Upside down: Inserts the text with a vertical mirror.

Backward: Inserts the text with an horizontal mirror.

Insertion point

Sets the text coordinates. Select Specify later to set the insertion point when you insert text in the graphics area.

Note: Unlike text added to a document with the multilingual text insertion command, text added with Add text (Draw menu) does not appear in the project database.


Multiline text

Menu: Draw > Multiline text

Opens a dialog box to insert a multiline block of text.

The text style currently selected in the Text style manager of the Tools menu controls the appearance of multiline text.

A dialog box opens to enter the text.

Note: Unlike text added to a documents with the multilingual text insertion command, text added with Multiline text (Draw menu) does not appear in the project database.


Attribute

Menu: Draw > Attribute

Opens a dialog box for creating an attribute. Generally, attributes let you add different text each time you insert a block.

A dialog box lets you create the attribute.

Attribute

Name: The attribute name. The attribute name must be unique in a block definition.

Prompt: Displays the prompt message when you insert the block containing the attribute.

Value: Contains the default value of the attribute.

Mode

Hidden: Hides the attribute value when you insert the block.

Fixed: Applies a fixed value in the attribute when you insert the block.

Validate: Validates the value when you insert the block.

Predefined: Restores the default value when you insert the block.

Text option

Justify: Defines the attribute justification.

Text style: Defines the text style. Text style manager lets you access the text style definition.

Rotation: Sets the rotation angle. Select Specify later to set the rotation angle when you insert the attribute in the graphics area.

Height: Sets the attribute height. Select Specify later to set the attribute height when you insert the attribute in the graphics area.

Oblique angle: Defines the angle value (in degrees) for oblique text.

Width factor: Allows to enlarge the text without changing its height.

Upside down: Inserts the attribute with a vertical mirror.

Backward: Inserts the attribute with an horizontal mirror.

Insertion point

Sets the attribute coordinates. Select Specify later to set the insertion point when you insert the attribute in the graphics area.


Create block

Menu: Draw > Create block

Creates a named block or group of entities from the active document that you can re-insert into the document multiple times.

The named block appears in the block definition tables of only the active document. As a result, you can only use the blocks defined for the current file.

Ends the command.

Returns to the previous interface.

After selecting the block entities, a dialog box opens, where you can enter the blocks parameters.

Name: The block name. This name must be unique in the DWG file.

Selected objects

Keep as separate entities: Keeps selected entities separated. The entities are not converted to a block.

Convert to block: Converts the selected entities to a block.

Delete: Deletes the selected entities. You can re-insert them with the Insert Block command.

Base point

Enter the coordinates of the insertion point or select option Specify on screen (When you close the dialog box, you must click the insertion point in the graphics area).


Insert block

Menu: Draw > Insert block

Inserts a named block or group of entities into the document.

The control launches a dialog box sequence that lets you either to add blocks specified in the current block definition table or insert the block content of an external DWG file into the document.

If the blocks contain attributes, you can edit the attributes while inserting the blocks into the active document.

Browse: Lets you select a DWG file stored at your workstation. All entities included in this file are inserted.

Block name: If this option is activated, you must select the name of the block to insert.

Explode: Explodes the inserted block. All entities constituting the block are inserted separately.

Insertion point

Sets the coordinates of the insertion point. Select Specify later to set the insertion point when you insert the block in the graphics area.

Scale

Sets the scale factor. Select Specify later to set the scale factor when you insert the block in the graphics area. If you selected Explode, this setting is not available.

Rotation

Sets the rotation angle. Select Specify later to set the rotation angle when you insert the block in the graphics area.

You should not use the block insertion to generate an electrical scheme. The graphical entities placed with this command are not managed in the project database.


Dimension commands

Using commands in the Dimension group on the Draw menu, you can add dimensions to 2D layout drawings.

The dimension commands use dimension style settings that you can manage with the Dimension style manager.

  • Linear dimension

  • Aligned dimension

  • Diameter dimension

  • Radius dimension

  • Ordinate dimension

  • Angular dimension


Linear dimension

Menu: Draw > Linear dimension

Creates X-Y axis dimensions on parallel lines.

Ends the command.

Click the first point corresponding to the first extension line origin or enter the coordinates.

Click the second point corresponding to the second extension line origin or enter the coordinates.

Click the dimension line position.

Enter coordinates: Enter a value for the X and Y coordinates. These two coordinates must be separated by a comma (Example: 150,125).


Aligned dimension

Menu: Draw > Aligned dimension

Creates dimensions parallel to the line that connects the two selected origin points.

Ends the command.

Click the first point corresponding to the first extension line origin or enter the coordinates.

Click the second point corresponding to the second extension line origin or enter the coordinates.

Click the dimension line position.

Enter coordinates: Enter a value for the X and Y coordinates. These two coordinates must be separated by a comma (Example: 150,125).


Diameter dimension

Menu: Draw > Diameter dimension

Creates dimensions for the diameter of an arc or circle.

Ends the command.

Validates the selection.

Select a circle or an arc in the graphics area and specify the dimension position.


Radius dimension

Menu: Draw > Radius dimension

Creates dimensions for the radius of an arc or circle.

Ends the command.

Validates the selection.

Select a circle or an arc in the graphics area and specify the dimension line position.


Ordinate dimension

Menu: Draw > Ordinate dimension

Creates a dimension measuring the horizontal or vertical distance between two points.

Ends the command.

Define the two points measure and specify the dimension line position.

Enter coordinates: Enter a value for the X and Y coordinates. These two coordinates must be separated by a comma (Example: 150,125).


Angular dimension

Menu: Draw > Angular dimension

Creates angle dimensions.

Ends the command.

Validates the selection.

Select the two lines of the angle and specify the dimension line position.


Modification commands

Using commands in both the Edit and Changes groups of the Modify menu, you can manipulate a variety of existing entities.

Note: You can use Modify commands to change electrical entities. Be aware that these changes automatically update entity records of the project database in ways inconsistent with the design rules of electrical schematics. As a result, do not use all of the Modify commands to make changes to electrical entities.

  • Properties

  • Brush

  • Array

  • Erase

  • Move

  • Multiple copy

  • Offset

  • Rotate

  • Scale

  • Mirror

  • Fillet

  • Stretch

  • Trim

  • Extend

  • Align blocks

  • Distance

  • Purge

  • Explode

  • Layers

  • Multiple attribute

  • Edit attributes

  • Edit text

  • Edit hatch

  • Update dimension

  • Order - Set Foreground

  • Order - Set Background

  • Order - Move Below entity

  • Order - Move Above entity


Brush

Menu: Modify > Brush

Copies the properties of one entity to another entity.

When changing the Brush properties of an entity, or collection of entities, the dockable panel displays available options.

Ends the command.

Validates the selection.

Select a reference entity, then select the entities to which the copied properties will be applied.

Do not use the Brush command on the entities of an electrical scheme.


Erase

Menu: Modify > Erase

Deletes the selected entities.

When deleting entities, the dockable panel displays available options.

Ends the command.

Validates the selection.

Select the entities you want to delete and validate. You can also select the entities and press the [Del] key.

Note: Using this command on symbols, wires, and other electrical schematic entities automatically updates the project database.


Move

Menu: Modify > Move

Moves selected entities at specified distance and direction.

Ends the command.

Validates the selection.

Select the entities to move, then specify the base point coordinates (origin) and end point coordinates (destination).

Enter coordinates: Enter a value for the X and Y coordinates. These two coordinates must be separated by a comma (Example: 150,125).

Distance: You can enter a length for the movement. Use this syntax (Line length<Angle). Example: 100<45 moves selected entities to 100 units with an angle of 45°.

When this command is used on electrical entities (such as symbols and wires) the project database is automatically updated.


Multiple copy

Menu: Modify > Multiple copy

Creates multiple copies of selected entities.

When inserting multiple copies into the active document, the dockable panel displays available options.

Ends the command.

Validates the selection.

Select the items to copy, then specify the base point (origin) and end point (destination).

Enter coordinates: Enter a value for the X and Y coordinates. These coordinates must be separated by a comma. Example: 150,125.

Distance: You can enter a length for the copy. Use this syntax (Line length<Angle). Example: 100<45.

This example copies the selected entities to 100 units and with an angle of 45°.

Note: When you use this command on symbols, wires, and other electrical schematic entities, the project database is automatically updated.


Array

Menu: Modify > Array

Creates multiple copies of selected entities in horizontal and vertical patterns.

When adding an array, the dockable panel displays available options.

Ends the command.

Validates the selection.

Rows: Enter the number of rows (number of vertical copy) you want.

Columns: Enter the number of columns (number of horizontal copy) you want.

Objects selection: Click this button and select the entities you want to copy.

Rows offset: Enter the distance between each copied entity or click the button to graphically define this distance.

Columns offset: Enter the distance between each copied entity or click the button to graphically define this distance.

Note: Using this command on symbols, wires, and other electrical schematic entities, automatically updates the project database.


Rotate

Menu: Modify > Rotate

Modifies the orientation of entities around a base point.

Ends the command.

Validates the selection.

Select the entities you want to process, then specify the base point and angle of rotation by clicking a point in the graphics area or entering a value.

Specify rotation angle: Enter the angle value in degrees.

When this command is used on electrical entities (such as symbols and wires), the project database is automatically updated.


Scale

Menu: Modify > Scale

Changes the proportional size of selected entities in the X and Y directions.

When changing the size of selected entities, the dockable panel displays available options.

Ends the command.

Validates the selection.

Select the entities.

Enter coordinates: Specify the base point by clicking in the graphics area or by its coordinates.

Attributes: Select the Keep same size option if you want apply the scale factor to the bock attributes.

Enter axis scale factor: Select the mode you want (Reduce or Enlarge) and specify the second point by clicking in the graphics area or enter the scale factor value.

Do not use Scale to change the properties of entities in electrical schematics.


Mirror

Menu: Modify > Mirror

Creates a reverse copy of selected entities with a specified axis of symmetry.

When adding mirror images of selected entities, the dockable panel displays available options.

Ends the command.

Validates the selection.

Select the entities you want to process, specify the two endpoints of the axis of symmetry, then choose whether or not to erase the source objects.

Enter coordinates: Enter a value for the X and Y coordinates. These coordinates must be separated by a comma (Example: 150,125).

Distance: Enter a length for the line. Use this syntax (Line length<Angle). Example: 100<45 draws a line that is 100 units in length at a 45° angle.

Delete source objects: Removes the original entities.

Note: When you use this command on symbols, wires, and other electrical schematic entities, the project database is automatically updated.


Fillet

Menu: Draw > Fillet

Joins two intersecting lines with an arc of a specified radius.

Pins the command, ensuring that the command remains active after it is first used.

Stops the command after it is first used.

Ends the command.

Returns to the previous interface.

Adjust/Do not adjust: Allows to cut (not cut) the lines at the arc ends.

Modify radius: Allows to enter the arc radius.

Select the two lines to which you want to add the fillet.


Offset

Menu: Modify > Offset

Creates concentric circles, parallel lines, and parallel curves.

Pins the command, ensuring that the command remains active after it is first used.

Stops the command after it is first used.

Ends the command.

Returns to the previous interface.

It creates a new entity at a specified distance from an existing entity or a given point.

Offset definition

Through point: Click two points corresponding to the distance between the original entity and the copy.

Distance: Enter the distance between the original entity and the copy.

Select an entity you want to copy and click a point to indicate the side destination you want to copy the entity.

When this command is used on electrical entities (such as symbols and wires) the project database is automatically updated.


Stretch

Menu: Modify > Stretch

Moves the selected points of entities.

If you select only some points of an entity, the unselected points remain in their current positions. As a result, you stretch the entity by moving the selected points.

If you select all points of an entity, you move the whole entity.

Ends the command.

Validates the selection.

The Stretch command moves only the points included in the selection window. It does not modify points outside the selection window. All the objects inside the selection window are moved. Select the points to stretch, then specify the base point and endpoint.

Distance: Enter a length for the distance. Use this syntax (Length<Angle). Example: 100<45 draws a line that is 100 units in length at a 45° angle.


Trim

Menu: Modify > Trim

Trims entities that intersect or overlap with other entities in the active document.

Allows to end the command.

Validates the selection.

Select the entities used as trimming limits, then select the entities to trim.


Extend

Menu: Modify > Extend

Extends an entity to reach, or intersect another entity.

When extending entities, the dockable panel displays available options.

Ends the command.

Validates the selection.

Select entities that limit the extension, then select entities to extend.


Align blocks

Menu: Modify > Align blocks

Aligns selected blocks from a reference block.

The first step is to select the reference block. The dockable panel displays available options.

Ends the command.

Validates the selection.

Options

Nearest: The selected blocks are moved vertically or horizontally, according to their insertion point position. The nearest axis to their position is used.

Horizontal: The insertion points of the selected blocks are aligned from a horizontal axe.

Vertical: The insertion points of the selected blocks are aligned from a vertical axe.

Select one of these options, then select the blocks you want to align from the reference block.

The alignment is done from the insertion point of the reference block.


Distance

Menu: Modify > Distance

Measures the distance between two points.

When measuring the distance between two points, the dockable panel displays available options.

Pins the command, ensuring that the command remains active after it is first used.

Stops the command after it is first used.

Ends the command.

Click two points in the graphic zone.

A message shows the distance, angle, and values of delta X and delta Y.


Purge

Menu: Modify > Purge

Lets you delete unused line blocks, text styles, line types, and other elements in the definition table of the document. Purging DWG files reduces or optimizes file size.

The dialog box displays Purgeable and Non-purgeable elements.

An element can be purged if it is not used in the DWG file.

In the dialog box, select the elements to purge. You can use the multi-selection keys (Ctrl, Shift).

When purging a DWG file, available options appear in the Purge dialog box:

Confirm the deletion of each element: When selected, a message box opens on each deletion. You must validate each deletion.

Purge nested elements: When selected, any nested elements (elements that depend on other elements) are also deleted.

Purge selection: Purges the selected elements.

Purge all: Purges all elements regardless of the selection.

Do not use Purge (Modify menu) on documents that include electrical schematics.


Explode

Menu: Modify > Explode

Breaks a block into constituent entities.

Ends the command.

Validates the selection.

Select the block you want to explode. If this block contains attributes, the attribute values are lost.

Do not use Explode (Modify menu) on entities in electrical schematics.


Layers

Menu: Modify > Layers

Opens a dialog box that lets you manage the layers of the current DWG file. Each DWG file has an unlimited number of layers.

When managing the layers in a DWG file, available options appear in the Layer manager dialog box.

Add layer: Creates a new layer. You can change its name in the Name column.

Delete selection: Deletes the selected layers. You cannot delete a layer containing entities.

Set selected layer as current: Select a layer in the list to assign it as the Current layer. The current layer is the one on which you draw. It is identified in the list by a specific icon.

Each layer is associated by default to a color, a line type and a line weight. Entities drawn on this layer have these parameters by default. You can select these items by clicking the cell corresponding to the layer.

You can hide layers for viewing and printing.

Active/Inactive: Entities placed in the layer are hidden and cannot be printed.

Freeze/Unfreeze: Graphically, this command is similar to the Active/Inactive command.

On large files, it is recommended to use the Active/Inactive command. The display of all entities will be faster.

Print: Defines if a layer can be printed or not (hidden layers are not printed).

Do not use Layers (Modify menu) on documents that include electrical schematics.


Edit attributes

Menu: Modify > Edit attributes

For documents that contain blocks, it shows a dialog box that lets you edit the attribute properties of the selected block.

When editing block attributes, the dockable panel displays requirements for launching the dialog box.

Ends the command.

Validates the selection.

Select a block. A dialog box displays the list of block attributes.

Block name: Displays the block name.

Add attribute: Lets you add a new attribute. A new line is added at the end of the list. You can modify the characteristics of the new attribute.

Delete attribute: Deletes the selected attributes.

You can modify all parameters associated with the attributes.

When you close the dialog box, the block attributes are automatically updated.

Do not use Edit attributes on entities in electrical schematics.


Edit hatch

Menu: Modify > Edit hatch

For documents containing hatched zones, it allows you to change the options of the selected hatched zone.

Allows to end the command.

Validates the selection.

A dialog box opens, showing the hatch options and letting you modify the characteristics.

Type: Select a Pre-defined pattern or Defined by the user.

Pattern: This option is available only if the option Pre-defined is selected. Select the pattern type.

Color: Select the pattern color.

Angle: Select the pattern angle.

Scale: This option is available only if the option Pre-defined is selected. Select the pattern scale.

Spacing: This option is available only if the option Defined by the user is selected. Enter the distance between two lines.

Double: This option is available only if the option Defined by the user is selected. Check this box if you want to add perpendicular hatches.

When the dialog box is closed the hatches are automatically updated.


Update dimension

Menu: Modify > Update dimension

Updates a selected dimension to the current dimension style. If you do not select a new default dimension style before using this command, no update occurs.

When updating dimension styles, the dockable panel displays the current default dimension style.

Ends the command.

The dimension uses the parameters defined in the current style.

Select the dimension to update.


Order - Set Foreground

Menu: Modify > Order > Set Foreground

Pulls selected entities to the foreground relative to other entities.

When pulling entities to the foreground, the dockable panel displays available options.

Pins the command, ensuring that the command remains active after it is first used.

Stops the command after it is first used.

Ends the command.

Returns to the previous interface.

Select the entities to set to the foreground.


Order - Set Background

Menu: Modify > Order > Set Background

Pushes selected entities to the background relative to all other entities in the active document.

When pushing entities to the background, the dockable panel displays available options.

Pins the command, ensuring that the command remains active after it is first used.

Stops the command after it is first used.

Ends the command.

Returns to the previous interface.

Select the entities to set to background.


Order - Move Below entity

Menu: Modify > Order > Move Below entity

Pushes an initial set of selected entities behind a second set of selected entities.

When pushing the initial set of entities behind the second set, the dockable panel displays available options.

Pins the command, ensuring that the command remains active after it is first used.

Stops the command after it is first used.

Ends the command.

Returns to the previous interface.

First select the entities drawn in the foreground, then select the entity drawn in the background.


Order - Move Above entity

Menu: Modify > Order > Move Above entity

Pulls an initial set of selected entities in front of a second set of selected entities.

When pulling the initial set of entities in front of the second set, the dockable panel displays available options.

Pins the command, ensuring that the command remains active after it is first used.

Stops the command after it is first used.

Ends the command.

Returns to the previous interface.

First select the entities drawn in the background, then select the entity drawn in the foreground.


Graphical format Managers

All DWG files and DesignSpark Electrical drawings can contain lines, text, and dimensions. You can control the appearance of these elements with saved definitions for line types, text styles, and dimension styles. You can also set up new, customized definitions and edit existing definitions.

Using commands in the Graphical format group on the Tools menu, you can manage the formatting for a variety of entities.

  • Line type manager

  • Text type manager

  • Dimension type manager


Line type manager

Menu: Tools / Line types

Opens the Line type manager dialog box that lists the currently available line types you can use in a DWG file or an electrical scheme.

Line types currently available appear in the list. Because the number of available line types is set individually for each document, the list may differ from one file to another.

You can manage line types for the active document with the following options.

Load: This button opens the list of all line types you can use in a file. Line styles are stored in an XLIN file that you can select by clicking the Open button. In this list, select the line types you want to import in the current file.

Delete selection: Deletes the selected line types. A line type used in the DWG file (or electrical scheme) cannot be deleted.

Set selection as current: Defines the selected line style as current in the DWG file (or electrical scheme).


Load line types

Menu: Tools > Line types > Load

The software loads only selected line types into each DWG file or electrical schematic. As a result, the list of available line types can be different from one document to another.

If you want to use a defined line type that is not available in the active document, you can load a line type listed in the default XLIN file or import line types from custom XLIN files.

Open: Opens a XLIN file.

Load selection and close: Select the line styles you want to import in the manager. The dialog box is closed and line styles are automatically added in the manager list.

Load all and close: All of the line types are imported in the manager. Line styles are automatically added in the manager list at the dialog box closing.


Text style manager

Menu: Tools > Text styles

Opens the Text style manager dialog box that lists the currently available text styles, you can use in a DWG file or an electrical scheme. When you select a new current text style, all commands that add text to the active document use the defined style. Because you must define text styles for each document, the list of available styles can differ among files and projects.

Use the following options to select the current text style of the active document, or to view, add, edit, or delete text styles from the list of available styles:

Add text style: Adds a new text style. A new line is added at the end of the list. You can change its name and parameters.

Delete selection: Deletes the selected text style. You cannot delete a text style used in the DWG file (or electrical scheme).

Set selected style as current: Defines the selected text style as current in the DWG file (or electrical scheme).


Dimension style manager

Menu: Tools > Dimension styles

Opens the Dimension style manager dialog box that lists the dimension styles you can use in a DWG file or an electrical scheme.

When you select a new current dimension style, all commands that add dimensions to the active document use the defined style. In addition, dimensions you update with Update Dimension (Modify menu) change to the new current dimension style. Because you must define dimension styles for each document, the list of available styles can differ in files and projects.

To select the current dimension style, or to view, add, edit, or delete dimension styles from the list of available styles, use one of the following options:

Set as current: Defines the selected dimension style as current in the DWG file (or electrical scheme).

New: Allows you to add a new dimension style. A dialog box lets you name the dimension style and select the basic existing style.

Modify: Allows you to modify the selected dimension style parameters. A dialog box opens displaying all dimension style settings.

Compare: Compares two dimension styles.

Delete: Deletes the selected dimension style. You cannot delete a dimension style used in the DWG file (or electrical scheme).


New dimension style

Menu: Tools > Dimension styles > New

Starts a dialog box sequence for creating a new dimension style.

New style: Defines the name of the new dimension style. This name must be unique in the DWG file (or electrical scheme).

Copy of: Select an existing dimension file. All settings for this existing dimension style are copied in the new dimension style.

When you close the creation dialog box, the dimension style edition dialog box lets you modify the dimension style parameters.


Modify dimension style

Menu: Tools > Dimension styles > Modify

Open the Modify dimension style dialog box for editing and previewing an existing dimension style. This dialog box also sets the parameters of new dimension style.

The right side of the dialog box shows a preview of the selected dimension styles.

Lines and arrows

Dimension line: Defines the color and thickness of the dimension line. The Baseline spacing parameter is not yet implemented.

Extension line: Defines the color and thickness of the extended lines. You can also manage the position and the length of extended lines.

Arrowheads: Defines the arrows size.

Text

Text appearance: Defines the color, style and height of the text materializing the dimension value.

Text placement: Defines the position of the text materializing the dimension value.

Text alignment: Defines the alignment of the text materializing the dimension value.

Adjust

Fit options: Optimizes the dimension placement.

Adjustment: Defines small dimensions.

Dimension object scaled: Defines the scale factor assigned to the dimension objects.

Main units

Linear dimension: Defines the precision and separator for linear dimensions.

Measurement scale: Defines the scale factor for all dimensions (Real value x scale factor = displayed value).

Angular dimension: Defines the measurement mode and precision for angular dimensions.


Compare dimension styles

Menu: Tools > Dimension styles > Compare

Opens the Compare dimension styles dialog box that shows the differences between two selected dimension styles.

Select the two dimension styles you want to compare.

The dialog box shows items that are not identical.


Manager configuration

Whichever Manager you open, all of the features described below are common to all the managers, differing only in content.

Configuration

Symbols manager: Configuration

Title blocks manager: Configuration

Macros manager: Configuration

A dialog box opens, allowing you to enter the different configuration parameters for the Manager display.

List mode

The left-hand part of the dialog box allows you to select the columns to be displayed in "List" mode.

Thumbnail mode

Thumbnail size: Enter the dimensions of the thumbnail.

Space between 2 thumbnails: Enter the distances separating the thumbnails in width and height. The designation or name displayed on the thumbnail will be displayed in this area. Remember to leave enough room between two lines of thumbnails.

Text under thumbnails: Select the type of text you want to see displayed.

Display thumbnail: If you do not want to see the properties displayed (used to propagate the data), check the box.

Thumbnail mode / List mode

Symbols manager: List mode / Thumbnail mode

Title blocks manager: List mode / Thumbnail mode

2D footprints manager: List mode / Thumbnail mode

Macros manager: List mode / Thumbnail mode

List mode: Displays the data in a list. Right-clicking the column headers allows you to select the columns to be displayed. Left-clicking the column header allows you to sort the column.

Thumbnail mode: Displays the data in a graphical form.

In both modes, a contextual menu allows you to access the various features available for the element.

Display sub-class content

The elements generated in the library have criteria that can be used to classify them (in the left-hand area, see the list with a tree structure form). When a class is selected in the tree structure list, the right-hand list is simplified to display only the elements corresponding to the selected class.

If you check the Display sub-classes content box, the dialog box also displays the elements contained in the sub-levels of the class.

Close the manager when editing a symbol - title block - macro

When editing an element (symbol, title block) to modify its graphics, you can leave the Manager dialog box open or close it.

Related topics:

Title Blocks manager

Symbols manager

Macros manager


Class selector

Symbols manager > Properties: Class name

Title blocks manager > Properties: Class name

Macros manager > Properties: Class

Manufacturer part selector : Class

When you edit a symbol, a macro, or a title block, the class selector allows you select the class associated to this element.

The class selector automatically adapts to the element type.

In the manufacturer part selector dialog box, the class is used as search criteria.


Archive / Unarchive

Whichever Manager you open, all of the features described below are common to all of the managers, differing only in content.

This feature should not be confused with the archiving / unarchiving of a project. It involves archiving (to TEWZIP file) one or more elements (symbol, title block) to be unarchived on another workstation. The elements contained in the TEWZIP file are automatically placed in the library during unarchiving. This feature is used during exchanges of symbols, for example between two companies.

Symbols manager: Archive (Unarchive)

Title blocks manager: Archive (Unarchive)

Macros manager: Archive (Unarchive)

Archive

1. Select the elements you want to archive.

2. Click the Archive icon.

A dialog box opens allowing you to save the archive file.

Unarchive

A dialog box opens where a TEWZIP file can be selected for unarchiving. The update data wizard will open automatically. Refer to the Archive / Unarchive chapter for more information.

Related topics:

Title blocks manager

Symbols manager

Macros manager

Archive / Unarchive


Import DWG files

Whichever Manager you open, all of the features described below are common to all of the managers, differing only in content. The following chapter shows you how to import a symbol. The features are the same when importing a title block.

To feed your libraries (such as Symbols and title blocks) you can import files in DWG format.

Symbols manager: Import DWG files

Title blocks manager: Import DWG files

The import assistant can appears in different ways depending on the elements you wish to import.

Step 1. Symbol (title block) import Wizard

Add files: Opens a file selection dialog box. You can select DWG files or archive files (ZIP) containing symbols, or title blocks.

Add a folder: Opens a directory selection dialog box. All of the DWG files contained in this folder/directory are added to the import assistant.

Delete: Deletes the selected element from the list.

To go to the next step, click Next.

Step 2. Symbol (title block) origin

Import configuration: Lets you select a configuration containing the import parameters.

Information

A list is created displaying the elements to be imported.

Step 3. Import new symbols (title blocks)

The import assistant displays the list of elements to be imported.

Select all: Allows you to select all the symbols displayed in the list.

Properties: Opens the dialog box of the properties of the selected symbols (title blocks). When you select several symbols (title blocks), the dialog box only displays the common properties. The symbol (title block) properties can be edited by a double-click.

Action: Select in the list the action you want to assign to the symbol (title block).

Name: Displays the symbol (title block) name.

Description: A description can be added by editing the properties.

Unit system: Select in the list the unit system in which the symbol (title block) has been drawn.

Class: You can associate a class with the selected element.

Library: Select the library in which you want to store the element.

Modification date: Displays the date of the import.

Step 4. Convert attributes

The next step involves associating the attributes managed by the software and the attributes that might be present in the imported element.

Replace by: Click the [...] button to select the new attribute.

Action: Select the option (Replace / Delete / Do nothing) you want.

Step 5. Save your settings

The last step of the assistant allows you to save the various settings you have used for the import. These parameters can be reused for a new import.

Save import configuration

If you used a configuration file, you can update it. If you did not use a configuration file, you can save your settings in a new configuration file.

Click Finish to import the elements or Cancel to cancel the import. This is the last dialog box allowing you to cancel the import.

Related topics:

Title Blocks manager

Symbols manager

Macros manager


Graphical managers

Symbols, 2D footprints, title blocks are stored in specific libraries named Managers. In these managers, you can create your own elements.

These elements can be open in a graphical interface to modify their graphical representation. You can add attributes to propagate information stored in the project database.

  • Title blocks manager

  • Symbols manager

  • Macros manager

  • Attribute management


Attribute management

Symbol, and title block attributes propagate information stored in the database. DesignSpark Electrical provides tools to help you to manage attributes.

  • Insert attribute

  • Multiple attribute

  • Attribute properties

  • Replace attribute

  • Tools for attribute management

  • Managing revision attributes


Insert attribute

Symbol, 2D footprint and title block attributes propagate information stored in the database. A specific interface allows you to select them and insert them in the graphical area.

Menu: Edit symbol > Insert attribute

Menu: Edit title block > Insert attribute

When you launch the command, a dialog box lists the available attributes.

Attributes already present in the symbol or title block are shown in blue.

1. Select the check boxes next to the listed attributes to make them available for insertion into the symbol or the title block.

2. Click on OK to close the dialog box and display the attribute insertion dockable panel.

This panel lets you change settings (such as font and height) applied to the attributes prior to placement.

Properties

Lets you place attributes (horizontally or vertically); define font settings, justification, height, other properties for the attribute(s); as well as the spacing between each attribute.

Attributes list

Adds a new attribute.

Deletes the selected attributes.

Reorders attributes.

3. In the graphics area, click the insertion point of the attribute group.

Related topics:

Attribute properties


Multiple attribute

Attributes are special text strings found in symbols, title blocks, and 2D footprints (blocks). They have a Label (their name), a Prompt (their description), and a Value (the text to display).

Attributes are used to propagate project information or software databases. Sometimes, this data can be represented by lengthy text that may hinder the design of the scheme.

The Multiple Attribute command lets you create a multiple attribute based on an existing (single) attribute, the value of which will be displayed over several lines of text.

Menu: Modify > Multiple attribute

Menu: Edit symbol > Multiple attribute

Menu: Edit title block > Multiple attribute

Select the single attribute in the graphical interface you wish to transform into a multiple attribute.

The dockable panel changes to display the creation options.

Set as multiple attribute

Number of attributes: Enter the number of lines onto which the data is propagated.

Distance between attributes: Enter the distance between two attributes to specify the interline space.

Specify position on screen: If the Number of attributes parameter is greater than two, uncheck this box to automatically place the attributes one under the other. Otherwise, you will be asked to click an insertion point for each attribute.

The name of the attribute is modified. The suffix {n} is placed at the end, where n is equal to the order number of the multiple attribute.

When entering information to propagate to the next line of the multiple attribute, the character | must be used as a line separator, example: Circuit breaker | Tetrapolar | 4P 3D


Attribute properties

The attribute properties allows you to modify its name and the text definition.

Contextual menu of attribute: Properties

The attribute properties are displayed in the Properties dockable panel.

General

Enter the attribute name and its description.

The attribute name is important. DesignSpark Electrical uses the attribute name to propagate project data to the inserted attribute. If the name is not recognized by the software, the information will not be displayed.

Geometry

This section lets you to enter the text settings. These will be used upon the attribute insertion.


Replace attribute

This feature allows you to replace the selected attribute by another one.

Contextual menu of attribute: Replace attribute

Menu: Edit symbol > Replace attribute

Menu: Edit title block > Replace attribute

1. Select in the graphical area the attribute you want to replace.

2. In the Attribute selector dialog box, select the new attribute.

This feature is only available when an attribute is selected.


Tools for attribute management

Show attributes

Menu: Edit symbol > Show attributes

Menu: Edit title block > Show attributes

To simplify the attribute management (such as the position or the text size), this feature allows you to display in the graphical area, the attributes from different styles. It only changes the graphical aspect, the name is not modified.

Show attributes: Displays the attribute name or allows you to show the attributes if they have been hidden.

Show sample values: Replaces the attribute by an example of the value it can receive. In this mode, you cannot edit the attribute properties.

Show attribute description: Replaces the attribute by its description. In this mode, you cannot edit the attribute properties.

Hide attributes: Hides the attributes.

Manually modifying attributes

Several attributes available in the software, are formed with specific characters which indicate the language, the index or the data index.

#AIO_0_TZ_1_L1: the attribute type (in this example, Input/Output).

#AIO_0_TZ_1_L: the order number in the attribute type (in this example, the first I/O).

#AIO_0_TZ_1_L1: the translatable user data 1 associated to the previous value (in this example, the first translatable data of the first I/O).

#AIO_0_TZ_1_L1: the language of the previous value (in the example, the language of the first translatable data of the first I/O).

Index: The index character is an order number in the attribute type defined by the previous code. 0 is the first, 1 is the second...

Data index: The data index character follows the code that identify the data type (TX: User data and TZ: Translatable user data). The 0 propagates the value of the first User data (or translatable user data), the 1, the value of the second User data (or translatable user data)...

Language: the L1 propagates the text in the main language of the project, the L2, the second language... You can force a language by replacing these characters by the language code (EN - FR - ES...). For example, if you want the text always appears in English, whatever the project language, replace the characters by EN.

Some commands lets you to manage these codes. These commands are displayed according to the type of attribute you selected.

Modify index: Allows you to change the order number of the attribute type. In the dialog box, introduce the new index.

Modify TX/TZ data index: Allows you to change the number of the user data or translatable data. In the dialog box, introduce the new data index.

Modify language code: Allows you to change the language of the user data or translatable data. Select in the list one of the languages used in the project or another language even if it is not set in the project configuration.

Modify revision index: Allows you to change the index code of a revision. In the dialog box, enter the new revision index (Only available on the title blocks).

Attribute list

To generate an Excel file containing all the symbol and title block attributes, use the ewExportUsedAttributes command (Only available on the command line).


Managing revision attributes

Revision attributes are displayed in the modification grid of the title blocks and they are managed in the title block editor.

Menu: Edit title block > Modify revision index

Contextual menu of revision attribute: Modify revision index

Each revision attribute has an index number that can be positive (Absolute mode) or negative (Relative mode).

Marking mode

Relative: The index number is calculated from the current revision. The index number "-0" displays the current revision index. The "-1" displays the previous revision index.

For example in 0AB mode, if the current revision is "E = sixth index", the "-2" index number propagates the revision index "C = fourth index" (6-2=4).

A configuration setting allows you to select the position of revision index:

- On the bottom of the modification grid of the drawing

- According with the position of the revision attributes

Absolute: The index number corresponds to the revision index. The index number "0" corresponds to the first revision index, the index number "1" corresponds to the second revision index. To display a revision index in the drawing, you must have its corresponding attribute inserted into the modification grid of the title block.

Index: In Absolute mode it displays only negative values. In Relative mode it displays positive values. The value corresponds to the index number you want, according to the selected mode.


Insertion point management

For a symbol, the insertion point corresponds to a fictitious point used for insertion into the scheme. Generally it corresponds to a connection point with a wire.

For a title block, the insertion point corresponds to the bottom left-hand corner of the title block. In general to ensure data integrity (position of the cross references and origin-destinations polarity), we advise you to place the title block insertion point at coordinates "0,0".

Menu: Edit symbol > Insertion point (Symbols)

Menu: Edit title block > Insertion point (Title blocks)

Click a point corresponding to the insertion point in the graphical interface. An oblique red cross represents this point.


Title blocks manager

The title blocks manager groups together all of the title blocks that can be used to design the scheme. The title blocks have filtering criteria allowing classification.

Menu: Library > Title blocks manager

The title blocks manager dialog box opens. This allows you to add, edit, or delete title blocks.

The left-hand side of the manager has two tabs.

Classification

This tab displays the title block classification in a tree.

The left side of the dialog box shows the title block classifications. The right side shows the title blocks in the currently selected classification.

Filters

This tab allows you to filter the title blocks list. All filter criteria are the same as those present in the title block properties.

The right side of the dialog box displays the title blocks corresponding to the selected criteria.

Remove filter: Click this button to remove all filter criteria.

The right-hand side of the manager displays the title blocks corresponding to the selection or search criteria you entered in the left-hand side of the manager.

The title blocks are displayed in a list (List mode icon) or as thumbnails (Thumbnail mode icon).

Some of these features accept the multi-selection, such as Delete or Properties.

New: Allows you to add a new title block in the library.

Open: Opens the selected title block in the graphical interface or in DraftSight to modify it.

Import DWG files: Allows you to import a DWG file as a title block.

Delete: Deletes the selected title blocks.

Properties: Opens the Properties dialog box of the selected title blocks. If you select several title blocks, the Properties dialog box displays only the common properties.

Preview: Opens the title block in a preview dialog box. This interface does not allow for modifications.

Cut: Places a copy of the selected title blocks on the DesignSpark Electrical clipboard and deletes the originals.

You can also use the shortcut: [Ctrl] + [X]

Copy: Places a copy of the selected title blocks on the DesignSpark Electrical clipboard and keeps the originals. The Copy command can be used also to copy the selected element list to another application such as Excel (List mode only).

You can also use the shortcut: [Ctrl] + [C]

Paste: Pastes the title block present on the DesignSpark Electrical clipboard. A new title block is created.

You can also use the shortcut: [Ctrl] + [V]

Select all: Allows you to select all of the title blocks displayed in the right-hand side of the manager.

List mode: Displays title blocks in the form of a list (Name, Description, classification). In this mode, you can copy the list of the selected element to another application, such as Excel.

Thumbnail mode: Displays title blocks in the form of thumbnail previews.

Configuration: Allows you to manage the display settings for items in the dialog box.

Archive: Select the elements you want to archive and click the Archive icon.

A dialog box opens allowing you to save the archive file.

Unarchive: A dialog box opens allowing you to select a TEWZIP file for unarchiving. The update data wizard will open automatically. Refer to the Archive / Unarchive chapter for more information.

Display sub-classes content: When the box is checked, it displays all the objects contained in the sub-class of the selected classification.

Keep the dialog opened: When this option is selected, the dialog box does not close when you open an object.

  • Add new title block

  • Title block properties

  • Edit Title block graphics


Add new title block

Title blocks manager: New

The title block properties dialog box opens, displaying its characteristics.

At this stage, only the characteristics have been created. You need to open the title block in the editor to create the graphic.

To create a new title block that is similar to an existing title block, use the Copy and Paste commands, then modify the copy.

Related topics:

Title block properties

Edit title block graphics


Title block properties

Title blocks manager: New

Title blocks manager: Properties

Opens the properties dialog box to modify data associated with the title block.

If the title block already exists, the left side of the dialog box displays a preview of the edit mode (with attributes).

If you have selected several title blocks, only the common properties are displayed.

General

Name: Defines the title block name. This name must be unique.

Description: Defines a text description in all languages managed in the software. This is displayed under the miniature view. Description is available in all languages by clicking the specific icon. The language selector opens allowing you to select the languages you want.

Class: Defines the class where the title block is stored.

Unit system: Defines the title block mode. This choice is important. The title block and the scheme created in the drawing from this title block must use the same unit system. When you create a new symbol, DesignSpark Electrical uses the template file corresponding to the unit system you selected.

Library: Defines the library where the title block is stored.

System

This section is read-only. It displays information on creation or modification date and creator name.

Rows

With rows: Activates row management in the title block.

Mark of first row: Allows to mark the first row. The following rows are marked automatically.

First row position: Allows to enter the Y coordinate of the first row.

Height of row: Defines the row height. If the first row is on top of the title block and the last row is on the bottom, place the sign "-" before the value. All rows must have the same height.

Number of rows: Defines the number of rows in the title block.

Row numbering: When the title block has more than one column, select the mode to use.

Columns

With columns: Activates column management in the title block.

Mark of first column: Allows to mark the first column. The following columns are marked automatically.

First column position: Allows to enter the X coordinate of the first column.

Width of column: Defines the column width. All columns must have the same width.

Number of columns: Defines the number of columns in the title block.

Options

Cross references offset: Defines the cross references thumbnail insertion height for Parent in table type symbols.

Related topics:

Add new title block

Edit title block graphics


Edit title block graphics

Title blocks in the library consist of two things: a graphical representation, and a set of parameters stored in the database. Title blocks must be inserted using the title blocks manager, if not they cannot be managed by the software.

Title blocks have attributes that allows to propagate project data saved in the database.

Title blocks manager: Open

Documents tab > Contextual menu of a drawing > Title block: Open

Opens the selected title block in a graphical interface. If you do not activate the Keep the dialog opened option, the manager dialog box closes. If not, you can close it manually or resize it.

When the editor opens, the ribbon menu changes. An Edit title block section appears.

The dockable panel displays the title block properties.

Use the following steps to manage the symbol with DesignSpark Electrical:

  • Insertion point management

  • Attribute management

When you close the file, you are asked to save it.

The file can be open in DraftSight to edit the graphics.

Related topics:

Graphical commands

Add new title block

Title block properties

User data


Symbols manager

The symbols manager groups together all of the symbols that can be used to design the scheme. The symbols have filtering criteria allowing classification.

Menu: Library > Symbols manager

The symbols manager dialog box opens. It allows you to add, edit, or delete symbols.

The left-hand side of the manager has the two following tabs:

Classification

This tab displays the symbol classification as a tree.

The left side of the dialog box shows the symbol classifications. The right side shows the symbols in the currently selected classification.

Display sub-classes content: When the box is checked, it displays all the symbols contained in the sub-class of the selected classification.

Filters

This tab allows you to filter the symbol list. All filter criteria are the same as those present in the symbol properties.

The right side of the dialog box displays the symbols corresponding to the selected criteria.

Remove filter: Click this button to remove all filter criteria.

The right-hand side of the manager displays the symbols corresponding to the selection or search criteria you entered in the left-hand side of the manager.

The symbols are displayed in a list (List mode icon) or as thumbnails (Thumbnail mode icon).

Some of these features accept the multi-selection, such as Delete or Properties.

New: Allows you to add a new symbol to the library.

Open: Opens the selected symbol in the graphical interface or in DraftSight to modify it.

Import DWG files: Allows you to import a DWG file as a symbol.

Delete: Deletes the selected symbols.

Properties: Opens the Properties dialog box of the selected symbols. If you select several symbols, the Properties dialog box displays only the common properties.

Preview: Opens the symbol in a preview dialog box. This interface does not allow for modifications.

Cut: Places a copy of the selected symbols on the DesignSpark Electrical clipboard and deletes the originals.

You can also use the shortcut: [Ctrl] + [X]

Copy: Places a copy of the selected symbols on the DesignSpark Electrical clipboard and keeps the originals. The Copy command can be used also to copy the selected element list to another application such as Excel (List mode only).

You can also use the shortcut: [Ctrl] + [C]

Paste: Pastes the symbol present on the DesignSpark Electrical clipboard. A new symbol is created.

You can also use the shortcut: [Ctrl] + [V]

Select all: Allows you to select all the symbols displayed in the right-hand side of the manager.

List mode: Displays symbols in the form of a list (Name, Description, and classification). In this mode, you can copy the list of the selected element to another application, such as Excel.

Thumbnail mode: Displays symbols in the form of thumbnail previews.

Configuration: Allows you to manage the display settings for items in the dialog box.

Archive: Select the elements you wish to archive and click the Archive icon.

A dialog box opens allowing you to save the archived file.

Unarchive: A file selection dialog box opens where a TEWZIP file can be selected for unarchiving. The update data wizard will open automatically. Refer to the Archive / Unarchive chapter for more information.

Display sub-classes content: When the box is checked, it displays all the objects contained in the sub-class of the selected classification.

Keep the dialog opened: When this option is selected, the dialog box does not close when you open an object.

  • Add new symbol

  • Symbol properties

  • Edit symbol graphics


Add new symbol

Symbols manager: New

The symbol properties dialog box opens, displaying its characteristics.

At this stage, only the characteristics have been created. You need to open the symbol in the editor to create the graphic.

To create a new symbol that is similar to an existing symbol, use the Copy and Paste commands, then modify the copy.

Related topics:

Symbol properties

Edit symbol graphics


Symbol properties

Symbols manager: New

Symbols manager: Properties

Opens the properties dialog box for the symbol to modify the data associated with the symbol.

If the symbol already exists, the left side of the dialog box displays a preview of the edit mode (with attributes and connection points).

According to the selected symbol, several properties can be disabled. If you select several symbols, only the common properties are enabled.

General

Name: When a symbol is created, the name is automatically added. This name must be unique and you can change it if necessary.

Description: Describes the symbol. If you select Thumbnail mode in the library, the description text appears under the thumbnail. The symbols are placed in alphabetical order by their description. Description is available in all languages by clicking the specific icon. The language selector opens allowing you to select the languages you want.

Class: Defines the class in which the symbol is stored.

Symbol type: Defines the type of symbol:

Multiwire symbols groups insertable symbols into scheme drawings.

Line diagram symbols groups insertable symbols into line diagram drawings.

Black box symbols groups symbols that can be used for a black box.

Terminal symbols groups symbols representing the terminals.

Redirection symbols groups symbols used in origin-destination management.

Symbols for cross references groups symbols used to represent cross references.

Cable labels groups symbols used to represent cable labels.

Connection labels groups symbols used to represent connection labels.

Wire labels groups symbols used to place wire labels.

Equipotential labels groups symbols used to place equipotential labels.

Location labels groups symbols used to place location labels.

Passive symbols groups passive symbols that have not a mark. They are stored in the database for the project, but are not taken into account in processing or reports.

Unit system: Defines the unit mode with which the symbol was drawn. When you create a new symbol, DesignSpark Electrical uses the template file corresponding to the unit system you selected.

Library: Defines the library in which the symbol is classed.

Manufacturer part

Manufacturer: Defines the name of the manufacturer. This parameter cannot be dissociated from the Reference parameter.

Reference: Associates a manufacturer part with the symbol. This manufacturer part will automatically be associated with the component when inserted. Click [...] to assign a manufacturer part.

System

This section is read-only. It displays the date of creation/modification and the creator.

Characteristics

Mark root: Displays the mark root to use when inserting the symbol. If no value is entered, the root associated with the class is used.

Associated macro: Associates a macro with the symbol. When the symbol is inserted, select Insert associated macro in the dockable panel or the Components tab in the contextual menu of the component.

Standard: Defines the standard used for the symbol.

Cross references t ype: Defines the default cross references level for the symbol. You can change it when the symbol is inserted.

Options

Display connection points: Shows connection points in the scheme.

Keep attributes orientation: When selected, the attributes do not rotate with the symbol.

Related topics:

Add new symbol

Edit symbol graphics


Edit symbol graphics

When a symbol is in the library, it consists of a graphical representation and a set of technical characteristics stored in the database. A symbol that is not inserted by the Symbols manager will not be generated by the software. It will not have a mark and cannot be associated with a manufacturer part.

A symbol contains circuits, on which connection points can be placed. These connection points allow you to cut the wire. They are also used to propagate the numbers of the material terminals provided by the manufacturer part.

The symbols also have attributes (text) allowing certain information stored in the database to be propagated across the scheme (such as mark or cross references text).

Symbols manager: Open

Contextual menu of symbol: Symbol > Open symbol

Opens the selected symbol in a graphical interface. If you do not activate the Keep the dialog opened option, the manager dialog box closes. If not, you can close it manually or resize it.

When the editor opens, the ribbon menu changes. An Edit symbol section appears.

The dockable panel changes to display the symbol properties and the circuit definition.

Use the following steps to manage the symbol with DesignSpark Electrical.

  • Insertion point management

  • Circuit management

  • Connection point management

  • Attribute management

When you close the file, you are asked to save it.

The file can be open in DraftSight to edit the graphics.

Related topics:

Graphical commands

Add new symbol

Symbol properties

User data

Manufacturer parts

Manage circuits


Circuit management

Use the Symbol structure section in the dockable panel to manage symbol circuits.

The circuits are numbered from 0 to "n", generally from left to right (or top to bottom) in relation to the symbol insertion point. The software manages several types of circuits, corresponding to the type of electrical component.

The symbol circuits must match the circuits of the manufacturer part to be associated with the symbol.

Menu: Edit symbol > New circuit

Opens a dialog box letting you select the circuit characteristics.

Number: Enter the number of circuits you want to add.

Circuit type: Select the type of circuit. The list depends on the class of the symbol. To access the entire circuit list, select the More circuit types.

Information transmission: Defines whether the circuit must allow certain information to pass through, such as the phase or equipotential number.

Disconnectable: (Only allows the phase number to pass).

Used on the majority of schematic symbols. The equipotential number is different between the incoming and outgoing connection points.

Passing: (equipotential pass through symbols)

A passing circuit is a circuit where the equipotential is continued between two connection points, but for each point of the circuit, there is a distinct wire cabling order.

Hyper passing: (equipotential pass through symbols)

A hyper passing circuit is used when you wish to have the same equipotential wire number on two or more different circuits using components that are linked and have an identical circuit and connection point data (e.g. a busbar distribution block split into segments. Wires does not go through circuits).

Hyper hyper passing: (equipotential and wires pass through symbols)

A hyper hyper passing circuit connects up two or more symbols with the same connection point details (e.g. screen and will continue the equipotential between these points). The connection points however are not detailed in connection reports as they are transparent as if the wire is directly connected between the two end components. Typical case is origin-destination arrows.

The properties of the circuit appear in the lower part of the dockable panel.


Connection point management

When a symbol is inserted on a wire, the wire is automatically cut on the right of the symbol. In the same way, when the wire is placed over the symbol, it is automatically cut. This is only possible if the symbol has connection points.

The connection points are placed so that they are superimposed on the wire when the symbol is inserted. The connection points have an attribute allowing the number of the manufacturer part material terminal to be propagated.

Menu: Edit symbol > Connection point

There are three types of connection points:

Connection point (by default): A connection point used for all symbols other than polarity origin-destination.

Incoming/outgoing connection point: These connection points are directional (incoming / outgoing) and exclusively reserved for symbols used for polarity origin-destination.

When inserting connection points, ensure that the SNAP option is active and the resolution pitch is compatible with the distance separating the symbol's circuits, as well as the distance separating two wires (Example: two phases of a power wire).

The connection points are positioned where the symbol must cut the wire.

To insert a connection point:

1. Select the circuit the connection point belongs to in the dockable panel.

2. Select the command in the menu,

3. Turn the connection point in the right direction (press [Space] on the keyboard to rotate the connection point according to the angle of the wire),

4. Click on the insertion point for the connection point in the graphical area.

A message appears informing you when the connection point has been inserted (N:0-C:0). The figure after the C is the number of the circuit. The figure after the N is the order number in the circuit.

The value allocated to N is not important; you can have N:6 even if the circuit has only two connection points. All values for N for a given circuit must be compared. The program then classifies all the connection points for the circuit according to the value of N.

For a circuit C1, you can have N:1 and N:4. N:1 is the first connection point in the circuit, and N:4 is the second. When the manufacturer part is allocated, the same principle is used when allocating the numbers on the material terminal. The number of the first material terminal will be allocated to the first connection point on the circuit. The number of the second material terminal will be allocated to the second connection point on the circuit, and so on for all of the component's circuits.

A termination type can be associated to the connection point of the symbol, but if you assign a manufacturer part on this symbol, the termination type of the manufacturer part will be apply.

A contextual menu allows you to edit an existing connection point.

Multiple connection points

Menu: Edit symbol > Multiple connection points

This command is similar to the connection point command except that circuits can be created simultaneously, helping you place all connection points after definition.

A dialog box lets you add the circuits that belong to the symbol.

Adds the circuits.

Deletes the selected circuits.

Selects a manufacturer part with its circuit definition. This manufacturer part can be associated with the symbol.

Add the circuit type and indicate the quantity in the Number of circuits field. Enter the number of terminals on the component, as well as for each circuit. This data is automatically entered if you select a manufacturer part. Click OK to confirm and exit the dialog box.

The connection point is attached to the cursor. The connection points are placed one after the other, according to the dockable panel instructions.


Macros manager

DesignSpark Electrical has a library allowing you to store parts of schemes, called Macros.

Macros are grouped together within the Macros manager and are thus available for use by all projects. The macros have a filtering criteria allowing classification.

Menu: Libraries > Macros manager

The macros manager dialog box opens. It allows you to add, edit or delete macros.

The left-hand side of the manager has two tabs.

Classification

This tab displays the macro classification in a tree.

The left side of the dialog box shows the macro classifications, the right shows the macros in the currently selected classification.

Display sub-classes content: When the box is checked, it displays all the macros contained in the sub-class of the selected classification.

Filters

This tab allows you to filter the macros list. All filtering criteria are the same as those present in the macro properties.

The right side of the dialog box displays the macros corresponding to the selected criteria.

Remove filters: Click this button to remove all filter criteria.

Some of these features accept the multi-selection, such as Delete or Properties.

Open: The macros are viewed as projects. When you click the Open icon, the macro is automatically added to the dockable panel in the Documents tab. It is preceded by a star to avoid confusing it with a project. Double-clicking on the drawing shows the macro, allowing you to open it in the graphical interface.

Delete: Deletes the selected Macros.

Properties: Opens the dialog box of the Macro properties. If you select several Macros, the Properties dialog box displays only the common properties.

View: Opens the Macro in a preview dialog box. This interface does not allow modifications.

Cut: Places a copy of the selected Macros on the DesignSpark Electrical clipboard and deletes the originals.

You can also use the shortcut: [Ctrl] + [X]

Copy: Places a copy of the selected Macros on the DesignSpark Electrical clipboard and keeps the originals. The Copy command can be used also to copy the selected element list to another application such as Excel (List mode only).

You can also use the shortcut: [Ctrl] + [C]

Paste: Pastes the Macro present on the DesignSpark Electrical clipboard. A new Macro is created.

You can also use the shortcut: [Ctrl] + [V]

Select all: Allows you to select all the Macros displayed in the right-hand side of the manager.

List mode: Displays Macros in the form of list (Name, Description, classification). In this mode, you can copy the list of the selected elements to another application, such as Excel.

Thumbnail mode: Displays Macros in the form of thumbnail previews.

Configuration: Allows you to manage the display settings for items in the dialog box.

Archive: Select the elements you want to archive and click the Archive icon. A dialog box to save the file opens allowing you to save the archived file.

Unarchive: A file selection dialog box opens where a TEWZIP file can be selected for unarchiving. The update data wizard will open automatically. Refer to the Archive / Unarchive chapter for more information.

Display sub-classes content: When the box is checked, it displays all the objects contained in the sub-class of the selected classification.

Keep the dialog opened: When this option is selected, the dialog box does not close when you open an object.

To add a macro, see the Create macro chapter.

Related topics:

Macro properties

Manage Macros

Graphical commands


Macro Properties

Macro creation

Macros manager: Properties

Opens the properties dialog box for the macro to modify the data associated with the macro.

If you have selected several macros, only the common properties are displayed.

Name: The macro is automatically named. You can change its name, but it can be unique.

Hierarchy

Class name: Click the button [...] to open the Class selector, select the class in which the macro is stored.

Library: Select the macro library. The macro library is the environment in which the macro can be inserted. If you change this type, you might have inconsistent results when you will insert the macro.

System

This section displays information about the creation and the modification of the macro.

Information

In this section, you can change the macro type using a value available in the list.

It also displays information on the version of the macro.

Description

Allows you to enter a description in all languages managed in the software.

User data

Allows you to manage the user data associated to the macro.

Translatable data

Allows you to manage the translatable data associated to the macro.


Manufacturers' catalogs

DesignSpark Electrical contains electrical manufacturer parts and cable references. However, you can enter your own references.

There are two distinct managers to handle reference data: one for manufacturer parts, and another for cable references.

  • Cable references manager

  • Manufacturer parts manager


Columns configuration

Menu: Library > Cable references manager > Configuration

Menu: Library > Manufacturer parts manager > Configuration

Menu: File > Projects manager > Configuration

Menu: Project > Report (Design rules check) > Properties > Columns tab > Configuration

This command lets you show or hide the columns of the manager or a report template. Its contents adapts to the type of manager or report template.

Check the boxes corresponding to the information you want to display.


Unarchive catalogs

Menu: Library > Cable References Manager > Unarchive

Menu: Library > Manufacturer parts manager > Unarchive

The unarchive command for cable catalogs and manufacturer parts has two options available.

Unarchive wizard: Allows you to unarchive a catalog by using the unarchive wizard. Allows you to select the catalogs to be updated.

Unarchive with default option: Allows you to unarchive a catalog without using the wizard. The existing references will be systematically updated with those produced by the unarchiving.


Cable references manager

All of the cable references are stored in a single database. They are classified and have several criteria to allow for easy searches.

Menu: Library > Cable references manager

When the command is launched, the cable reference management dialog box opens.

The Classification tab in the left-hand side of the dialog box displays the list of Classes, the first criteria for classification of the references. The Filters tab allows you to search for a reference in order to modify its properties, for example.

The right-hand side of the dialog box displays the list of references contained in the selected class, or the list of cables satisfying the filter criteria.

Some of these features accept the multi-selection, such as Delete or Properties.

New reference: To add a new cable reference, select a Class in the left-hand side of the manager and click the New reference icon. You can also select a cable reference (right-hand side of the manager) when creating a new reference. This reference will automatically receive the characteristics of the selected reference.

The reference properties dialog box opens, allowing you to modify it.

Multiple insertion: This command is similar to the New reference command, the difference being that the properties dialog box does not close on validation, but asks you if you want to create another new reference.

Import: Allows you to import a customized list of references in order to integrate them into the catalogs.

Delete: Allows you to delete the selected references.

Properties: Opens the Properties dialog box of the selected cable references. If you select several cable references, the Properties dialog box displays only the common properties.

Cut: Places a copy of the selected references on the DesignSpark Electrical clipboard and deletes the originals.

You can also use the shortcut: [Ctrl] + [X]

Copy: Places a copy of the selected references on the DesignSpark Electrical clipboard and keeps the originals. The Copy command can be used also to copy the selected element list, to another application such as Excel (List mode only).

You can also use the shortcut: [Ctrl] + [C]

Paste: Pastes the reference present on the DesignSpark Electrical clipboard. A new reference is created.

You can also use the shortcut: [Ctrl] + [V]

Select all: Allows you to select all of the references displayed in the right-hand side of the manager.

Configuration: Allows you to manage the display settings for items in the dialog box.

Archive: Select the references you want to archive and click the Archive icon.

A dialog box opens, allowing you to save the archive file.

Unarchive: A file selection dialog box opens where you can select a TEWZIP file for unarchiving. The update data wizard will open automatically. Refer to the Archive / Unarchive chapter for more information.

: Used to access downloads of part reference archive files from the Internet. These files include the latest part updates.

Dimension units: Select in the list the unit system you want to use for dimensioning the cables.

Add a catalog

The cable references are grouped by manufacturer in a catalog with the manufacturer name. Not all of the cable references are in the catalog. According to your needs, you can download them from the Electrical Content Portal.

Online content: Used to access downloads of archived files from the Internet. These files include the latest reference updates.

Related topics:

Cable properties

Archive / Unarchive


Cable properties

Cable references manager: Properties

Cable references manager: New reference

Cable references manager: Multiple insertion

Properties

General

Reference: Code identifying the reference.

Manufacturer: Name of the brand or manufacturer of the cable.

Class: The class to which the cable belongs. Click a class box to modify the class to which the cable belongs. Then, select a class in the dialog box.

Article number: Internal information managed by the user.

External ID: the External ID is used to link an element with the corresponding one in an external application.

Library: Select the library in which the cable reference is located.

Family: Select or create a new family to put the cable reference into.

Standard: The cable standard.

Series: Often, the cable references are grouped by series.

Description: The cable's description.

Supplier

Supplier name: Lets you enter the supplier name.

Stock number: Lets you enter the stock number to the supplier.

Informations

Creator: Name of the creator of the reference (user or system).

Creation date: The auto-generated date when the reference was created.

Modification date: The auto-generated date when the reference was last modified.

Characteristics

Information relating to the cable, such as color, diameter, section, or bend radius. For the prefabricated cables, you can enter its length.

ERP Data

This section is available if the ERP connection is activated. You can enter specific values in the user data fields. This information can be used to update your personal database.

Cable cores

This tab lets you manage the definitions of the cores that constitute the cable.

Add: Adds a core at the end of the list.

Insert: Adds a core above the selected element.

Delete: Deletes the selected cores.

Up / Down: Reorders the cores.

Group / Ungroup: Groups or ungroups the selected cable cores (pairs).

Related topics:

Cable catalog

Cable references manager


Manufacturer parts manager

All of the manufacturer parts are stored in a unique database. They are classified and have several search criteria.

Menu: Library > Manufacturer parts manager

On launching the command, the manufacturer parts manager dialog box opens.

The left side of the dialog box, Classification tab, shows a list of the different Classes. The first criteria of a classification is the reference. The Filters tab allows you to look for a manufacturer part to modify its properties, for example.

The right side of the dialog box shows the list of the parts contained in the selected class.

There are two options for displaying manufacturer parts. If you check the Automatic refresh box, the list of manufacturer parts is automatically displayed.

If you do not check the Automatic refresh box, the list of manufacturer parts is only updated if you click the Refresh button.

Some of these features accept the multi-selection, such as Delete or Properties.

Add manufacturer part: A new manufacturer part is created by copying from an existing one that you have selected beforehand. It is best to select a manufacturer part that closely matches the one that you want to add. Then click the Add manufacturer part button.

Multiple insertion: This command is similar to the Add manufacturer part command with the difference that the properties dialog box does not close on validation, but prompts you to create another manufacturer part.

Import: Allows you to import a customized list of references in order to integrate them into the catalogs.

Delete: Lets you delete the selected manufacturer parts.

Properties: Opens the dialog box of the manufacturer part properties. If you select several manufacturer parts, the Properties dialog box displays only the common properties.

Cut: Places a copy of the selected manufacturer parts on the DesignSpark Electrical clipboard and deletes the originals.

You can also use the shortcut: [Ctrl] + [X]

Copy: Places a copy of the selected manufacturer parts on the DesignSpark Electrical clipboard and keeps the originals. The Copy command can be used also to copy the selected element list, to another application such as Excel (List mode only).

You can also use the shortcut: [Ctrl] + [C]

Paste: Pastes the manufacturer part present on the DesignSpark Electrical clipboard. A new manufacturer part is created.

You can also use the shortcut: [Ctrl] + [V]

Select all: Allows you to select all of the manufacturer parts displayed in the right-hand side of the manager.

Configuration: Allows you to manage the display settings for items in the dialog box.

Archive: Select the manufacturer parts you want to archive by clicking the Archive icon.

A dialog box to save the file opens, allowing you to save the archived file.

Unarchive: A file selection dialog box opens where a TEWZIP file can be selected for unarchiving. The update data wizard opens automatically. Refer to the Archive / Unarchive chapter for more information.

Managing circuits

When you import several manufacturer parts, circuits are not imported and you must to add them in each imported manufacturer part. To help you, you can use in the contextual menu of a manufacturer part, a specific Copy/Paste for the circuits.

Copy circuits: Copies on the clipboard the circuits of the selected manufacturer part.

Paste circuits: Pastes the circuits present in the clipboard, to the selected manufacturer part.

Remove circuits: Deletes the circuits of the selected manufacturer part.

Get more content

The manufacturer parts are grouped by manufacturer in a catalog, with the manufacturer name. Not all of the manufacturer parts are in the catalog. According to your needs, you can download them from the Electrical Content Portal.

Online content: Used to access downloads of archive files from the Internet. These files include the latest manufacturer part updates.

Get product details

From the DesignSpark Electrical Web service, you can obtain information about the price and the stock of manufacturer parts.

Get product pricing: Click this icon to update the Price column of the selected manufacturer parts.

Update stock status: Click this icon to update the Stock status column of the selected manufacturer parts.

The price is shown using VAT free value and currency code (like EUR for €).

The stock status indicate number available in stock or out of stock (indicates available date if known).

Related topics:

Manufacturer part properties

Electrical assembly

Manufacturer part import

Archive / Unarchive

CAD file downloader


Manufacturer part properties

Manufacturer parts manager: Properties

Manufacturer parts manager: Add manufacturer part

Manufacturer parts manager: Multiple insertion

Technical data for the manufacturer part is stored in several tabs.

  • Properties

  • User data

  • Circuits and terminals

If you selected several manufacturer parts or if you created several references at the same time, click Next to go to the properties of the next manufacturer part.

Click Previous to go back to the previous part.


Manufacturer part properties

Manufacturer parts manager: Properties > Properties tab

All these values can be used during the search for a manufacturer part.

General

Reference: A code identifying the manufacturer part.

Manufacturer: The name of the manufacturer or brand of the device.

Class name: The class to which the equipment belongs. To modify the class the manufacturer part belongs to, click the button [...] and select the class.

Library: Select the library in which the manufacturer part is classified.

Type: There are several types:

Base manufacturer part type (elements with a graphic representation in a drawing with device pin numbers displayed. Example: a circuit breaker).

Auxiliary manufacturer part type (elements with a graphic representation in a drawing which are children to a Base. Example: a contact).

Accessory manufacturer part type (elements without a graphic representation which are children to a Base or Auxiliary. Example: a label).

And other types for specific devices.

Article number: Internal information managed by the user.

External ID: the External ID is used to link an element with the corresponding one in an external application.

Series: Often, the manufacturer parts are grouped by series such as TESYS in the Schneider catalog.

Data sheet: Allows you to assign a link to the manufacturer part. This link can be a file such as "Instructions for use" or "Technical specifications or an Internet link. To create the link, click the [...] button and select the file or enter the Web address. The Open button allows you to open the link.

Mark root: Lets the root mark be used when you create a component. If no value is entered, the root associated with the class is used.

Description: Lets you enter a description in all languages managed by the software. The specific icon allows you to open the language selector.

Commercial reference: The commercial number. You can use an internal reference or the range of the device, for example. Enter the value in all languages managed by the software. The specific icon allows you to open the language selector.

Supplier

Supplier name: Lets you enter the supplier name.

Stock number: Lets you enter the stock number of the supplier.

Price: Indicates the manufacturer part price.

Stock status: Indicates if the manufacturer part is out of stock or not.

Information

This section is read-only. It displays the date of creation/modification and the creator. It also displays the number of circuits and device terminals.

Illustration

Allows you to associate symbols to the manufacturer part. Click the button [...] to open the symbol selector and to select the symbol you want.

You can associate several symbols with one manufacturer part by using the association Symbol/Circuit. This feature allows you to associate one symbol to one or several circuits.

Size

This section lets you enter manufacturer part dimensions.

Use / Control / Values

Enter electrical data for the manufacturer part. These values are used as criteria to find the manufacturer part.

Manufacturer data

The manufacturer data displayed in this section depends on the Class you selected in the General section. Enter the different values for these data.


User data

Manufacturer part manager: Properties > User data tab

It displays all the User and translatable data. The Customize button allows you to manage these data.


Manufacturer part properties / Circuits, terminals

Manufacturer parts manager: Properties > Circuits, terminals tab

This tab lets you manage the definitions of manufacturer parts in terms of circuits, as well as the numbers of device terminals.

The example above is a definition for a four pin circuit breaker. You must have four circuits of a Circuit breaker, Switch type. The first circuit in the list corresponds to the element placed on the left of the graphic (when using vertical insertion).

For device terminal numbers, you have two terminals per circuit. The first number corresponds to the upper terminal of the circuit (when using vertical insertion). The second number corresponds to the lower terminal.

Circuits

Add multiple: Opens the circuit addition dialog box to add multiple circuits.

Add: Adds one circuit at the end of the list.

Insert: Adds a new circuit above the selected circuit.

Select the circuit you want from the new circuit list.

Delete: Deletes the selected circuit.

Up / Down: Reorders the circuit order.

Number: Displays the circuit number.

Type: Defines the circuit type.

Terminal marks: Displays the device terminal marks entered in the Terminals section.

Group: Displays the group number (used to group multiple circuits).

Symbol: Displays the name of the symbol associated to the circuit.

Terminals

Select a circuit to access its terminal marks.

Add: Adds one terminal at the end of the list.

Insert: Adds a new terminal above the selected terminal.

Delete: Deletes the selected terminal.

Up / Down: Reorders the terminal order.

Circuit: Displays the circuit number.

Index: Displays the order of the terminals in the circuit.

Mark: Defines the number of the material terminal.

Termination type: Select in the list, the termination type associated to the terminal.

Max. wire number: Defines the number of wires or cable cores that you can connect to the material terminal.

Mnemonic: Lets you insert a channel mnemonic (PLC) or personalized text.

Maximum wire section (mm²) / Maximum wire gauge (AWG): Lets you enter the section of the device terminal, corresponding to the maximum section of wires connected to this terminal.

Minimum wire section (mm²) / Minimum wire gauge (AWG): Lets you enter the section of the device terminal, corresponding to the minimum section of wires connected to this terminal.

Managing circuits from another manufacturer part

When you create similar manufacture parts, you can use the circuit definition of a manufacturer part to copy it on a new manufacturer part. In the manufacturer parts manager, in the contextual menu of the manufacturer part, you can find specific commands to manage circuits.

Copy circuits: Allows you to copy the circuits of the selected manufacturer part in the DesignSpark Electrical clipboard.

Remove circuits: Deletes the circuits of the selected manufacturer part.

Paste circuits: Allows you to paste the circuits from the DesignSpark Electrical clipboard to the selected manufacturer part.


Termination types manager

The Termination types are used to define how the cable cores or the wires are connected on the components. They are grouped in a specific manager in which you can find the main used terminations. You can add or edit your own terminations.

The Termination types are managed on the components (connection points of the symbols) and on the manufacturer parts (terminals) et have specific attributes to propagate their data. A dedicated report allows you to synthesize all the Terminal types used in the project.

Menu: Library > Termination types manager

The manager dialog box opens. It allows you to add, edit, or delete Termination types.

New: Allows you to add a new Termination type to the library.

Delete: Deletes the selected Termination types.

Properties: Opens the Properties dialog box of the selected Termination type. If you select several Termination types, the Properties dialog box displays only the common properties.

List mode: Displays Termination types in the form of a list (Code, Description, dates and symbol name).

Thumbnail mode: Displays Termination types in the form of thumbnail previews.

Configuration: Allows you to manage the display settings for items in the dialog box.

Archive: Select the elements you wish to archive and click the Archive icon.

A dialog box opens allowing you to save the archived file.

Unarchive: A file selection dialog box opens where a TEWZIP file can be selected for unarchiving. The update data wizard will open automatically. Refer to the Archive / Unarchive chapter for more information.

  • Termination type properties


Terminal type properties

Termination type properties

Termination types manager: New

Termination types: Properties

Opens the properties dialog box for the Termination type to modify the associated data.

If the Termination type already exists, the left side of the dialog box displays a preview of the edit mode (with attributes).

If you select several Termination types, only the common properties are enabled.

General

Name: The name of the Termination type to identify the termination type. This name must be unique in the Termination types manager.

Description: Describes the termination type. If you select Thumbnail mode in the manager, the description text appears under the thumbnail. The termination types are placed in alphabetical order by their description. The description is available in all languages by clicking the specific icon. The language selector opens allowing you to select the languages you want.

Symbol: Allows you to select a symbol which you can associate to the termination. A specific icon allows to select the symbol in the symbols manager.

System

This section is read-only. It displays the date of creation/modification and the creator.


Termination type selector

Properties of the connection point of a symbol (Edition mode): Termination type

Properties of a terminal of a manufacturer part: Termination type

Edit terminals of a component: Termination type

The Termination type selector allows you to select the Termination type you want to associate to the terminal of a component.

List mode: Displays the list of symbols (name, description, classification).

Thumbnail mode: Displays symbols in the form of thumbnail previews.

Configuration: Manages display settings for items in the dialog box.

1. Select the symbol you want.

2. Click Select button to validate.


Archive / Unarchive

Data archiving saves data to a specific file for system backup, transferring data from one workstation to another, or passing it on to another company.

Unarchiving opens an archived file and provides management tools to handle the impact of the archived data on existing data.

  • Archive

  • Unarchive


Archive

Data archiving saves data to a specific file, letting you back up the system, transfer data between workstations, or pass it to another company.

Data archiving is available at several points in the software, depending on the type of data to be archived. Each archive function creates a specific file.

The data type of the archived file can be identified by its file extension.

  • Environment archive: .TEWZIP

  • Project archive file: .PROJ.TEWZIP

  • Symbol archive file: .SYMB.TEWZIP

  • Title block archive file: .TITLE.TEWZIP

  • Macro archive file: .MACRO.TEWZIP

  • Manufacturer part archive file: .PARTS.TEWZIP

  • Cable reference archive file: .CABLE.TEWZIP

  • Template archive file: .CONFIG.TEWZIP

Certain archive types contain design-dependent data. For example, a project archive includes symbols, title blocks, and configurations, while a macro archive may contain parts and symbols. Users can manage the integration of design-dependent data during the unarchiving process.

  • Archive environment

  • Archive project

  • Archive symbols

  • Archive title blocks

  • Archive manufacturer parts

  • Archive cable references

  • Archive macros

  • Archive configurations

Archive environment

Occasionally it is necessary to retrieve all of the data managed by DesignSpark Electrical. For example, when schemes (such as title blocks, symbols, reports and configurations) have been customized. The archive environment lets users save all of the data to a single file. This allows users to pass data that works with the same environment settings to subcontractors and others. Environmental archiving also makes projects available in the projects manager.

Menu: File > Archive environment

A wizard appears. Archive options are displayed on the left side of the dialog box.

Custom: Customizes the elements to integrate in the archive. The Selection tab lets you select the data types to include in the archiving process. The other tabs let you manage each data type more accurately.

All projects: Includes only the projects that appear in the project manager and mandatory items, like Classification.

All objects: Includes all elements instead of selecting them individually.

Objects from selected libraries: Allows you to select only the elements included in the libraries selected in the next step.

Objects modified by user: Adds only the modified elements to the archive file.

Objects modified by user since: Includes only the elements modified between two dates (custom date or the date of the last archive).

Remind me to do regular archive after this number of days: Reminds you to perform a regular archive. Select the option to activate it and enter the number of days between two archives.

After selecting options, you can navigate between the different tabs to specify the elements you want to include in the archive file. Click Finish to create the archive file.

The size of the archive file depends on the amount of data selected.

After activating the command, you are asked for a filename.

The file extension for environmental archives is .TEWZIP.

Archive project

Archiving a project backs up all of the documents and data within it, as well as items required for design work like symbols, title blocks, and settings. The project archive command is available form the projects manager.

projects manager: Archive

Select the project and click the Archive icon.

You must close a project before archiving it, except if it is only open in your workstation. If the project is open in an other workstation, it is locked.

During the project archiving, the project is locked for all other users.

If you have selected several projects, they are all included in one archive file.

You are asked for a filename. Project archive files have the file extension PROJ.TEWZIP. When a project is archived, it is kept in the projects manager.

Archive symbols

Archiving symbols creates an archive file containing all symbol data (graphic, circuits, connection points). The symbol archive is available in the symbols manager.

symbols manager: Archive

Select the symbols to include and click the Archive icon.

Symbol archive files have the file extension SYMB.TEWZIP.

Archive title blocks

Archiving title blocks creates an archive file containing all title block data (such as graphic and attribute settings). The command is available in the title blocks manager.

Title blocks manager: Archive

Select the title blocks to include and click the Archive icon.

Title block archive files have the file extension TITLE.TEWZIP.

Archive manufacturer parts

Manufacturer part archiving is mainly used to share/pass manufacturer parts between different workstations or companies. The archive command is available from the manufacturer parts manager.

Manufacturer parts: Archive

Select the manufacturer parts to include and click the Archive icon.

The manufacturer part archive file extension is PARTS.TEWZIP.

Archive cable references

Cable reference archiving is mainly used to share/pass references between different workstations or companies. The command is available from the cable references manager.

Cable references manager: Archive

Select the references to include and click the Archive icon.

The cable reference archive file extension is CABLE.TEWZIP.

Archive macros

The macro archive file includes all data used in macro design. The archive command is available in the macros manager.

Macros manager: Archive

Select the macros to include and click the Archive icon.

The macro archive file extension is MACRO.TEWZIP.

Archive configurations

Use this command to archive all configurations (except project configuration files and wire configuration files). Some archive configurations, such as terminals or automation configurations, may contain dependencies.

Configuration management: Archive

There is no distinction between different configurations (such as terminal blocks and project) during archiving. The file extension is the same regardless of type. As a result, you must note the name applied to the archive file, so you can identify its type later. You cannot unarchive configuration files using the incorrect manager. For example, you cannot unarchive a terminal configuration in the automation configuration manager.

The configuration archive file extension is CONFIG.TEWZIP.

Related topics:

Unarchive


Unarchive

Unarchiving opens and extracts data from an archive file. This data is compared with existing data.

Archive files can be identified by their extension.

  • .TEWZIP: Environmental archive file

  • .PROJ.TEWZIP: Project archive file

  • .SYMB.TEWZIP: Symbol archive file

  • .TITLE.TEWZIP: Title block archive file

  • .MACRO.TEWZIP: Macro archive file

  • .PARTS.TEWZIP: Manufacturer part archive file

  • .CABLE.TEWZIP: Cable reference archive file

  • .CONIG.TEWZIP: Template/configuration archive file

Files must be unarchived from the relevant manager. (See the Archive section.)

The information in this chapter is common to all archive files, with the exception of projects. See Unarchive Project for more information.

Select Unarchive to open the unarchiving wizard, where you can manage the data to unarchive. This wizard is similar to the update data wizard.

On the Selection tab, check the data to import.

The unpacking wizard compares the data to be unarchived to the existing data. You can then choose an action for each data type.

Actions

Use the Shift, Ctrl, or Ctrl+A keys to apply the same action types to multiple items.

Right-click the line to open a menu that displays the element properties.

Add: Adds the data because it does not exist in the current installation.

Replace: Overwrites the existing data with the latest version.

Do nothing: Retains the existing information. New data is not added.

Keep both: Retains the existing information and adds the new information with a new name.

Update: Updates the catalog references. This option is only valid for manufacturer catalogs (cables and materials).

A default action type is suggested based on the following:

- New data is marked as add.

- If existing data created by the user, has been modified by the user, it is marked as replace.

- If existing data created by the software editor, has been modified by the user, it is marked as do nothing.

- If data exists and you have not changed it, but the new file or files are marked as updated by the software editor, it is marked as replace.

- Catalogs of cables and equipment are marked update.

Data types

Symbols - title blocks: The wizard displays the element names, descriptions, modification date, and the name of the user who created/modified the current elements. If you want to keep an existing element and install the latest version of the same element, give a different name to the new element.

Cables and manufacturer catalogs: The catalogs are managed in their entirety, including all references. When a reference is not present, it is automatically added. When a reference exists and you have modified it, the new reference is not installed. When the reference exists, and you have not modified it, but it has been updated by the software publisher, the new reference is automatically installed, overwriting the existing reference.

Project templates: Only models that are new or modified (different modification dates) are installed. Models that you created are kept.

Report configurations: Report configurations that you created or modified are kept. Configurations that the software publisher created or modified are automatically installed.

Configuration files: Only configuration files that are new or modified (different modification dates) are installed. Configuration files that you created are kept.

Palettes: Only palettes that are new or modified (different modification dates) are installed. Palettes that you created are kept.

Related topics:

Archive

Data installation